// Copyright 2015 Benjamin BALET. All rights reserved.
// Use of this source code is governed by the BSD license
// license that can be found in the LICENSE file.

package stopwords

var greek = map[string]string{
	"μή":       "",
	"ἑαυτοῦ":   "",
	"ἄν ":      "",
	"ἀλλ’":     "",
	"ἀλλά":     "",
	"ἄλλοσ":    "",
	"ἀπό":      "",
	"ἄρα":      "",
	"αὐτόσ":    "",
	"δ’":       "",
	"δέ":       "",
	"δή":       "",
	"διά":      "",
	"δαί":      "",
	"δαίσ":     "",
	"ἔτι":      "",
	"ἐγώ":      "",
	"ἐκ":       "",
	"ἐμόσ":     "",
	"ἐν":       "",
	"ἐπί":      "",
	"εἰ":       "",
	"εἰμί":     "",
	"εἴμι":     "",
	"εἰσ":      "",
	"γάρ":      "",
	"γε":       "",
	"γα":       "",
	"ἡ":        "",
	"ἤ":        "",
	"καί":      "",
	"κατά":     "",
	"μέν":      "",
	"μετά":     "",
	"ὁ":        "",
	"ὅδε":      "",
	"ὅσ":       "",
	"ὅστισ":    "",
	"ὅτι":      "",
	"οὕτωσ":    "",
	"οὗτοσ":    "",
	"οὔτε":     "",
	"οὖν":      "",
	"οὐδείσ":   "",
	"οἱ":       "",
	"οὐ":       "",
	"οὐδέ":     "",
	"οὐκ":      "",
	"περί":     "",
	"πρόσ":     "",
	"σύ":       "",
	"σύν":      "",
	"τά":       "",
	"τε":       "",
	"τήν":      "",
	"τῆσ":      "",
	"τῇ":       "",
	"τι":       "",
	"τί":       "",
	"τισ":      "",
	"τίσ":      "",
	"τό":       "",
	"τοί":      "",
	"τοιοῦτοσ": "",
	"τόν":      "",
	"τούσ":     "",
	"τοῦ":      "",
	"τῶν":      "",
	"τῷ":       "",
	"ὑμόσ":     "",
	"ὑπέρ":     "",
	"ὑπό":      "",
	"ὡσ":       "",
	"ὦ":        "",
	"ὥστε":     "",
	"ἐάν":      "",
	"παρά":     "",
	"σόσ":      "",
	"ο":        "",
	"η":        "",
	"το":       "",
	"οι":       "",
	"τα":       "",
	"του":      "",
	"τησ":      "",
	"των":      "",
	"τον":      "",
	"την":      "",
	"και ":     "",
	"κι":       "",
	"κ":        "",
	"ειμαι":    "",
	"εισαι":    "",
	"ειναι":    "",
	"ειμαστε":  "",
	"ειστε":    "",
	"στο":      "",
	"στον":     "",
	"στη":      "",
	"στην":     "",
	"μα":       "",
	"αλλα":     "",
	"απο":      "",
	"για":      "",
	"προσ":     "",
	"με":       "",
	"σε":       "",
	"ωσ":       "",
	"παρα":     "",
	"αντι":     "",
	"κατα":     "",
	"μετα":     "",
	"θα":       "",
	"να":       "",
	"δε":       "",
	"δεν":      "",
	"μη":       "",
	"μην":      "",
	"επι":      "",
	"ενω":      "",
	"εαν":      "",
	"αν":       "",
	"τοτε":     "",
	"που":      "",
	"πωσ":      "",
	"ποιοσ":    "",
	"ποια":     "",
	"ποιο":     "",
	"ποιοι":    "",
	"ποιεσ":    "",
	"ποιων":    "",
	"ποιουσ":   "",
	"αυτοσ":    "",
	"αυτη":     "",
	"αυτο":     "",
	"αυτοι":    "",
	"αυτων":    "",
	"αυτουσ":   "",
	"αυτεσ":    "",
	"αυτα":     "",
	"εκεινοσ":  "",
	"εκεινη":   "",
	"εκεινο":   "",
	"εκεινοι":  "",
	"εκεινεσ":  "",
	"εκεινα":   "",
	"εκεινων":  "",
	"εκεινουσ": "",
	"οπωσ":     "",
	"ομωσ":     "",
	"ισωσ":     "",
	"οσο":      "",
	"οτι":      ""}
