// Copyright (c) 2005, Jacques Savoy.
// Use of this source code is governed by the BSD license
// license that can be found in the LICENSE file.

package stopwords

var spanish = map[string]string{
	"a":               "",
	"acuerdo":         "",
	"adelante":        "",
	"ademas":          "",
	"además":          "",
	"adrede":          "",
	"ahi":             "",
	"ahí":             "",
	"ahora":           "",
	"al":              "",
	"alli":            "",
	"allí":            "",
	"alrededor":       "",
	"antano":          "",
	"antaño":          "",
	"ante":            "",
	"antes":           "",
	"apenas":          "",
	"aproximadamente": "",
	"aquel":           "",
	"aquél":           "",
	"aquella":         "",
	"aquélla":         "",
	"aquellas":        "",
	"aquéllas":        "",
	"aquello":         "",
	"aquellos":        "",
	"aquéllos":        "",
	"aqui":            "",
	"aquí":            "",
	"arribaabajo":     "",
	"asi":             "",
	"así":             "",
	"aun":             "",
	"aún":             "",
	"aunque":          "",
	"bajo":            "",
	"bastante":        "",
	"bien":            "",
	"breve":           "",
	"casi":            "",
	"cerca":           "",
	"claro":           "",
	"como":            "",
	"cómo":            "",
	"con":             "",
	"conmigo":         "",
	"contigo":         "",
	"contra":          "",
	"cual":            "",
	"cuál":            "",
	"cuales":          "",
	"cuáles":          "",
	"cuando":          "",
	"cuándo":          "",
	"cuanta":          "",
	"cuánta":          "",
	"cuantas":         "",
	"cuántas":         "",
	"cuanto":          "",
	"cuánto":          "",
	"cuantos":         "",
	"cuántos":         "",
	"de":              "",
	"debajo":          "",
	"del":             "",
	"delante":         "",
	"demasiado":       "",
	"dentro":          "",
	"deprisa":         "",
	"desde":           "",
	"despacio":        "",
	"despues":         "",
	"después":         "",
	"detras":          "",
	"detrás":          "",
	"dia":             "",
	"día":             "",
	"dias":            "",
	"días":            "",
	"donde":           "",
	"dónde":           "",
	"dos":             "",
	"durante":         "",
	"el":              "",
	"él":              "",
	"ella":            "",
	"ellas":           "",
	"ellos":           "",
	"en":              "",
	"encima":          "",
	"enfrente":        "",
	"enseguida":       "",
	"entre":           "",
	"es":              "",
	"esa":             "",
	"ésa":             "",
	"esas":            "",
	"ésas":            "",
	"ese":             "",
	"ése":             "",
	"eso":             "",
	"esos":            "",
	"ésos":            "",
	"esta":            "",
	"está":            "",
	"ésta":            "",
	"estado":          "",
	"estados":         "",
	"estan":           "",
	"están":           "",
	"estar":           "",
	"estas":           "",
	"éstas":           "",
	"este":            "",
	"éste":            "",
	"esto":            "",
	"estos":           "",
	"éstos":           "",
	"ex":              "",
	"excepto":         "",
	"final":           "",
	"fue":             "",
	"fuera":           "",
	"fueron":          "",
	"g":               "",
	"general":         "",
	"gran":            "",
	"ha":              "",
	"habia":           "",
	"había":           "",
	"habla":           "",
	"hablan":          "",
	"hace":            "",
	"hacia":           "",
	"han":             "",
	"hasta":           "",
	"hay":             "",
	"horas":           "",
	"hoy":             "",
	"i":               "",
	"incluso":         "",
	"informo":         "",
	"informó":         "",
	"junto":           "",
	"la":              "",
	"lado":            "",
	"las":             "",
	"le":              "",
	"lejos":           "",
	"lo":              "",
	"los":             "",
	"luego":           "",
	"mal":             "",
	"mas":             "",
	"más":             "",
	"mayor":           "",
	"me":              "",
	"medio":           "",
	"mejor":           "",
	"menos":           "",
	"menudo":          "",
	"mi":              "",
	"mí":              "",
	"mia":             "",
	"mía":             "",
	"mias":            "",
	"mías":            "",
	"mientras":        "",
	"mio":             "",
	"mío":             "",
	"mios":            "",
	"míos":            "",
	"mis":             "",
	"mismo":           "",
	"mucho":           "",
	"muy":             "",
	"nada":            "",
	"nadie":           "",
	"ninguna":         "",
	"no":              "",
	"nos":             "",
	"nosotras":        "",
	"nosotros":        "",
	"nuestra":         "",
	"nuestras":        "",
	"nuestro":         "",
	"nuestros":        "",
	"nueva":           "",
	"nuevo":           "",
	"nunca":           "",
	"os":              "",
	"otra":            "",
	"otros":           "",
	"pais":            "",
	"paìs":            "",
	"para":            "",
	"parte":           "",
	"pasado":          "",
	"peor":            "",
	"pero":            "",
	"poco":            "",
	"por":             "",
	"porque":          "",
	"pronto":          "",
	"proximo":         "",
	"próximo":         "",
	"puede":           "",
	"qeu":             "",
	"que":             "",
	"qué":             "",
	"quien":           "",
	"quién":           "",
	"quienes":         "",
	"quiénes":         "",
	"quiza":           "",
	"quizá":           "",
	"quizas":          "",
	"quizás":          "",
	"raras":           "",
	"repente":         "",
	"salvo":           "",
	"se":              "",
	"sé":              "",
	"segun":           "",
	"según":           "",
	"ser":             "",
	"sera":            "",
	"será":            "",
	"si":              "",
	"sí":              "",
	"sido":            "",
	"siempre":         "",
	"sin":             "",
	"sobre":           "",
	"solamente":       "",
	"solo":            "",
	"sólo":            "",
	"son":             "",
	"soyos":           "",
	"su":              "",
	"supuesto":        "",
	"sus":             "",
	"suya":            "",
	"suyas":           "",
	"suyo":            "",
	"tal":             "",
	"tambien":         "",
	"también":         "",
	"tampoco":         "",
	"tarde":           "",
	"te":              "",
	"temprano":        "",
	"ti":              "",
	"tiene":           "",
	"todavia":         "",
	"todavía":         "",
	"todo":            "",
	"todos":           "",
	"tras":            "",
	"tu":              "",
	"tú":              "",
	"tus":             "",
	"tuya":            "",
	"tuyas":           "",
	"tuyo":            "",
	"tuyos":           "",
	"un":              "",
	"una":             "",
	"unas":            "",
	"uno":             "",
	"unos":            "",
	"usted":           "",
	"ustedes":         "",
	"veces":           "",
	"vez":             "",
	"vosotras":        "",
	"vosotros":        "",
	"vuestra":         "",
	"vuestras":        "",
	"vuestro":         "",
	"vuestros":        "",
	"ya":              "",
	"yo":              ""}
