// Copyright (c) 2005, Jacques Savoy.
// Use of this source code is governed by the BSD license
// license that can be found in the LICENSE file.

package stopwords

var persian = map[string]string{
	"و":        "",
	"در":       "",
	"به":       "",
	"از":       "",
	"كه":       "",
	"مي":       "",
	"اين":      "",
	"است":      "",
	"را":       "",
	"با":       "",
	"هاي":      "",
	"براي":     "",
	"آن":       "",
	"يك":       "",
	"شود":      "",
	"شده":      "",
	"خود":      "",
	"ها":       "",
	"كرد":      "",
	"شد":       "",
	"اي":       "",
	"تا":       "",
	"كند":      "",
	"بر":       "",
	"بود":      "",
	"گفت":      "",
	"نيز":      "",
	"وي":       "",
	"هم":       "",
	"كنند":     "",
	"دارد":     "",
	"ما":       "",
	"كرده":     "",
	"يا":       "",
	"اما":      "",
	"بايد":     "",
	"دو":       "",
	"اند":      "",
	"هر":       "",
	"خواهد":    "",
	"او":       "",
	"مورد":     "",
	"آنها":     "",
	"باشد":     "",
	"ديگر":     "",
	"مردم":     "",
	"نمي":      "",
	"بين":      "",
	"پيش":      "",
	"پس":       "",
	"اگر":      "",
	"همه":      "",
	"صورت":     "",
	"يكي":      "",
	"هستند":    "",
	"بي":       "",
	"من":       "",
	"دهد":      "",
	"هزار":     "",
	"نيست":     "",
	"استفاده":  "",
	"داد":      "",
	"داشته":    "",
	"راه":      "",
	"داشت":     "",
	"چه":       "",
	"همچنين":   "",
	"كردند":    "",
	"داده":     "",
	"بوده":     "",
	"دارند":    "",
	"همين":     "",
	"ميليون":   "",
	"سوي":      "",
	"شوند":     "",
	"بيشتر":    "",
	"بسيار":    "",
	"روي":      "",
	"گرفته":    "",
	"هايي":     "",
	"تواند":    "",
	"اول":      "",
	"نام":      "",
	"هيچ":      "",
	"چند":      "",
	"جديد":     "",
	"بيش":      "",
	"شدن":      "",
	"كردن":     "",
	"كنيم":     "",
	"نشان":     "",
	"حتي":      "",
	"اينكه":    "",
	"ولی":      "",
	"توسط":     "",
	"چنين":     "",
	"برخي":     "",
	"نه":       "",
	"ديروز":    "",
	"دوم":      "",
	"درباره":   "",
	"بعد":      "",
	"مختلف":    "",
	"گيرد":     "",
	"شما":      "",
	"گفته":     "",
	"آنان":     "",
	"بار":      "",
	"طور":      "",
	"گرفت":     "",
	"دهند":     "",
	"گذاري":    "",
	"بسياري":   "",
	"طي":       "",
	"بودند":    "",
	"ميليارد":  "",
	"بدون":     "",
	"تمام":     "",
	"كل":       "",
	"تر":       "",
	"براساس":   "",
	"شدند":     "",
	"ترين":     "",
	"امروز":    "",
	"باشند":    "",
	"ندارد":    "",
	"چون":      "",
	"قابل":     "",
	"گويد":     "",
	"ديگري":    "",
	"همان":     "",
	"خواهند":   "",
	"قبل":      "",
	"آمده":     "",
	"اكنون":    "",
	"تحت":      "",
	"طريق":     "",
	"گيري":     "",
	"جاي":      "",
	"هنوز":     "",
	"چرا":      "",
	"البته":    "",
	"كنيد":     "",
	"سازي":     "",
	"سوم":      "",
	"كنم":      "",
	"بلكه":     "",
	"زير":      "",
	"توانند":   "",
	"ضمن":      "",
	"فقط":      "",
	"بودن":     "",
	"حق":       "",
	"آيد":      "",
	"وقتي":     "",
	"اش":       "",
	"يابد":     "",
	"نخستين":   "",
	"مقابل":    "",
	"خدمات":    "",
	"امسال":    "",
	"تاكنون":   "",
	"مانند":    "",
	"تازه":     "",
	"آورد":     "",
	"فكر":      "",
	"آنچه":     "",
	"نخست":     "",
	"نشده":     "",
	"شايد":     "",
	"چهار":     "",
	"جريان":    "",
	"پنج":      "",
	"ساخته":    "",
	"زيرا":     "",
	"نزديك":    "",
	"برداري":   "",
	"كسي":      "",
	"ريزي":     "",
	"رفت":      "",
	"گردد":     "",
	"مثل":      "",
	"آمد":      "",
	"ام":       "",
	"بهترين":   "",
	"دانست":    "",
	"كمتر":     "",
	"دادن":     "",
	"تمامي":    "",
	"جلوگيري":  "",
	"بيشتري":   "",
	"ايم":      "",
	"ناشي":     "",
	"چيزي":     "",
	"آنكه":     "",
	"بالا":     "",
	"بنابراين": "",
	"ايشان":    "",
	"بعضي":     "",
	"دادند":    "",
	"داشتند":   "",
	"برخوردار": "",
	"نخواهد":   "",
	"هنگام":    "",
	"نبايد":    "",
	"غير":      "",
	"نبود":     "",
	"ديده":     "",
	"وگو":      "",
	"داريم":    "",
	"چگونه":    "",
	"بندي":     "",
	"خواست":    "",
	"فوق":      "",
	"ده":       "",
	"نوعي":     "",
	"هستيم":    "",
	"ديگران":   "",
	"همچنان":   "",
	"سراسر":    "",
	"ندارند":   "",
	"گروهي":    "",
	"سعي":      "",
	"روزهاي":   "",
	"آنجا":     "",
	"يكديگر":   "",
	"كردم":     "",
	"بيست":     "",
	"بروز":     "",
	"سپس":      "",
	"رفته":     "",
	"آورده":    "",
	"نمايد":    "",
	"باشيم":    "",
	"گويند":    "",
	"زياد":     "",
	"خويش":     "",
	"همواره":   "",
	"گذاشته":   "",
	"شش":       "",
	"نداشته":   "",
	"شناسي":    "",
	"خواهيم":   "",
	"آباد":     "",
	"داشتن":    "",
	"نظير":     "",
	"همچون":    "",
	"باره":     "",
	"نكرده":    "",
	"شان":      "",
	"سابق":     "",
	"هفت":      "",
	"دانند":    "",
	"جايي":     "",
	"بی":       "",
	"جز":       "",
	"زیرِ":     "",
	"رویِ":     "",
	"سریِ":     "",
	"تویِ":     "",
	"جلویِ":    "",
	"پیشِ":     "",
	"عقبِ":     "",
	"بالایِ":   "",
	"خارجِ":    "",
	"وسطِ":     "",
	"بیرونِ":   "",
	"سویِ":     "",
	"کنارِ":    "",
	"پاعینِ":   "",
	"نزدِ":     "",
	"نزدیکِ":   "",
	"دنبالِ":   "",
	"حدودِ":    "",
	"برابرِ":   "",
	"طبقِ":     "",
	"مانندِ":   "",
	"ضدِّ":     "",
	"هنگامِ":   "",
	"برایِ":    "",
	"مثلِ":     "",
	"بارة":     "",
	"اثرِ":     "",
	"تولِ":     "",
	"علّتِ":    "",
	"سمتِ":     "",
	"عنوانِ":   "",
	"قصدِ":     "",
	"روب":      "",
	"جدا":      "",
	"کی":       "",
	"که":       "",
	"چیست":     "",
	"هست":      "",
	"کجا":      "",
	"کجاست":    "",
	"کَی":      "",
	"چطور":     "",
	"کدام":     "",
	"آیا":      "",
	"مگر":      "",
	"چندین":    "",
	"یک":       "",
	"چیزی":     "",
	"دیگر":     "",
	"کسی":      "",
	"بعری":     "",
	"هیچ":      "",
	"چیز":      "",
	"جا":       "",
	"کس":       "",
	"هرگز":     "",
	"یا":       "",
	"تنها":     "",
	"بلکه":     "",
	"خیاه":     "",
	"بله":      "",
	"بلی":      "",
	"آره":      "",
	"آری":      "",
	"مرسی":     "",
	"البتّه":   "",
	"لطفاً":    "",
	"ّه":       "",
	"انکه":     "",
	"وقتیکه":   "",
	"همین":     "",
	"پیش":      "",
	"مدّتی":    "",
	"هنگامی":   "",
	"مان":      "",
	"تان":      ""}
