// Copyright (c) 2005, Jacques Savoy.
// Use of this source code is governed by the BSD license
// license that can be found in the LICENSE file.

package stopwords

var hungarian = map[string]string{
	"a":              "",
	"abba":           "",
	"abban":          "",
	"abból":          "",
	"addig":          "",
	"ahhoz":          "",
	"ahol":           "",
	"akár":           "",
	"aki":            "",
	"akik":           "",
	"akkor":          "",
	"alá":            "",
	"alád":           "",
	"alájuk":         "",
	"alám":           "",
	"alánk":          "",
	"alapján":        "",
	"alátok":         "",
	"alatt":          "",
	"alatta":         "",
	"alattad":        "",
	"alattam":        "",
	"alattatok":      "",
	"alattuk":        "",
	"alattunk":       "",
	"alól":           "",
	"alóla":          "",
	"alólad":         "",
	"alólam":         "",
	"alólatok":       "",
	"alóluk":         "",
	"alólunk":        "",
	"által":          "",
	"általában":      "",
	"ám":             "",
	"amely":          "",
	"amelybol":       "",
	"amelyek":        "",
	"amelyekben":     "",
	"amelyeket":      "",
	"amelyet":        "",
	"amelyik":        "",
	"amelynek":       "",
	"ami":            "",
	"amíg":           "",
	"amikor":         "",
	"amit":           "",
	"amott":          "",
	"annak":          "",
	"annál":          "",
	"arra":           "",
	"arról":          "",
	"át":             "",
	"attól":          "",
	"az":             "",
	"azért":          "",
	"aznap":          "",
	"azok":           "",
	"azokat":         "",
	"azokba":         "",
	"azokban":        "",
	"azokból":        "",
	"azokért":        "",
	"azokhoz":        "",
	"azokig":         "",
	"azokká":         "",
	"azokkal":        "",
	"azoknak":        "",
	"azoknál":        "",
	"azokon":         "",
	"azokra":         "",
	"azokról":        "",
	"azoktól":        "",
	"azon":           "",
	"azonban":        "",
	"azonnal":        "",
	"azt":            "",
	"aztán":          "",
	"azzá":           "",
	"azzal":          "",
	"bal":            "",
	"balra":          "",
	"ban":            "",
	"bár":            "",
	"bárcsak":        "",
	"bármilyen":      "",
	"be":             "",
	"belé":           "",
	"beléd":          "",
	"beléjük":        "",
	"belém":          "",
	"belénk":         "",
	"belétek":        "",
	"belőle":         "",
	"belőled":        "",
	"belőlem":        "",
	"belőletek":      "",
	"belőlük":        "",
	"belőlünk":       "",
	"belül":          "",
	"ben":            "",
	"benne":          "",
	"benned":         "",
	"bennem":         "",
	"bennetek":       "",
	"bennük":         "",
	"bennünk":        "",
	"búcsú":          "",
	"csak":           "",
	"csakhogy":       "",
	"csupán":         "",
	"de":             "",
	"dehogy":         "",
	"ebbe":           "",
	"ebben":          "",
	"ebből":          "",
	"eddig":          "",
	"egész":          "",
	"egészen":        "",
	"egy":            "",
	"egyéb":          "",
	"egyebek":        "",
	"egyebet":        "",
	"egyedül":        "",
	"egyelőre":       "",
	"egyet":          "",
	"egyik":          "",
	"egymás":         "",
	"egyre":          "",
	"egyszerre":      "",
	"együtt":         "",
	"ehhez":          "",
	"el":             "",
	"elé":            "",
	"eléd":           "",
	"elég":           "",
	"eleinte":        "",
	"eléjük":         "",
	"elém":           "",
	"elénk":          "",
	"elétek":         "",
	"éljen":          "",
	"ellen":          "",
	"ellenére":       "",
	"ellenes":        "",
	"elleni":         "",
	"elmondta":       "",
	"előbb":          "",
	"elől":           "",
	"előle":          "",
	"előled":         "",
	"előlem":         "",
	"előletek":       "",
	"előlük":         "",
	"előlünk":        "",
	"először":        "",
	"előtt":          "",
	"előtte":         "",
	"előtted":        "",
	"előttem":        "",
	"előttetek":      "",
	"előttük":        "",
	"előttünk":       "",
	"előző":          "",
	"első":           "",
	"elsők":          "",
	"elsősorban":     "",
	"elsőt":          "",
	"én":             "",
	"engem":          "",
	"ennek":          "",
	"ennél":          "",
	"ennyi":          "",
	"enyém":          "",
	"erre":           "",
	"erről":          "",
	"érte":           "",
	"érted":          "",
	"értem":          "",
	"értetek":        "",
	"értük":          "",
	"értünk":         "",
	"és":             "",
	"esetben":        "",
	"ettől":          "",
	"év":             "",
	"évben":          "",
	"éve":            "",
	"évek":           "",
	"éves":           "",
	"évi":            "",
	"évvel":          "",
	"ez":             "",
	"ezek":           "",
	"ezekbe":         "",
	"ezekben":        "",
	"ezekből":        "",
	"ezeken":         "",
	"ezekért":        "",
	"ezeket":         "",
	"ezekhez":        "",
	"ezekig":         "",
	"ezekké":         "",
	"ezekkel":        "",
	"ezeknek":        "",
	"ezeknél":        "",
	"ezekre":         "",
	"ezekről":        "",
	"ezektől":        "",
	"ezen":           "",
	"ezentúl":        "",
	"ezer":           "",
	"ezért":          "",
	"ezret":          "",
	"ezt":            "",
	"ezután":         "",
	"ezzé":           "",
	"ezzel":          "",
	"fel":            "",
	"fél":            "",
	"fele":           "",
	"felé":           "",
	"felek":          "",
	"felet":          "",
	"felett":         "",
	"fent":           "",
	"fenti":          "",
	"fölé":           "",
	"gyakran":        "",
	"ha":             "",
	"halló":          "",
	"hamar":          "",
	"hanem":          "",
	"hány":           "",
	"hányszor":       "",
	"harmadik":       "",
	"harmadikat":     "",
	"hármat":         "",
	"harminc":        "",
	"három":          "",
	"hat":            "",
	"hát":            "",
	"hátha":          "",
	"hatodik":        "",
	"hatodikat":      "",
	"hatot":          "",
	"hátulsó":        "",
	"hatvan":         "",
	"helyett":        "",
	"hét":            "",
	"hetedik":        "",
	"hetediket":      "",
	"hetet":          "",
	"hetven":         "",
	"hiába":          "",
	"hirtelen":       "",
	"hiszen":         "",
	"hogy":           "",
	"hol":            "",
	"holnap":         "",
	"holnapot":       "",
	"honnan":         "",
	"hova":           "",
	"hozzá":          "",
	"hozzád":         "",
	"hozzájuk":       "",
	"hozzám":         "",
	"hozzánk":        "",
	"hozzátok":       "",
	"hurrá":          "",
	"húsz":           "",
	"huszadik":       "",
	"idén":           "",
	"ide-оda":        "",
	"igazán":         "",
	"igen":           "",
	"így":            "",
	"illetve":        "",
	"ilyen":          "",
	"immár":          "",
	"inkább":         "",
	"is":             "",
	"ismét":          "",
	"itt":            "",
	"jelenleg":       "",
	"jó":             "",
	"jobban":         "",
	"jobbra":         "",
	"jól":            "",
	"jólesik":        "",
	"jóval":          "",
	"jövőre":         "",
	"kell":           "",
	"kellene":        "",
	"kellett":        "",
	"kelljen":        "",
	"képest":         "",
	"kérem":          "",
	"kérlek":         "",
	"késő":           "",
	"később":         "",
	"későn":          "",
	"kész":           "",
	"két":            "",
	"kétszer":        "",
	"ketten":         "",
	"kettő":          "",
	"kettőt":         "",
	"kevés":          "",
	"ki":             "",
	"kiben":          "",
	"kiből":          "",
	"kicsit":         "",
	"kicsoda":        "",
	"kié":            "",
	"kiért":          "",
	"kihez":          "",
	"kik":            "",
	"kikbe":          "",
	"kikben":         "",
	"kikből":         "",
	"kiken":          "",
	"kikért":         "",
	"kiket":          "",
	"kikhez":         "",
	"kikké":          "",
	"kikkel":         "",
	"kiknek":         "",
	"kiknél":         "",
	"kikre":          "",
	"kikről":         "",
	"kiktől":         "",
	"kilenc":         "",
	"kilencedik":     "",
	"kilencediket":   "",
	"kilencet":       "",
	"kilencven":      "",
	"kin":            "",
	"kinek":          "",
	"kinél":          "",
	"kire":           "",
	"kiről":          "",
	"kit":            "",
	"kitől":          "",
	"kivé":           "",
	"kivel":          "",
	"korábban":       "",
	"körül":          "",
	"köszönhetően":   "",
	"köszönöm":       "",
	"közben":         "",
	"közé":           "",
	"közel":          "",
	"közepén":        "",
	"közepesen":      "",
	"között":         "",
	"közül":          "",
	"külön":          "",
	"különben":       "",
	"különböző":      "",
	"különbözőbb":    "",
	"különbözőek":    "",
	"lassan":         "",
	"le":             "",
	"legalább":       "",
	"legyen":         "",
	"lehet":          "",
	"lehetetlen":     "",
	"lehetőleg":      "",
	"lehetőség":      "",
	"lenne":          "",
	"lennék":         "",
	"lennének":       "",
	"lesz":           "",
	"leszek":         "",
	"lesznek":        "",
	"leszünk":        "",
	"lett":           "",
	"lettek":         "",
	"lettem":         "",
	"lettünk":        "",
	"lévő":           "",
	"ma":             "",
	"maga":           "",
	"magad":          "",
	"magam":          "",
	"magát":          "",
	"magatokat":      "",
	"magukat":        "",
	"magunkat":       "",
	"mai":            "",
	"majd":           "",
	"majdnem":        "",
	"manapság":       "",
	"már":            "",
	"más":            "",
	"másik":          "",
	"másikat":        "",
	"másnap":         "",
	"második":        "",
	"másodszor":      "",
	"mások":          "",
	"másokat":        "",
	"mást":           "",
	"meg":            "",
	"még":            "",
	"megcsinál":      "",
	"megcsinálnak":   "",
	"megint":         "",
	"mégis":          "",
	"megvan":         "",
	"mellé":          "",
	"melléd":         "",
	"melléjük":       "",
	"mellém":         "",
	"mellénk":        "",
	"mellétek":       "",
	"mellett":        "",
	"mellette":       "",
	"melletted":      "",
	"mellettem":      "",
	"mellettetek":    "",
	"mellettük":      "",
	"mellettünk":     "",
	"mellől":         "",
	"mellőle":        "",
	"mellőled":       "",
	"mellőlem":       "",
	"mellőletek":     "",
	"mellőlük":       "",
	"mellőlünk":      "",
	"melyik":         "",
	"mennyi":         "",
	"mert":           "",
	"mi":             "",
	"miatt":          "",
	"miatta":         "",
	"miattad":        "",
	"miattam":        "",
	"miattatok":      "",
	"miattuk":        "",
	"miattunk":       "",
	"mibe":           "",
	"miben":          "",
	"miből":          "",
	"miért":          "",
	"míg":            "",
	"mihez":          "",
	"mik":            "",
	"mikbe":          "",
	"mikben":         "",
	"mikből":         "",
	"miken":          "",
	"mikért":         "",
	"miket":          "",
	"mikhez":         "",
	"mikké":          "",
	"mikkel":         "",
	"miknek":         "",
	"miknél":         "",
	"mikor":          "",
	"mikre":          "",
	"mikről":         "",
	"miktől":         "",
	"milyen":         "",
	"min":            "",
	"mind":           "",
	"mindegyik":      "",
	"mindegyiket":    "",
	"minden":         "",
	"mindenesetre":   "",
	"mindenki":       "",
	"mindent":        "",
	"mindenütt":      "",
	"mindig":         "",
	"mindketten":     "",
	"minek":          "",
	"minél":          "",
	"minket":         "",
	"mint":           "",
	"mire":           "",
	"miről":          "",
	"mit":            "",
	"mitől":          "",
	"mivé":           "",
	"mivel":          "",
	"mögé":           "",
	"mögéd":          "",
	"mögéjük":        "",
	"mögém":          "",
	"mögénk":         "",
	"mögétek":        "",
	"mögött":         "",
	"mögötte":        "",
	"mögötted":       "",
	"mögöttem":       "",
	"mögöttetek":     "",
	"mögöttük":       "",
	"mögöttünk":      "",
	"mögül":          "",
	"mögüle":         "",
	"mögüled":        "",
	"mögülem":        "",
	"mögületek":      "",
	"mögülük":        "",
	"mögülünk":       "",
	"mondta":         "",
	"most":           "",
	"mostanáig":      "",
	"múltkor":        "",
	"múlva":          "",
	"na":             "",
	"nagyon":         "",
	"nála":           "",
	"nálad":          "",
	"nálam":          "",
	"nálatok":        "",
	"náluk":          "",
	"nálunk":         "",
	"naponta":        "",
	"napot":          "",
	"ne":             "",
	"négy":           "",
	"negyedik":       "",
	"negyediket":     "",
	"négyet":         "",
	"negyven":        "",
	"néha":           "",
	"néhány":         "",
	"neked":          "",
	"nekem":          "",
	"neki":           "",
	"nekik":          "",
	"nektek":         "",
	"nekünk":         "",
	"nélkül":         "",
	"nem":            "",
	"nemcsak":        "",
	"nemrég":         "",
	"nincs":          "",
	"nyolc":          "",
	"nyolcadik":      "",
	"nyolcadikat":    "",
	"nyolcat":        "",
	"nyolcvan":       "",
	"ő":              "",
	"ők":             "",
	"őket":           "",
	"olyan":          "",
	"ön":             "",
	"önbe":           "",
	"önben":          "",
	"önből":          "",
	"önért":          "",
	"önhöz":          "",
	"onnan":          "",
	"önnek":          "",
	"önnel":          "",
	"önnél":          "",
	"önök":           "",
	"önökbe":         "",
	"önökben":        "",
	"önökből":        "",
	"önökért":        "",
	"önöket":         "",
	"önökhöz":        "",
	"önökkel":        "",
	"önöknek":        "",
	"önöknél":        "",
	"önökön":         "",
	"önökre":         "",
	"önökről":        "",
	"önöktől":        "",
	"önön":           "",
	"önre":           "",
	"önről":          "",
	"önt":            "",
	"öntől":          "",
	"öt":             "",
	"őt":             "",
	"óta":            "",
	"ötödik":         "",
	"ötödiket":       "",
	"ötöt":           "",
	"ott":            "",
	"ötven":          "",
	"pár":            "",
	"pedig":          "",
	"például":        "",
	"persze":         "",
	"rá":             "",
	"rád":            "",
	"rajta":          "",
	"rajtad":         "",
	"rajtam":         "",
	"rajtatok":       "",
	"rajtuk":         "",
	"rajtunk":        "",
	"rájuk":          "",
	"rám":            "",
	"ránk":           "",
	"rátok":          "",
	"régen":          "",
	"régóta":         "",
	"rendben":        "",
	"részére":        "",
	"rögtön":         "",
	"róla":           "",
	"rólad":          "",
	"rólam":          "",
	"rólatok":        "",
	"róluk":          "",
	"rólunk":         "",
	"rosszul":        "",
	"se":             "",
	"sem":            "",
	"semmi":          "",
	"semmilyen":      "",
	"semmiség":       "",
	"senki":          "",
	"soha":           "",
	"sok":            "",
	"sokáig":         "",
	"sokan":          "",
	"sokszor":        "",
	"során":          "",
	"sőt":            "",
	"stb.":           "",
	"számára":        "",
	"száz":           "",
	"századik":       "",
	"százat":         "",
	"szemben":        "",
	"szépen":         "",
	"szerbusz":       "",
	"szerint":        "",
	"szerinte":       "",
	"szerinted":      "",
	"szerintem":      "",
	"szerintetek":    "",
	"szerintük":      "",
	"szerintünk":     "",
	"szervusz":       "",
	"szinte":         "",
	"szíves":         "",
	"szívesen":       "",
	"szíveskedjék":   "",
	"talán":          "",
	"tavaly":         "",
	"távol":          "",
	"te":             "",
	"téged":          "",
	"tegnap":         "",
	"tegnapelőtt":    "",
	"tehát":          "",
	"tele":           "",
	"tényleg":        "",
	"tessék":         "",
	"ti":             "",
	"tied":           "",
	"titeket":        "",
	"tíz":            "",
	"tizedik":        "",
	"tizediket":      "",
	"tizenegy":       "",
	"tizenegyedik":   "",
	"tizenhárom":     "",
	"tizenhat":       "",
	"tizenhét":       "",
	"tizenkét":       "",
	"tizenkettedik":  "",
	"tizenkettő":     "",
	"tizenkilenc":    "",
	"tizennégy":      "",
	"tizennyolc":     "",
	"tizenöt":        "",
	"tizet":          "",
	"több":           "",
	"többi":          "",
	"többször":       "",
	"tőle":           "",
	"tőled":          "",
	"tőlem":          "",
	"tőletek":        "",
	"tőlük":          "",
	"tőlünk":         "",
	"tovább":         "",
	"további":        "",
	"túl":            "",
	"úgy":            "",
	"ugyanakkor":     "",
	"ugyanez":        "",
	"ugyanis":        "",
	"ugye":           "",
	"úgyis":          "",
	"úgynevezett":    "",
	"újra":           "",
	"úr":             "",
	"urak":           "",
	"uram":           "",
	"urat":           "",
	"után":           "",
	"utoljára":       "",
	"utolsó":         "",
	"vagy":           "",
	"vagyis":         "",
	"vagyok":         "",
	"vagytok":        "",
	"vagyunk":        "",
	"vajon":          "",
	"valahol":        "",
	"valaki":         "",
	"valakit":        "",
	"valamelyik":     "",
	"valami":         "",
	"valamint":       "",
	"van":            "",
	"vannak":         "",
	"végén":          "",
	"végre":          "",
	"végül":          "",
	"vele":           "",
	"veled":          "",
	"velem":          "",
	"veletek":        "",
	"velük":          "",
	"velünk":         "",
	"viszlát":        "",
	"viszont":        "",
	"viszontlátásra": "",
	"volna":          "",
	"volnának":       "",
	"volnék":         "",
	"volt":           "",
	"voltak":         "",
	"voltam":         "",
	"voltunk":        ""}
