// Copyright 2018-2019 CERN
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// In applying this license, CERN does not waive the privileges and immunities
// granted to it by virtue of its status as an Intergovernmental Organization
// or submit itself to any jurisdiction.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.31.0
// 	protoc        (unknown)
// source: cs3/app/provider/v1beta1/resources.proto

package providerv1beta1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Defines the view modes.
type ViewMode int32

const (
	ViewMode_VIEW_MODE_INVALID ViewMode = 0
	// The resource can be opened but not downloaded.
	ViewMode_VIEW_MODE_VIEW_ONLY ViewMode = 1
	// The resource can be downloaded.
	ViewMode_VIEW_MODE_READ_ONLY ViewMode = 2
	// The resource can be downloaded and updated. The underlying application
	// MUST be a fully capable editor to support this mode.
	ViewMode_VIEW_MODE_READ_WRITE ViewMode = 3
	// The resource can be downloaded and updated, but must be shown in
	// preview mode. If the underlying application does not support a preview mode,
	// or if in a view-only mode users are not allowed to switch to edit mode,
	// then this mode MUST fall back to READ_WRITE.
	ViewMode_VIEW_MODE_PREVIEW ViewMode = 4
)

// Enum value maps for ViewMode.
var (
	ViewMode_name = map[int32]string{
		0: "VIEW_MODE_INVALID",
		1: "VIEW_MODE_VIEW_ONLY",
		2: "VIEW_MODE_READ_ONLY",
		3: "VIEW_MODE_READ_WRITE",
		4: "VIEW_MODE_PREVIEW",
	}
	ViewMode_value = map[string]int32{
		"VIEW_MODE_INVALID":    0,
		"VIEW_MODE_VIEW_ONLY":  1,
		"VIEW_MODE_READ_ONLY":  2,
		"VIEW_MODE_READ_WRITE": 3,
		"VIEW_MODE_PREVIEW":    4,
	}
)

func (x ViewMode) Enum() *ViewMode {
	p := new(ViewMode)
	*p = x
	return p
}

func (x ViewMode) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ViewMode) Descriptor() protoreflect.EnumDescriptor {
	return file_cs3_app_provider_v1beta1_resources_proto_enumTypes[0].Descriptor()
}

func (ViewMode) Type() protoreflect.EnumType {
	return &file_cs3_app_provider_v1beta1_resources_proto_enumTypes[0]
}

func (x ViewMode) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ViewMode.Descriptor instead.
func (ViewMode) EnumDescriptor() ([]byte, []int) {
	return file_cs3_app_provider_v1beta1_resources_proto_rawDescGZIP(), []int{0}
}

// Defines the valid targets for an app URL.
type Target int32

const (
	Target_TARGET_INVALID Target = 0
	// The app URL is to be opened within an iframe
	Target_TARGET_IFRAME Target = 1
	// The app URL is to be opened on a new blank page
	Target_TARGET_BLANK Target = 2
)

// Enum value maps for Target.
var (
	Target_name = map[int32]string{
		0: "TARGET_INVALID",
		1: "TARGET_IFRAME",
		2: "TARGET_BLANK",
	}
	Target_value = map[string]int32{
		"TARGET_INVALID": 0,
		"TARGET_IFRAME":  1,
		"TARGET_BLANK":   2,
	}
)

func (x Target) Enum() *Target {
	p := new(Target)
	*p = x
	return p
}

func (x Target) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Target) Descriptor() protoreflect.EnumDescriptor {
	return file_cs3_app_provider_v1beta1_resources_proto_enumTypes[1].Descriptor()
}

func (Target) Type() protoreflect.EnumType {
	return &file_cs3_app_provider_v1beta1_resources_proto_enumTypes[1]
}

func (x Target) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Target.Descriptor instead.
func (Target) EnumDescriptor() ([]byte, []int) {
	return file_cs3_app_provider_v1beta1_resources_proto_rawDescGZIP(), []int{1}
}

// Represents the information for the app URL to be called by the clients.
type OpenInAppURL struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The URL that clients will perform requests to.
	AppUrl string `protobuf:"bytes,1,opt,name=app_url,json=appUrl,proto3" json:"app_url,omitempty"`
	// REQUIRED.
	// The method for the request to be made.
	// Only GET and POST are supported.
	Method string `protobuf:"bytes,2,opt,name=method,proto3" json:"method,omitempty"`
	// OPTIONAL.
	// The form parameters which have to be passed along with the request.
	// These are sent only if the method is 'POST'.
	FormParameters map[string]string `protobuf:"bytes,3,rep,name=form_parameters,json=formParameters,proto3" json:"form_parameters,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// OPTIONAL.
	// The headers to be added to the request.
	Headers map[string]string `protobuf:"bytes,4,rep,name=headers,proto3" json:"headers,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// REQUIRED.
	// Whether the target for the app URL is an iframe or a new page.
	Target Target `protobuf:"varint,5,opt,name=target,proto3,enum=cs3.app.provider.v1beta1.Target" json:"target,omitempty"`
}

func (x *OpenInAppURL) Reset() {
	*x = OpenInAppURL{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_app_provider_v1beta1_resources_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OpenInAppURL) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OpenInAppURL) ProtoMessage() {}

func (x *OpenInAppURL) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_app_provider_v1beta1_resources_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OpenInAppURL.ProtoReflect.Descriptor instead.
func (*OpenInAppURL) Descriptor() ([]byte, []int) {
	return file_cs3_app_provider_v1beta1_resources_proto_rawDescGZIP(), []int{0}
}

func (x *OpenInAppURL) GetAppUrl() string {
	if x != nil {
		return x.AppUrl
	}
	return ""
}

func (x *OpenInAppURL) GetMethod() string {
	if x != nil {
		return x.Method
	}
	return ""
}

func (x *OpenInAppURL) GetFormParameters() map[string]string {
	if x != nil {
		return x.FormParameters
	}
	return nil
}

func (x *OpenInAppURL) GetHeaders() map[string]string {
	if x != nil {
		return x.Headers
	}
	return nil
}

func (x *OpenInAppURL) GetTarget() Target {
	if x != nil {
		return x.Target
	}
	return Target_TARGET_INVALID
}

var File_cs3_app_provider_v1beta1_resources_proto protoreflect.FileDescriptor

var file_cs3_app_provider_v1beta1_resources_proto_rawDesc = []byte{
	0x0a, 0x28, 0x63, 0x73, 0x33, 0x2f, 0x61, 0x70, 0x70, 0x2f, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
	0x65, 0x72, 0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x72, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x18, 0x63, 0x73, 0x33, 0x2e,
	0x61, 0x70, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x22, 0xac, 0x03, 0x0a, 0x0c, 0x4f, 0x70, 0x65, 0x6e, 0x49, 0x6e, 0x41,
	0x70, 0x70, 0x55, 0x52, 0x4c, 0x12, 0x17, 0x0a, 0x07, 0x61, 0x70, 0x70, 0x5f, 0x75, 0x72, 0x6c,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x61, 0x70, 0x70, 0x55, 0x72, 0x6c, 0x12, 0x16,
	0x0a, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x63, 0x0a, 0x0f, 0x66, 0x6f, 0x72, 0x6d, 0x5f, 0x70,
	0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x3a, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x61, 0x70, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x65, 0x6e, 0x49,
	0x6e, 0x41, 0x70, 0x70, 0x55, 0x52, 0x4c, 0x2e, 0x46, 0x6f, 0x72, 0x6d, 0x50, 0x61, 0x72, 0x61,
	0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x0e, 0x66, 0x6f, 0x72,
	0x6d, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x12, 0x4d, 0x0a, 0x07, 0x68,
	0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x33, 0x2e, 0x63,
	0x73, 0x33, 0x2e, 0x61, 0x70, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x65, 0x6e, 0x49, 0x6e, 0x41, 0x70,
	0x70, 0x55, 0x52, 0x4c, 0x2e, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72,
	0x79, 0x52, 0x07, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x12, 0x38, 0x0a, 0x06, 0x74, 0x61,
	0x72, 0x67, 0x65, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x61, 0x70, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x52, 0x06, 0x74, 0x61,
	0x72, 0x67, 0x65, 0x74, 0x1a, 0x41, 0x0a, 0x13, 0x46, 0x6f, 0x72, 0x6d, 0x50, 0x61, 0x72, 0x61,
	0x6d, 0x65, 0x74, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x3a, 0x0a, 0x0c, 0x48, 0x65, 0x61, 0x64, 0x65,
	0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a,
	0x02, 0x38, 0x01, 0x2a, 0x84, 0x01, 0x0a, 0x08, 0x56, 0x69, 0x65, 0x77, 0x4d, 0x6f, 0x64, 0x65,
	0x12, 0x15, 0x0a, 0x11, 0x56, 0x49, 0x45, 0x57, 0x5f, 0x4d, 0x4f, 0x44, 0x45, 0x5f, 0x49, 0x4e,
	0x56, 0x41, 0x4c, 0x49, 0x44, 0x10, 0x00, 0x12, 0x17, 0x0a, 0x13, 0x56, 0x49, 0x45, 0x57, 0x5f,
	0x4d, 0x4f, 0x44, 0x45, 0x5f, 0x56, 0x49, 0x45, 0x57, 0x5f, 0x4f, 0x4e, 0x4c, 0x59, 0x10, 0x01,
	0x12, 0x17, 0x0a, 0x13, 0x56, 0x49, 0x45, 0x57, 0x5f, 0x4d, 0x4f, 0x44, 0x45, 0x5f, 0x52, 0x45,
	0x41, 0x44, 0x5f, 0x4f, 0x4e, 0x4c, 0x59, 0x10, 0x02, 0x12, 0x18, 0x0a, 0x14, 0x56, 0x49, 0x45,
	0x57, 0x5f, 0x4d, 0x4f, 0x44, 0x45, 0x5f, 0x52, 0x45, 0x41, 0x44, 0x5f, 0x57, 0x52, 0x49, 0x54,
	0x45, 0x10, 0x03, 0x12, 0x15, 0x0a, 0x11, 0x56, 0x49, 0x45, 0x57, 0x5f, 0x4d, 0x4f, 0x44, 0x45,
	0x5f, 0x50, 0x52, 0x45, 0x56, 0x49, 0x45, 0x57, 0x10, 0x04, 0x2a, 0x41, 0x0a, 0x06, 0x54, 0x61,
	0x72, 0x67, 0x65, 0x74, 0x12, 0x12, 0x0a, 0x0e, 0x54, 0x41, 0x52, 0x47, 0x45, 0x54, 0x5f, 0x49,
	0x4e, 0x56, 0x41, 0x4c, 0x49, 0x44, 0x10, 0x00, 0x12, 0x11, 0x0a, 0x0d, 0x54, 0x41, 0x52, 0x47,
	0x45, 0x54, 0x5f, 0x49, 0x46, 0x52, 0x41, 0x4d, 0x45, 0x10, 0x01, 0x12, 0x10, 0x0a, 0x0c, 0x54,
	0x41, 0x52, 0x47, 0x45, 0x54, 0x5f, 0x42, 0x4c, 0x41, 0x4e, 0x4b, 0x10, 0x02, 0x42, 0xf8, 0x01,
	0x0a, 0x1c, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x61, 0x70, 0x70, 0x2e, 0x70, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x42, 0x0e,
	0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01,
	0x5a, 0x45, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x73, 0x33,
	0x6f, 0x72, 0x67, 0x2f, 0x67, 0x6f, 0x2d, 0x63, 0x73, 0x33, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x63,
	0x73, 0x33, 0x2f, 0x61, 0x70, 0x70, 0x2f, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2f,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x3b, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xa2, 0x02, 0x03, 0x43, 0x41, 0x50, 0xaa, 0x02, 0x18,
	0x43, 0x73, 0x33, 0x2e, 0x41, 0x70, 0x70, 0x2e, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x2e, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xca, 0x02, 0x18, 0x43, 0x73, 0x33, 0x5c, 0x41,
	0x70, 0x70, 0x5c, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x5c, 0x56, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0xe2, 0x02, 0x24, 0x43, 0x73, 0x33, 0x5c, 0x41, 0x70, 0x70, 0x5c, 0x50, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x5c, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x5c, 0x47,
	0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x1b, 0x43, 0x73, 0x33,
	0x3a, 0x3a, 0x41, 0x70, 0x70, 0x3a, 0x3a, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x3a,
	0x3a, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_cs3_app_provider_v1beta1_resources_proto_rawDescOnce sync.Once
	file_cs3_app_provider_v1beta1_resources_proto_rawDescData = file_cs3_app_provider_v1beta1_resources_proto_rawDesc
)

func file_cs3_app_provider_v1beta1_resources_proto_rawDescGZIP() []byte {
	file_cs3_app_provider_v1beta1_resources_proto_rawDescOnce.Do(func() {
		file_cs3_app_provider_v1beta1_resources_proto_rawDescData = protoimpl.X.CompressGZIP(file_cs3_app_provider_v1beta1_resources_proto_rawDescData)
	})
	return file_cs3_app_provider_v1beta1_resources_proto_rawDescData
}

var file_cs3_app_provider_v1beta1_resources_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_cs3_app_provider_v1beta1_resources_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_cs3_app_provider_v1beta1_resources_proto_goTypes = []interface{}{
	(ViewMode)(0),        // 0: cs3.app.provider.v1beta1.ViewMode
	(Target)(0),          // 1: cs3.app.provider.v1beta1.Target
	(*OpenInAppURL)(nil), // 2: cs3.app.provider.v1beta1.OpenInAppURL
	nil,                  // 3: cs3.app.provider.v1beta1.OpenInAppURL.FormParametersEntry
	nil,                  // 4: cs3.app.provider.v1beta1.OpenInAppURL.HeadersEntry
}
var file_cs3_app_provider_v1beta1_resources_proto_depIdxs = []int32{
	3, // 0: cs3.app.provider.v1beta1.OpenInAppURL.form_parameters:type_name -> cs3.app.provider.v1beta1.OpenInAppURL.FormParametersEntry
	4, // 1: cs3.app.provider.v1beta1.OpenInAppURL.headers:type_name -> cs3.app.provider.v1beta1.OpenInAppURL.HeadersEntry
	1, // 2: cs3.app.provider.v1beta1.OpenInAppURL.target:type_name -> cs3.app.provider.v1beta1.Target
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_cs3_app_provider_v1beta1_resources_proto_init() }
func file_cs3_app_provider_v1beta1_resources_proto_init() {
	if File_cs3_app_provider_v1beta1_resources_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_cs3_app_provider_v1beta1_resources_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OpenInAppURL); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_cs3_app_provider_v1beta1_resources_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_cs3_app_provider_v1beta1_resources_proto_goTypes,
		DependencyIndexes: file_cs3_app_provider_v1beta1_resources_proto_depIdxs,
		EnumInfos:         file_cs3_app_provider_v1beta1_resources_proto_enumTypes,
		MessageInfos:      file_cs3_app_provider_v1beta1_resources_proto_msgTypes,
	}.Build()
	File_cs3_app_provider_v1beta1_resources_proto = out.File
	file_cs3_app_provider_v1beta1_resources_proto_rawDesc = nil
	file_cs3_app_provider_v1beta1_resources_proto_goTypes = nil
	file_cs3_app_provider_v1beta1_resources_proto_depIdxs = nil
}
