// Copyright 2018-2019 CERN
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// In applying this license, CERN does not waive the privileges and immunities
// granted to it by virtue of its status as an Intergovernmental Organization
// or submit itself to any jurisdiction.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.31.0
// 	protoc        (unknown)
// source: cs3/rpc/v1beta1/status.proto

package rpcv1beta1

import (
	v1beta1 "github.com/cs3org/go-cs3apis/cs3/types/v1beta1"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// The `Status` message contains two pieces of data: error code and error message.
// The error code should be an enum value of [cs3.rpc.code].
// The error message should be a developer-facing English
// message that helps developers *understand* and *resolve* the error.
type Status struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The status code, which should be an enum value of [cs3.rpc.code][cs3.rpc.code].
	Code Code `protobuf:"varint,1,opt,name=code,proto3,enum=cs3.rpc.v1beta1.Code" json:"code,omitempty"`
	// OPTIONAL.
	// A developer-facing error message, which should be in English. Any
	// user-facing error message should be localized and sent in the
	Message string `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
	// OPTIONAL.
	// A trace added to the response for helping support to identify client problems.
	Trace string `protobuf:"bytes,3,opt,name=trace,proto3" json:"trace,omitempty"`
	// OPTIONAL.
	// A target URI as per RFC3986 to redirect requests to another location.
	// A Status message with CODE_REDIRECT MUST always set the target_uri.
	// https://golang.org/pkg/net/url/#URL provides a quick view of the format.
	TargetUri string `protobuf:"bytes,4,opt,name=target_uri,json=targetUri,proto3" json:"target_uri,omitempty"`
	// OPTIONAL.
	// InnerError represents an encoded error.
	// This makes it possible to transport error types
	// and match them on the client side by type.
	// The InnerError pattern originates from graph.
	InnerError *v1beta1.OpaqueEntry `protobuf:"bytes,5,opt,name=InnerError,proto3" json:"InnerError,omitempty"`
}

func (x *Status) Reset() {
	*x = Status{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_rpc_v1beta1_status_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Status) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Status) ProtoMessage() {}

func (x *Status) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_rpc_v1beta1_status_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Status.ProtoReflect.Descriptor instead.
func (*Status) Descriptor() ([]byte, []int) {
	return file_cs3_rpc_v1beta1_status_proto_rawDescGZIP(), []int{0}
}

func (x *Status) GetCode() Code {
	if x != nil {
		return x.Code
	}
	return Code_CODE_INVALID
}

func (x *Status) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

func (x *Status) GetTrace() string {
	if x != nil {
		return x.Trace
	}
	return ""
}

func (x *Status) GetTargetUri() string {
	if x != nil {
		return x.TargetUri
	}
	return ""
}

func (x *Status) GetInnerError() *v1beta1.OpaqueEntry {
	if x != nil {
		return x.InnerError
	}
	return nil
}

var File_cs3_rpc_v1beta1_status_proto protoreflect.FileDescriptor

var file_cs3_rpc_v1beta1_status_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x63, 0x73, 0x33, 0x2f, 0x72, 0x70, 0x63, 0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0f,
	0x63, 0x73, 0x33, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x1a,
	0x1a, 0x63, 0x73, 0x33, 0x2f, 0x72, 0x70, 0x63, 0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2f, 0x63, 0x6f, 0x64, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1d, 0x63, 0x73, 0x33,
	0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xc2, 0x01, 0x0a, 0x06, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x29, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x43, 0x6f, 0x64, 0x65, 0x52, 0x04, 0x63, 0x6f, 0x64, 0x65,
	0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x72,
	0x61, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x72, 0x61, 0x63, 0x65,
	0x12, 0x1d, 0x0a, 0x0a, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x5f, 0x75, 0x72, 0x69, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x55, 0x72, 0x69, 0x12,
	0x3e, 0x0a, 0x0a, 0x49, 0x6e, 0x6e, 0x65, 0x72, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x52, 0x0a, 0x49, 0x6e, 0x6e, 0x65, 0x72, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x42,
	0xb9, 0x01, 0x0a, 0x13, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x72, 0x70, 0x63, 0x2e,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x42, 0x0b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x50,
	0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x37, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x63, 0x73, 0x33, 0x6f, 0x72, 0x67, 0x2f, 0x67, 0x6f, 0x2d, 0x63, 0x73, 0x33,
	0x61, 0x70, 0x69, 0x73, 0x2f, 0x63, 0x73, 0x33, 0x2f, 0x72, 0x70, 0x63, 0x2f, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x3b, 0x72, 0x70, 0x63, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xa2,
	0x02, 0x03, 0x43, 0x52, 0x58, 0xaa, 0x02, 0x0f, 0x43, 0x73, 0x33, 0x2e, 0x52, 0x70, 0x63, 0x2e,
	0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xca, 0x02, 0x0f, 0x43, 0x73, 0x33, 0x5c, 0x52, 0x70,
	0x63, 0x5c, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xe2, 0x02, 0x1b, 0x43, 0x73, 0x33, 0x5c,
	0x52, 0x70, 0x63, 0x5c, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x5c, 0x47, 0x50, 0x42, 0x4d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x11, 0x43, 0x73, 0x33, 0x3a, 0x3a, 0x52,
	0x70, 0x63, 0x3a, 0x3a, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_cs3_rpc_v1beta1_status_proto_rawDescOnce sync.Once
	file_cs3_rpc_v1beta1_status_proto_rawDescData = file_cs3_rpc_v1beta1_status_proto_rawDesc
)

func file_cs3_rpc_v1beta1_status_proto_rawDescGZIP() []byte {
	file_cs3_rpc_v1beta1_status_proto_rawDescOnce.Do(func() {
		file_cs3_rpc_v1beta1_status_proto_rawDescData = protoimpl.X.CompressGZIP(file_cs3_rpc_v1beta1_status_proto_rawDescData)
	})
	return file_cs3_rpc_v1beta1_status_proto_rawDescData
}

var file_cs3_rpc_v1beta1_status_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_cs3_rpc_v1beta1_status_proto_goTypes = []interface{}{
	(*Status)(nil),              // 0: cs3.rpc.v1beta1.Status
	(Code)(0),                   // 1: cs3.rpc.v1beta1.Code
	(*v1beta1.OpaqueEntry)(nil), // 2: cs3.types.v1beta1.OpaqueEntry
}
var file_cs3_rpc_v1beta1_status_proto_depIdxs = []int32{
	1, // 0: cs3.rpc.v1beta1.Status.code:type_name -> cs3.rpc.v1beta1.Code
	2, // 1: cs3.rpc.v1beta1.Status.InnerError:type_name -> cs3.types.v1beta1.OpaqueEntry
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_cs3_rpc_v1beta1_status_proto_init() }
func file_cs3_rpc_v1beta1_status_proto_init() {
	if File_cs3_rpc_v1beta1_status_proto != nil {
		return
	}
	file_cs3_rpc_v1beta1_code_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_cs3_rpc_v1beta1_status_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Status); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_cs3_rpc_v1beta1_status_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_cs3_rpc_v1beta1_status_proto_goTypes,
		DependencyIndexes: file_cs3_rpc_v1beta1_status_proto_depIdxs,
		MessageInfos:      file_cs3_rpc_v1beta1_status_proto_msgTypes,
	}.Build()
	File_cs3_rpc_v1beta1_status_proto = out.File
	file_cs3_rpc_v1beta1_status_proto_rawDesc = nil
	file_cs3_rpc_v1beta1_status_proto_goTypes = nil
	file_cs3_rpc_v1beta1_status_proto_depIdxs = nil
}
