// Copyright 2018-2019 CERN
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// In applying this license, CERN does not waive the privileges and immunities
// granted to it by virtue of its status as an Intergovernmental Organization
// or submit itself to any jurisdiction.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.31.0
// 	protoc        (unknown)
// source: cs3/sharing/ocm/v1beta1/resources.proto

package ocmv1beta1

import (
	v1beta13 "github.com/cs3org/go-cs3apis/cs3/app/provider/v1beta1"
	v1beta11 "github.com/cs3org/go-cs3apis/cs3/identity/user/v1beta1"
	v1beta1 "github.com/cs3org/go-cs3apis/cs3/storage/provider/v1beta1"
	v1beta12 "github.com/cs3org/go-cs3apis/cs3/types/v1beta1"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// The state of the share.
type ShareState int32

const (
	// The share is no longer valid, for example, the share expired.
	ShareState_SHARE_STATE_INVALID ShareState = 0
	// New shares MUST be created in the SHARE_STATE_PENDING state.
	// This state means the share is pending to be accepted or rejected
	// by the recipient of the share.
	ShareState_SHARE_STATE_PENDING ShareState = 1
	// The recipient of the share has accepted the share.
	ShareState_SHARE_STATE_ACCEPTED ShareState = 2
	// The recipient of the share has rejected the share.
	// Do not means the share is removed, the recipient MAY
	// change the state to accepted or pending.
	ShareState_SHARE_STATE_REJECTED ShareState = 3
)

// Enum value maps for ShareState.
var (
	ShareState_name = map[int32]string{
		0: "SHARE_STATE_INVALID",
		1: "SHARE_STATE_PENDING",
		2: "SHARE_STATE_ACCEPTED",
		3: "SHARE_STATE_REJECTED",
	}
	ShareState_value = map[string]int32{
		"SHARE_STATE_INVALID":  0,
		"SHARE_STATE_PENDING":  1,
		"SHARE_STATE_ACCEPTED": 2,
		"SHARE_STATE_REJECTED": 3,
	}
)

func (x ShareState) Enum() *ShareState {
	p := new(ShareState)
	*p = x
	return p
}

func (x ShareState) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ShareState) Descriptor() protoreflect.EnumDescriptor {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_enumTypes[0].Descriptor()
}

func (ShareState) Type() protoreflect.EnumType {
	return &file_cs3_sharing_ocm_v1beta1_resources_proto_enumTypes[0]
}

func (x ShareState) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ShareState.Descriptor instead.
func (ShareState) EnumDescriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{0}
}

// Defines the type of share based on its recipient.
type ShareType int32

const (
	ShareType_SHARE_TYPE_INVALID ShareType = 0
	// Share of type user.
	ShareType_SHARE_TYPE_USER ShareType = 1
	// Share of type group.
	ShareType_SHARE_TYPE_GROUP ShareType = 2
)

// Enum value maps for ShareType.
var (
	ShareType_name = map[int32]string{
		0: "SHARE_TYPE_INVALID",
		1: "SHARE_TYPE_USER",
		2: "SHARE_TYPE_GROUP",
	}
	ShareType_value = map[string]int32{
		"SHARE_TYPE_INVALID": 0,
		"SHARE_TYPE_USER":    1,
		"SHARE_TYPE_GROUP":   2,
	}
)

func (x ShareType) Enum() *ShareType {
	p := new(ShareType)
	*p = x
	return p
}

func (x ShareType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ShareType) Descriptor() protoreflect.EnumDescriptor {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_enumTypes[1].Descriptor()
}

func (ShareType) Type() protoreflect.EnumType {
	return &file_cs3_sharing_ocm_v1beta1_resources_proto_enumTypes[1]
}

func (x ShareType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ShareType.Descriptor instead.
func (ShareType) EnumDescriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{1}
}

// Shares are relationships between a resource owner
// (usually the authenticated user) who grants permissions to a recipient
// (grantee) on a specified resource (resource_id). UserShares represents both
// user and groups.
type Share struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// Opaque unique identifier of the share.
	Id *ShareId `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// REQUIRED.
	// Unique identifier of the shared resource.
	ResourceId *v1beta1.ResourceId `protobuf:"bytes,2,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	// REQUIRED.
	// Name of the shared resource.
	Name string `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	// REQUIRED.
	// The unlisted token to give access to the ocm share.
	Token string `protobuf:"bytes,4,opt,name=token,proto3" json:"token,omitempty"`
	// REQUIRED.
	// The receiver of the share, like a user, group ...
	Grantee *v1beta1.Grantee `protobuf:"bytes,5,opt,name=grantee,proto3" json:"grantee,omitempty"`
	// REQUIRED.
	// Uniquely identifies the owner of the share
	// (the resource owner at the time of creating the share).
	// In case the ownership of the underlying resource changes
	// the share owner field MAY change to reflect the change of ownsership.
	Owner *v1beta11.UserId `protobuf:"bytes,6,opt,name=owner,proto3" json:"owner,omitempty"`
	// REQUIRED.
	// Uniquely identifies a principal who initiates the share creation.
	// A creator can create shares on behalf of the owner (because of re-sharing,
	// because belonging to special groups, ...).
	// Creator and owner often result in being the same principal.
	Creator *v1beta11.UserId `protobuf:"bytes,7,opt,name=creator,proto3" json:"creator,omitempty"`
	// REQUIRED.
	// Creation time of the share.
	Ctime *v1beta12.Timestamp `protobuf:"bytes,8,opt,name=ctime,proto3" json:"ctime,omitempty"`
	// REQUIRED.
	// Last modification time of the share.
	Mtime *v1beta12.Timestamp `protobuf:"bytes,9,opt,name=mtime,proto3" json:"mtime,omitempty"`
	// OPTIONAL.
	// The expiration time for the OCM share.
	Expiration *v1beta12.Timestamp `protobuf:"bytes,10,opt,name=expiration,proto3" json:"expiration,omitempty"`
	// REQUIRED.
	// Recipient share type.
	ShareType ShareType `protobuf:"varint,11,opt,name=share_type,json=shareType,proto3,enum=cs3.sharing.ocm.v1beta1.ShareType" json:"share_type,omitempty"`
	// REQUIRED.
	AccessMethods []*AccessMethod `protobuf:"bytes,12,rep,name=access_methods,json=accessMethods,proto3" json:"access_methods,omitempty"`
	// OPTIONAL.
	Opaque *v1beta12.Opaque `protobuf:"bytes,13,opt,name=opaque,proto3" json:"opaque,omitempty"`
}

func (x *Share) Reset() {
	*x = Share{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Share) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Share) ProtoMessage() {}

func (x *Share) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Share.ProtoReflect.Descriptor instead.
func (*Share) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{0}
}

func (x *Share) GetId() *ShareId {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *Share) GetResourceId() *v1beta1.ResourceId {
	if x != nil {
		return x.ResourceId
	}
	return nil
}

func (x *Share) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Share) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

func (x *Share) GetGrantee() *v1beta1.Grantee {
	if x != nil {
		return x.Grantee
	}
	return nil
}

func (x *Share) GetOwner() *v1beta11.UserId {
	if x != nil {
		return x.Owner
	}
	return nil
}

func (x *Share) GetCreator() *v1beta11.UserId {
	if x != nil {
		return x.Creator
	}
	return nil
}

func (x *Share) GetCtime() *v1beta12.Timestamp {
	if x != nil {
		return x.Ctime
	}
	return nil
}

func (x *Share) GetMtime() *v1beta12.Timestamp {
	if x != nil {
		return x.Mtime
	}
	return nil
}

func (x *Share) GetExpiration() *v1beta12.Timestamp {
	if x != nil {
		return x.Expiration
	}
	return nil
}

func (x *Share) GetShareType() ShareType {
	if x != nil {
		return x.ShareType
	}
	return ShareType_SHARE_TYPE_INVALID
}

func (x *Share) GetAccessMethods() []*AccessMethod {
	if x != nil {
		return x.AccessMethods
	}
	return nil
}

func (x *Share) GetOpaque() *v1beta12.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

// The permissions for a share.
type SharePermissions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Permissions *v1beta1.ResourcePermissions `protobuf:"bytes,1,opt,name=permissions,proto3" json:"permissions,omitempty"`
	Reshare     bool                         `protobuf:"varint,2,opt,name=reshare,proto3" json:"reshare,omitempty"`
}

func (x *SharePermissions) Reset() {
	*x = SharePermissions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SharePermissions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SharePermissions) ProtoMessage() {}

func (x *SharePermissions) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SharePermissions.ProtoReflect.Descriptor instead.
func (*SharePermissions) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{1}
}

func (x *SharePermissions) GetPermissions() *v1beta1.ResourcePermissions {
	if x != nil {
		return x.Permissions
	}
	return nil
}

func (x *SharePermissions) GetReshare() bool {
	if x != nil {
		return x.Reshare
	}
	return false
}

// A received share is the share that a grantee will receive.
type ReceivedShare struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// Opaque unique identifier of the share.
	Id *ShareId `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// REQUIRED.
	// Name of the shared resource.
	Name string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	// REQUIRED.
	// Identifier to identify the shared resource at the provider side.
	// This is unique per provider such that if the same resource is shared twice, this will not be repeated.
	// This correspond to the `providerId` in the OCM API specs.
	RemoteShareId string `protobuf:"bytes,3,opt,name=remote_share_id,json=remoteShareId,proto3" json:"remote_share_id,omitempty"`
	// REQUIRED.
	// The receiver of the share, like a user, group ...
	Grantee *v1beta1.Grantee `protobuf:"bytes,4,opt,name=grantee,proto3" json:"grantee,omitempty"`
	// REQUIRED.
	// Uniquely identifies the owner of the share
	// (the resource owner at the time of creating the share).
	// In case the ownership of the underlying resource changes
	// the share owner field MAY change to reflect the change of ownsership.
	Owner *v1beta11.UserId `protobuf:"bytes,5,opt,name=owner,proto3" json:"owner,omitempty"`
	// REQUIRED.
	// Uniquely identifies a principal who initiates the share creation.
	// A creator can create shares on behalf of the owner (because of re-sharing,
	// because belonging to special groups, ...).
	// Creator and owner often result in being the same principal.
	Creator *v1beta11.UserId `protobuf:"bytes,6,opt,name=creator,proto3" json:"creator,omitempty"`
	// REQUIRED.
	// Creation time of the share.
	Ctime *v1beta12.Timestamp `protobuf:"bytes,7,opt,name=ctime,proto3" json:"ctime,omitempty"`
	// REQUIRED.
	// Last modification time of the share.
	Mtime *v1beta12.Timestamp `protobuf:"bytes,8,opt,name=mtime,proto3" json:"mtime,omitempty"`
	// OPTIONAL.
	// The expiration time for the ocm share.
	Expiration *v1beta12.Timestamp `protobuf:"bytes,9,opt,name=expiration,proto3" json:"expiration,omitempty"`
	// REQUIRED.
	// Recipient share type.
	ShareType ShareType `protobuf:"varint,10,opt,name=share_type,json=shareType,proto3,enum=cs3.sharing.ocm.v1beta1.ShareType" json:"share_type,omitempty"`
	// REQUIRED.
	// List of protocols offered for this share.
	// In the OCM specifications, this corresponds to the `protocol`
	// property, to maintain backwards compatibility with OCM v1 where
	// only a single protocol was implemented. Furthermore,
	// `protocol.name` MAY be set to `multi` and `protocol.options`
	// MAY be left empty in the OCM share payload, in order to use
	// the `protocol.webdav` and similar properties.
	Protocols []*Protocol `protobuf:"bytes,11,rep,name=protocols,proto3" json:"protocols,omitempty"`
	// REQUIRED.
	// The state of the share.
	State ShareState `protobuf:"varint,12,opt,name=state,proto3,enum=cs3.sharing.ocm.v1beta1.ShareState" json:"state,omitempty"`
	// OPTIONAL.
	Opaque *v1beta12.Opaque `protobuf:"bytes,13,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// REQUIRED.
	// Resource type.
	ResourceType v1beta1.ResourceType `protobuf:"varint,14,opt,name=resource_type,json=resourceType,proto3,enum=cs3.storage.provider.v1beta1.ResourceType" json:"resource_type,omitempty"`
}

func (x *ReceivedShare) Reset() {
	*x = ReceivedShare{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReceivedShare) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReceivedShare) ProtoMessage() {}

func (x *ReceivedShare) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReceivedShare.ProtoReflect.Descriptor instead.
func (*ReceivedShare) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{2}
}

func (x *ReceivedShare) GetId() *ShareId {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *ReceivedShare) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ReceivedShare) GetRemoteShareId() string {
	if x != nil {
		return x.RemoteShareId
	}
	return ""
}

func (x *ReceivedShare) GetGrantee() *v1beta1.Grantee {
	if x != nil {
		return x.Grantee
	}
	return nil
}

func (x *ReceivedShare) GetOwner() *v1beta11.UserId {
	if x != nil {
		return x.Owner
	}
	return nil
}

func (x *ReceivedShare) GetCreator() *v1beta11.UserId {
	if x != nil {
		return x.Creator
	}
	return nil
}

func (x *ReceivedShare) GetCtime() *v1beta12.Timestamp {
	if x != nil {
		return x.Ctime
	}
	return nil
}

func (x *ReceivedShare) GetMtime() *v1beta12.Timestamp {
	if x != nil {
		return x.Mtime
	}
	return nil
}

func (x *ReceivedShare) GetExpiration() *v1beta12.Timestamp {
	if x != nil {
		return x.Expiration
	}
	return nil
}

func (x *ReceivedShare) GetShareType() ShareType {
	if x != nil {
		return x.ShareType
	}
	return ShareType_SHARE_TYPE_INVALID
}

func (x *ReceivedShare) GetProtocols() []*Protocol {
	if x != nil {
		return x.Protocols
	}
	return nil
}

func (x *ReceivedShare) GetState() ShareState {
	if x != nil {
		return x.State
	}
	return ShareState_SHARE_STATE_INVALID
}

func (x *ReceivedShare) GetOpaque() *v1beta12.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *ReceivedShare) GetResourceType() v1beta1.ResourceType {
	if x != nil {
		return x.ResourceType
	}
	return v1beta1.ResourceType(0)
}

// Uniquely identifies a share in the share provider.
// A share MUST be uniquely identify by four (4) elements:
// 1) The share provider id
// 2) The owner of the share
// 3) The resource id
// 4) The grantee for the share
// This 4-tuple MUST be unique.
// For example, owner Alice shares the resource /home/docs with id
// home:1234 to an user named Bob. The 4-tuple will consist of
// 1) The share provider id = "user"
// 2) The owner of the share = "Alice"
// 3) The resource id = "home:1234"
// 4) The grantee for the share = Grantee("type" = "user", "" => "Bob")
type ShareKey struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	Owner *v1beta11.UserId `protobuf:"bytes,1,opt,name=owner,proto3" json:"owner,omitempty"`
	// REQUIRED.
	ResourceId *v1beta1.ResourceId `protobuf:"bytes,2,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	// REQUIRED.
	Grantee *v1beta1.Grantee `protobuf:"bytes,3,opt,name=grantee,proto3" json:"grantee,omitempty"`
}

func (x *ShareKey) Reset() {
	*x = ShareKey{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShareKey) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShareKey) ProtoMessage() {}

func (x *ShareKey) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShareKey.ProtoReflect.Descriptor instead.
func (*ShareKey) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{3}
}

func (x *ShareKey) GetOwner() *v1beta11.UserId {
	if x != nil {
		return x.Owner
	}
	return nil
}

func (x *ShareKey) GetResourceId() *v1beta1.ResourceId {
	if x != nil {
		return x.ResourceId
	}
	return nil
}

func (x *ShareKey) GetGrantee() *v1beta1.Grantee {
	if x != nil {
		return x.Grantee
	}
	return nil
}

// A share id identifies uniquely a share in the share provider namespace.
// A ShareId MUST be unique inside the share provider.
type ShareId struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The internal id used by service implementor to
	// uniquely identify the share in the internal
	// implementation of the service.
	// In the OCM specifications, this corresponds to the `providerId`.
	OpaqueId string `protobuf:"bytes,1,opt,name=opaque_id,json=opaqueId,proto3" json:"opaque_id,omitempty"`
}

func (x *ShareId) Reset() {
	*x = ShareId{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShareId) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShareId) ProtoMessage() {}

func (x *ShareId) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShareId.ProtoReflect.Descriptor instead.
func (*ShareId) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{4}
}

func (x *ShareId) GetOpaqueId() string {
	if x != nil {
		return x.OpaqueId
	}
	return ""
}

// The mechanism to identify a share
// in the share provider namespace.
type ShareReference struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// One of the specifications MUST be specified.
	//
	// Types that are assignable to Spec:
	//
	//	*ShareReference_Id
	//	*ShareReference_Key
	//	*ShareReference_Token
	Spec isShareReference_Spec `protobuf_oneof:"spec"`
}

func (x *ShareReference) Reset() {
	*x = ShareReference{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShareReference) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShareReference) ProtoMessage() {}

func (x *ShareReference) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShareReference.ProtoReflect.Descriptor instead.
func (*ShareReference) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{5}
}

func (m *ShareReference) GetSpec() isShareReference_Spec {
	if m != nil {
		return m.Spec
	}
	return nil
}

func (x *ShareReference) GetId() *ShareId {
	if x, ok := x.GetSpec().(*ShareReference_Id); ok {
		return x.Id
	}
	return nil
}

func (x *ShareReference) GetKey() *ShareKey {
	if x, ok := x.GetSpec().(*ShareReference_Key); ok {
		return x.Key
	}
	return nil
}

func (x *ShareReference) GetToken() string {
	if x, ok := x.GetSpec().(*ShareReference_Token); ok {
		return x.Token
	}
	return ""
}

type isShareReference_Spec interface {
	isShareReference_Spec()
}

type ShareReference_Id struct {
	// The id of the share.
	Id *ShareId `protobuf:"bytes,1,opt,name=id,proto3,oneof"`
}

type ShareReference_Key struct {
	// The combination of fields that
	// make the share unique.
	Key *ShareKey `protobuf:"bytes,2,opt,name=key,proto3,oneof"`
}

type ShareReference_Token struct {
	// The token of the share.
	Token string `protobuf:"bytes,3,opt,name=token,proto3,oneof"`
}

func (*ShareReference_Id) isShareReference_Spec() {}

func (*ShareReference_Key) isShareReference_Spec() {}

func (*ShareReference_Token) isShareReference_Spec() {}

// A share grant specifies the share permissions
// for a grantee.
type ShareGrant struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The grantee of the grant.
	Grantee *v1beta1.Grantee `protobuf:"bytes,1,opt,name=grantee,proto3" json:"grantee,omitempty"`
	// REQUIRED.
	// The share permissions for the grant.
	Permissions *SharePermissions `protobuf:"bytes,2,opt,name=permissions,proto3" json:"permissions,omitempty"`
}

func (x *ShareGrant) Reset() {
	*x = ShareGrant{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShareGrant) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShareGrant) ProtoMessage() {}

func (x *ShareGrant) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShareGrant.ProtoReflect.Descriptor instead.
func (*ShareGrant) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{6}
}

func (x *ShareGrant) GetGrantee() *v1beta1.Grantee {
	if x != nil {
		return x.Grantee
	}
	return nil
}

func (x *ShareGrant) GetPermissions() *SharePermissions {
	if x != nil {
		return x.Permissions
	}
	return nil
}

// The protocol which is used to give access to a remote OCM user.
type Protocol struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// One of the protocols MUST be specified.
	//
	// Types that are assignable to Term:
	//
	//	*Protocol_WebdavOptions
	//	*Protocol_WebappOptions
	//	*Protocol_TransferOptions
	//	*Protocol_GenericOptions
	Term isProtocol_Term `protobuf_oneof:"term"`
}

func (x *Protocol) Reset() {
	*x = Protocol{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Protocol) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Protocol) ProtoMessage() {}

func (x *Protocol) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Protocol.ProtoReflect.Descriptor instead.
func (*Protocol) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{7}
}

func (m *Protocol) GetTerm() isProtocol_Term {
	if m != nil {
		return m.Term
	}
	return nil
}

func (x *Protocol) GetWebdavOptions() *WebDAVProtocol {
	if x, ok := x.GetTerm().(*Protocol_WebdavOptions); ok {
		return x.WebdavOptions
	}
	return nil
}

func (x *Protocol) GetWebappOptions() *WebappProtocol {
	if x, ok := x.GetTerm().(*Protocol_WebappOptions); ok {
		return x.WebappOptions
	}
	return nil
}

func (x *Protocol) GetTransferOptions() *TransferProtocol {
	if x, ok := x.GetTerm().(*Protocol_TransferOptions); ok {
		return x.TransferOptions
	}
	return nil
}

func (x *Protocol) GetGenericOptions() *v1beta12.Opaque {
	if x, ok := x.GetTerm().(*Protocol_GenericOptions); ok {
		return x.GenericOptions
	}
	return nil
}

type isProtocol_Term interface {
	isProtocol_Term()
}

type Protocol_WebdavOptions struct {
	// Options for WebDAV protocol.
	WebdavOptions *WebDAVProtocol `protobuf:"bytes,1,opt,name=webdav_options,json=webdavOptions,proto3,oneof"`
}

type Protocol_WebappOptions struct {
	// Options for Webapp protocol.
	WebappOptions *WebappProtocol `protobuf:"bytes,2,opt,name=webapp_options,json=webappOptions,proto3,oneof"`
}

type Protocol_TransferOptions struct {
	// Options for transfer protocol.
	TransferOptions *TransferProtocol `protobuf:"bytes,3,opt,name=transfer_options,json=transferOptions,proto3,oneof"`
}

type Protocol_GenericOptions struct {
	// Options for a generic protocol.
	// Used to implement future protocols
	// in the OCM specs.
	GenericOptions *v1beta12.Opaque `protobuf:"bytes,4,opt,name=generic_options,json=genericOptions,proto3,oneof"`
}

func (*Protocol_WebdavOptions) isProtocol_Term() {}

func (*Protocol_WebappOptions) isProtocol_Term() {}

func (*Protocol_TransferOptions) isProtocol_Term() {}

func (*Protocol_GenericOptions) isProtocol_Term() {}

// Defines the options for the WebDAV protocol.
type WebDAVProtocol struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// Secret used to access the resource.
	SharedSecret string `protobuf:"bytes,1,opt,name=shared_secret,json=sharedSecret,proto3" json:"shared_secret,omitempty"`
	// REQUIRED.
	// Permissions of the shared resource.
	Permissions *SharePermissions `protobuf:"bytes,2,opt,name=permissions,proto3" json:"permissions,omitempty"`
	// REQUIRED.
	// WebDAV URI used to access the resource.
	Uri string `protobuf:"bytes,3,opt,name=uri,proto3" json:"uri,omitempty"`
}

func (x *WebDAVProtocol) Reset() {
	*x = WebDAVProtocol{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WebDAVProtocol) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WebDAVProtocol) ProtoMessage() {}

func (x *WebDAVProtocol) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WebDAVProtocol.ProtoReflect.Descriptor instead.
func (*WebDAVProtocol) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{8}
}

func (x *WebDAVProtocol) GetSharedSecret() string {
	if x != nil {
		return x.SharedSecret
	}
	return ""
}

func (x *WebDAVProtocol) GetPermissions() *SharePermissions {
	if x != nil {
		return x.Permissions
	}
	return nil
}

func (x *WebDAVProtocol) GetUri() string {
	if x != nil {
		return x.Uri
	}
	return ""
}

// Defines the options for the Webapp protocol.
type WebappProtocol struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// Template URI to open the resource with a remote app.
	UriTemplate string `protobuf:"bytes,1,opt,name=uri_template,json=uriTemplate,proto3" json:"uri_template,omitempty"`
	// REQUIRED.
	// View mode for the remote app.
	ViewMode v1beta13.ViewMode `protobuf:"varint,2,opt,name=view_mode,json=viewMode,proto3,enum=cs3.app.provider.v1beta1.ViewMode" json:"view_mode,omitempty"`
}

func (x *WebappProtocol) Reset() {
	*x = WebappProtocol{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WebappProtocol) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WebappProtocol) ProtoMessage() {}

func (x *WebappProtocol) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WebappProtocol.ProtoReflect.Descriptor instead.
func (*WebappProtocol) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{9}
}

func (x *WebappProtocol) GetUriTemplate() string {
	if x != nil {
		return x.UriTemplate
	}
	return ""
}

func (x *WebappProtocol) GetViewMode() v1beta13.ViewMode {
	if x != nil {
		return x.ViewMode
	}
	return v1beta13.ViewMode(0)
}

// Defines the options for the Transfer protocol.
type TransferProtocol struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// Secret used to access the source of the data transfer.
	SharedSecret string `protobuf:"bytes,1,opt,name=shared_secret,json=sharedSecret,proto3" json:"shared_secret,omitempty"`
	// REQUIRED.
	// Source URI for the data transfer.
	SourceUri string `protobuf:"bytes,2,opt,name=source_uri,json=sourceUri,proto3" json:"source_uri,omitempty"`
	// REQUIRED.
	// Size in bytes of the source.
	Size uint64 `protobuf:"varint,3,opt,name=size,proto3" json:"size,omitempty"`
}

func (x *TransferProtocol) Reset() {
	*x = TransferProtocol{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransferProtocol) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransferProtocol) ProtoMessage() {}

func (x *TransferProtocol) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransferProtocol.ProtoReflect.Descriptor instead.
func (*TransferProtocol) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{10}
}

func (x *TransferProtocol) GetSharedSecret() string {
	if x != nil {
		return x.SharedSecret
	}
	return ""
}

func (x *TransferProtocol) GetSourceUri() string {
	if x != nil {
		return x.SourceUri
	}
	return ""
}

func (x *TransferProtocol) GetSize() uint64 {
	if x != nil {
		return x.Size
	}
	return 0
}

// Defines how the recipient accesses an incoming remote OCM share.
type AccessMethod struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// One of the access method MUST be specified.
	//
	// Types that are assignable to Term:
	//
	//	*AccessMethod_WebdavOptions
	//	*AccessMethod_WebappOptions
	//	*AccessMethod_TransferOptions
	//	*AccessMethod_GenericOptions
	Term isAccessMethod_Term `protobuf_oneof:"term"`
}

func (x *AccessMethod) Reset() {
	*x = AccessMethod{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AccessMethod) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccessMethod) ProtoMessage() {}

func (x *AccessMethod) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccessMethod.ProtoReflect.Descriptor instead.
func (*AccessMethod) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{11}
}

func (m *AccessMethod) GetTerm() isAccessMethod_Term {
	if m != nil {
		return m.Term
	}
	return nil
}

func (x *AccessMethod) GetWebdavOptions() *WebDAVAccessMethod {
	if x, ok := x.GetTerm().(*AccessMethod_WebdavOptions); ok {
		return x.WebdavOptions
	}
	return nil
}

func (x *AccessMethod) GetWebappOptions() *WebappAccessMethod {
	if x, ok := x.GetTerm().(*AccessMethod_WebappOptions); ok {
		return x.WebappOptions
	}
	return nil
}

func (x *AccessMethod) GetTransferOptions() *TransferAccessMethod {
	if x, ok := x.GetTerm().(*AccessMethod_TransferOptions); ok {
		return x.TransferOptions
	}
	return nil
}

func (x *AccessMethod) GetGenericOptions() *v1beta12.Opaque {
	if x, ok := x.GetTerm().(*AccessMethod_GenericOptions); ok {
		return x.GenericOptions
	}
	return nil
}

type isAccessMethod_Term interface {
	isAccessMethod_Term()
}

type AccessMethod_WebdavOptions struct {
	// Options for the WebDAV access method.
	WebdavOptions *WebDAVAccessMethod `protobuf:"bytes,1,opt,name=webdav_options,json=webdavOptions,proto3,oneof"`
}

type AccessMethod_WebappOptions struct {
	// Options for the Webapp access method.
	WebappOptions *WebappAccessMethod `protobuf:"bytes,2,opt,name=webapp_options,json=webappOptions,proto3,oneof"`
}

type AccessMethod_TransferOptions struct {
	// Options for the Transfer access method.
	TransferOptions *TransferAccessMethod `protobuf:"bytes,3,opt,name=transfer_options,json=transferOptions,proto3,oneof"`
}

type AccessMethod_GenericOptions struct {
	// Options for a generic transfer method.
	// Used to implement future access methods.
	GenericOptions *v1beta12.Opaque `protobuf:"bytes,4,opt,name=generic_options,json=genericOptions,proto3,oneof"`
}

func (*AccessMethod_WebdavOptions) isAccessMethod_Term() {}

func (*AccessMethod_WebappOptions) isAccessMethod_Term() {}

func (*AccessMethod_TransferOptions) isAccessMethod_Term() {}

func (*AccessMethod_GenericOptions) isAccessMethod_Term() {}

// Defines the options for the WebDAV access method.
type WebDAVAccessMethod struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The permissions for the share.
	Permissions *v1beta1.ResourcePermissions `protobuf:"bytes,1,opt,name=permissions,proto3" json:"permissions,omitempty"`
}

func (x *WebDAVAccessMethod) Reset() {
	*x = WebDAVAccessMethod{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WebDAVAccessMethod) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WebDAVAccessMethod) ProtoMessage() {}

func (x *WebDAVAccessMethod) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WebDAVAccessMethod.ProtoReflect.Descriptor instead.
func (*WebDAVAccessMethod) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{12}
}

func (x *WebDAVAccessMethod) GetPermissions() *v1beta1.ResourcePermissions {
	if x != nil {
		return x.Permissions
	}
	return nil
}

// Defines the options for the Webapp access method.
type WebappAccessMethod struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The view mode for the share.
	ViewMode v1beta13.ViewMode `protobuf:"varint,1,opt,name=view_mode,json=viewMode,proto3,enum=cs3.app.provider.v1beta1.ViewMode" json:"view_mode,omitempty"`
}

func (x *WebappAccessMethod) Reset() {
	*x = WebappAccessMethod{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WebappAccessMethod) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WebappAccessMethod) ProtoMessage() {}

func (x *WebappAccessMethod) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WebappAccessMethod.ProtoReflect.Descriptor instead.
func (*WebappAccessMethod) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{13}
}

func (x *WebappAccessMethod) GetViewMode() v1beta13.ViewMode {
	if x != nil {
		return x.ViewMode
	}
	return v1beta13.ViewMode(0)
}

// Defines the options for the Transfer access method.
type TransferAccessMethod struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The destination path of the data transfer.
	Destination *v1beta1.Reference `protobuf:"bytes,1,opt,name=destination,proto3" json:"destination,omitempty"`
}

func (x *TransferAccessMethod) Reset() {
	*x = TransferAccessMethod{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransferAccessMethod) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransferAccessMethod) ProtoMessage() {}

func (x *TransferAccessMethod) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransferAccessMethod.ProtoReflect.Descriptor instead.
func (*TransferAccessMethod) Descriptor() ([]byte, []int) {
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP(), []int{14}
}

func (x *TransferAccessMethod) GetDestination() *v1beta1.Reference {
	if x != nil {
		return x.Destination
	}
	return nil
}

var File_cs3_sharing_ocm_v1beta1_resources_proto protoreflect.FileDescriptor

var file_cs3_sharing_ocm_v1beta1_resources_proto_rawDesc = []byte{
	0x0a, 0x27, 0x63, 0x73, 0x33, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2f, 0x6f, 0x63,
	0x6d, 0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x17, 0x63, 0x73, 0x33, 0x2e, 0x73,
	0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x1a, 0x28, 0x63, 0x73, 0x33, 0x2f, 0x61, 0x70, 0x70, 0x2f, 0x70, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x72, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x29, 0x63, 0x73,
	0x33, 0x2f, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2f, 0x75, 0x73, 0x65, 0x72, 0x2f,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2c, 0x63, 0x73, 0x33, 0x2f, 0x73, 0x74, 0x6f,
	0x72, 0x61, 0x67, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1d, 0x63, 0x73, 0x33, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73,
	0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0xcf, 0x05, 0x0a, 0x05, 0x53, 0x68, 0x61, 0x72, 0x65, 0x12, 0x30,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x49, 0x64, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x49, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x52,
	0x0a, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12,
	0x14, 0x0a, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x3f, 0x0a, 0x07, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f,
	0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x52, 0x07, 0x67,
	0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x12, 0x37, 0x0a, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65, 0x6e,
	0x74, 0x69, 0x74, 0x79, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x52, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x12,
	0x3b, 0x0a, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e,
	0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x55, 0x73, 0x65,
	0x72, 0x49, 0x64, 0x52, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x12, 0x32, 0x0a, 0x05,
	0x63, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x73,
	0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x05, 0x63, 0x74, 0x69, 0x6d, 0x65,
	0x12, 0x32, 0x0a, 0x05, 0x6d, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1c, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x05, 0x6d,
	0x74, 0x69, 0x6d, 0x65, 0x12, 0x3c, 0x0a, 0x0a, 0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x41, 0x0a, 0x0a, 0x73, 0x68, 0x61, 0x72, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x0b, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x22, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61,
	0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x09, 0x73, 0x68, 0x61, 0x72,
	0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x4c, 0x0a, 0x0e, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f,
	0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x73, 0x18, 0x0c, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e,
	0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x4d, 0x65,
	0x74, 0x68, 0x6f, 0x64, 0x52, 0x0d, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x4d, 0x65, 0x74, 0x68,
	0x6f, 0x64, 0x73, 0x12, 0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x0d, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52, 0x06,
	0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x22, 0x81, 0x01, 0x0a, 0x10, 0x53, 0x68, 0x61, 0x72, 0x65,
	0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x53, 0x0a, 0x0b, 0x70,
	0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x31, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e,
	0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69,
	0x6f, 0x6e, 0x73, 0x52, 0x0b, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73,
	0x12, 0x18, 0x0a, 0x07, 0x72, 0x65, 0x73, 0x68, 0x61, 0x72, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x08, 0x52, 0x07, 0x72, 0x65, 0x73, 0x68, 0x61, 0x72, 0x65, 0x22, 0x9d, 0x06, 0x0a, 0x0d, 0x52,
	0x65, 0x63, 0x65, 0x69, 0x76, 0x65, 0x64, 0x53, 0x68, 0x61, 0x72, 0x65, 0x12, 0x30, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73,
	0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x49, 0x64, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12,
	0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x12, 0x26, 0x0a, 0x0f, 0x72, 0x65, 0x6d, 0x6f, 0x74, 0x65, 0x5f, 0x73, 0x68, 0x61,
	0x72, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x72, 0x65, 0x6d,
	0x6f, 0x74, 0x65, 0x53, 0x68, 0x61, 0x72, 0x65, 0x49, 0x64, 0x12, 0x3f, 0x0a, 0x07, 0x67, 0x72,
	0x61, 0x6e, 0x74, 0x65, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x63, 0x73,
	0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x47, 0x72, 0x61, 0x6e, 0x74,
	0x65, 0x65, 0x52, 0x07, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x12, 0x37, 0x0a, 0x05, 0x6f,
	0x77, 0x6e, 0x65, 0x72, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x52, 0x05, 0x6f,
	0x77, 0x6e, 0x65, 0x72, 0x12, 0x3b, 0x0a, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65, 0x6e,
	0x74, 0x69, 0x74, 0x79, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x52, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f,
	0x72, 0x12, 0x32, 0x0a, 0x05, 0x63, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x05,
	0x63, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x32, 0x0a, 0x05, 0x6d, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x08,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73,
	0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x52, 0x05, 0x6d, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x3c, 0x0a, 0x0a, 0x65, 0x78, 0x70,
	0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x65, 0x78, 0x70,
	0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x41, 0x0a, 0x0a, 0x73, 0x68, 0x61, 0x72, 0x65,
	0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x22, 0x2e, 0x63, 0x73,
	0x33, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x09, 0x73, 0x68, 0x61, 0x72, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x3f, 0x0a, 0x09, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x73, 0x18, 0x0b, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e,
	0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c,
	0x52, 0x09, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x73, 0x12, 0x39, 0x0a, 0x05, 0x73,
	0x74, 0x61, 0x74, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x23, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52,
	0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65,
	0x18, 0x0d, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70,
	0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75,
	0x65, 0x52, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x12, 0x4f, 0x0a, 0x0d, 0x72, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x2a, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e,
	0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0c, 0x72, 0x65,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x22, 0xcf, 0x01, 0x0a, 0x08, 0x53,
	0x68, 0x61, 0x72, 0x65, 0x4b, 0x65, 0x79, 0x12, 0x37, 0x0a, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65,
	0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x52, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72,
	0x12, 0x49, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x52,
	0x0a, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x12, 0x3f, 0x0a, 0x07, 0x67,
	0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x63,
	0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x47, 0x72, 0x61, 0x6e,
	0x74, 0x65, 0x65, 0x52, 0x07, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x22, 0x26, 0x0a, 0x07,
	0x53, 0x68, 0x61, 0x72, 0x65, 0x49, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x6f, 0x70, 0x61, 0x71, 0x75,
	0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6f, 0x70, 0x61, 0x71,
	0x75, 0x65, 0x49, 0x64, 0x22, 0x9b, 0x01, 0x0a, 0x0e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x52, 0x65,
	0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x32, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e,
	0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x53, 0x68,
	0x61, 0x72, 0x65, 0x49, 0x64, 0x48, 0x00, 0x52, 0x02, 0x69, 0x64, 0x12, 0x35, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73,
	0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x4b, 0x65, 0x79, 0x48, 0x00, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x16, 0x0a, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x48, 0x00, 0x52, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x42, 0x06, 0x0a, 0x04, 0x73, 0x70,
	0x65, 0x63, 0x22, 0x9a, 0x01, 0x0a, 0x0a, 0x53, 0x68, 0x61, 0x72, 0x65, 0x47, 0x72, 0x61, 0x6e,
	0x74, 0x12, 0x3f, 0x0a, 0x07, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x25, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x52, 0x07, 0x67, 0x72, 0x61, 0x6e, 0x74,
	0x65, 0x65, 0x12, 0x4b, 0x0a, 0x0b, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e,
	0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x29, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68,
	0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f,
	0x6e, 0x73, 0x52, 0x0b, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x22,
	0xd4, 0x02, 0x0a, 0x08, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12, 0x50, 0x0a, 0x0e,
	0x77, 0x65, 0x62, 0x64, 0x61, 0x76, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x69,
	0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x57,
	0x65, 0x62, 0x44, 0x41, 0x56, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x48, 0x00, 0x52,
	0x0d, 0x77, 0x65, 0x62, 0x64, 0x61, 0x76, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x50,
	0x0a, 0x0e, 0x77, 0x65, 0x62, 0x61, 0x70, 0x70, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61,
	0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x57, 0x65, 0x62, 0x61, 0x70, 0x70, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x48,
	0x00, 0x52, 0x0d, 0x77, 0x65, 0x62, 0x61, 0x70, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x12, 0x56, 0x0a, 0x10, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65, 0x72, 0x5f, 0x6f, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x29, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f,
	0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x48, 0x00, 0x52, 0x0f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65,
	0x72, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x44, 0x0a, 0x0f, 0x67, 0x65, 0x6e, 0x65,
	0x72, 0x69, 0x63, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x48, 0x00, 0x52, 0x0e,
	0x67, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x06,
	0x0a, 0x04, 0x74, 0x65, 0x72, 0x6d, 0x22, 0x94, 0x01, 0x0a, 0x0e, 0x57, 0x65, 0x62, 0x44, 0x41,
	0x56, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12, 0x23, 0x0a, 0x0d, 0x73, 0x68, 0x61,
	0x72, 0x65, 0x64, 0x5f, 0x73, 0x65, 0x63, 0x72, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0c, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x53, 0x65, 0x63, 0x72, 0x65, 0x74, 0x12, 0x4b,
	0x0a, 0x0b, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x29, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e,
	0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x53, 0x68,
	0x61, 0x72, 0x65, 0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x0b,
	0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x10, 0x0a, 0x03, 0x75,
	0x72, 0x69, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x69, 0x22, 0x74, 0x0a,
	0x0e, 0x57, 0x65, 0x62, 0x61, 0x70, 0x70, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12,
	0x21, 0x0a, 0x0c, 0x75, 0x72, 0x69, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x75, 0x72, 0x69, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x65, 0x12, 0x3f, 0x0a, 0x09, 0x76, 0x69, 0x65, 0x77, 0x5f, 0x6d, 0x6f, 0x64, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x22, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x61, 0x70, 0x70, 0x2e,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x56, 0x69, 0x65, 0x77, 0x4d, 0x6f, 0x64, 0x65, 0x52, 0x08, 0x76, 0x69, 0x65, 0x77, 0x4d,
	0x6f, 0x64, 0x65, 0x22, 0x6a, 0x0a, 0x10, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65, 0x72, 0x50,
	0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12, 0x23, 0x0a, 0x0d, 0x73, 0x68, 0x61, 0x72, 0x65,
	0x64, 0x5f, 0x73, 0x65, 0x63, 0x72, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c,
	0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x53, 0x65, 0x63, 0x72, 0x65, 0x74, 0x12, 0x1d, 0x0a, 0x0a,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x75, 0x72, 0x69, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x09, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x55, 0x72, 0x69, 0x12, 0x12, 0x0a, 0x04, 0x73,
	0x69, 0x7a, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x04, 0x52, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x22,
	0xe4, 0x02, 0x0a, 0x0c, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64,
	0x12, 0x54, 0x0a, 0x0e, 0x77, 0x65, 0x62, 0x64, 0x61, 0x76, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73,
	0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x57, 0x65, 0x62, 0x44, 0x41, 0x56, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x4d,
	0x65, 0x74, 0x68, 0x6f, 0x64, 0x48, 0x00, 0x52, 0x0d, 0x77, 0x65, 0x62, 0x64, 0x61, 0x76, 0x4f,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x54, 0x0a, 0x0e, 0x77, 0x65, 0x62, 0x61, 0x70, 0x70,
	0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2b,
	0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d,
	0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x57, 0x65, 0x62, 0x61, 0x70, 0x70, 0x41,
	0x63, 0x63, 0x65, 0x73, 0x73, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x48, 0x00, 0x52, 0x0d, 0x77,
	0x65, 0x62, 0x61, 0x70, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x5a, 0x0a, 0x10,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65, 0x72, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2d, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61,
	0x72, 0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65, 0x72, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x4d,
	0x65, 0x74, 0x68, 0x6f, 0x64, 0x48, 0x00, 0x52, 0x0f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x65,
	0x72, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x44, 0x0a, 0x0f, 0x67, 0x65, 0x6e, 0x65,
	0x72, 0x69, 0x63, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x48, 0x00, 0x52, 0x0e,
	0x67, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x42, 0x06,
	0x0a, 0x04, 0x74, 0x65, 0x72, 0x6d, 0x22, 0x69, 0x0a, 0x12, 0x57, 0x65, 0x62, 0x44, 0x41, 0x56,
	0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x53, 0x0a, 0x0b,
	0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x31, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73,
	0x69, 0x6f, 0x6e, 0x73, 0x52, 0x0b, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e,
	0x73, 0x22, 0x55, 0x0a, 0x12, 0x57, 0x65, 0x62, 0x61, 0x70, 0x70, 0x41, 0x63, 0x63, 0x65, 0x73,
	0x73, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x3f, 0x0a, 0x09, 0x76, 0x69, 0x65, 0x77, 0x5f,
	0x6d, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x22, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x61, 0x70, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x56, 0x69, 0x65, 0x77, 0x4d, 0x6f, 0x64, 0x65, 0x52, 0x08,
	0x76, 0x69, 0x65, 0x77, 0x4d, 0x6f, 0x64, 0x65, 0x22, 0x61, 0x0a, 0x14, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x66, 0x65, 0x72, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64,
	0x12, 0x49, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72,
	0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x0b,
	0x64, 0x65, 0x73, 0x74, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2a, 0x72, 0x0a, 0x0a, 0x53,
	0x68, 0x61, 0x72, 0x65, 0x53, 0x74, 0x61, 0x74, 0x65, 0x12, 0x17, 0x0a, 0x13, 0x53, 0x48, 0x41,
	0x52, 0x45, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x45, 0x5f, 0x49, 0x4e, 0x56, 0x41, 0x4c, 0x49, 0x44,
	0x10, 0x00, 0x12, 0x17, 0x0a, 0x13, 0x53, 0x48, 0x41, 0x52, 0x45, 0x5f, 0x53, 0x54, 0x41, 0x54,
	0x45, 0x5f, 0x50, 0x45, 0x4e, 0x44, 0x49, 0x4e, 0x47, 0x10, 0x01, 0x12, 0x18, 0x0a, 0x14, 0x53,
	0x48, 0x41, 0x52, 0x45, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x45, 0x5f, 0x41, 0x43, 0x43, 0x45, 0x50,
	0x54, 0x45, 0x44, 0x10, 0x02, 0x12, 0x18, 0x0a, 0x14, 0x53, 0x48, 0x41, 0x52, 0x45, 0x5f, 0x53,
	0x54, 0x41, 0x54, 0x45, 0x5f, 0x52, 0x45, 0x4a, 0x45, 0x43, 0x54, 0x45, 0x44, 0x10, 0x03, 0x2a,
	0x4e, 0x0a, 0x09, 0x53, 0x68, 0x61, 0x72, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x16, 0x0a, 0x12,
	0x53, 0x48, 0x41, 0x52, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x49, 0x4e, 0x56, 0x41, 0x4c,
	0x49, 0x44, 0x10, 0x00, 0x12, 0x13, 0x0a, 0x0f, 0x53, 0x48, 0x41, 0x52, 0x45, 0x5f, 0x54, 0x59,
	0x50, 0x45, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x10, 0x01, 0x12, 0x14, 0x0a, 0x10, 0x53, 0x48, 0x41,
	0x52, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x47, 0x52, 0x4f, 0x55, 0x50, 0x10, 0x02, 0x42,
	0xed, 0x01, 0x0a, 0x1b, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x68, 0x61, 0x72,
	0x69, 0x6e, 0x67, 0x2e, 0x6f, 0x63, 0x6d, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x42,
	0x0e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50,
	0x01, 0x5a, 0x3f, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x73,
	0x33, 0x6f, 0x72, 0x67, 0x2f, 0x67, 0x6f, 0x2d, 0x63, 0x73, 0x33, 0x61, 0x70, 0x69, 0x73, 0x2f,
	0x63, 0x73, 0x33, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2f, 0x6f, 0x63, 0x6d, 0x2f,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x3b, 0x6f, 0x63, 0x6d, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0xa2, 0x02, 0x03, 0x43, 0x53, 0x4f, 0xaa, 0x02, 0x17, 0x43, 0x73, 0x33, 0x2e, 0x53,
	0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x2e, 0x4f, 0x63, 0x6d, 0x2e, 0x56, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0xca, 0x02, 0x17, 0x43, 0x73, 0x33, 0x5c, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67,
	0x5c, 0x4f, 0x63, 0x6d, 0x5c, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xe2, 0x02, 0x23, 0x43,
	0x73, 0x33, 0x5c, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x5c, 0x4f, 0x63, 0x6d, 0x5c, 0x56,
	0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61,
	0x74, 0x61, 0xea, 0x02, 0x1a, 0x43, 0x73, 0x33, 0x3a, 0x3a, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e,
	0x67, 0x3a, 0x3a, 0x4f, 0x63, 0x6d, 0x3a, 0x3a, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescOnce sync.Once
	file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescData = file_cs3_sharing_ocm_v1beta1_resources_proto_rawDesc
)

func file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescGZIP() []byte {
	file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescOnce.Do(func() {
		file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescData = protoimpl.X.CompressGZIP(file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescData)
	})
	return file_cs3_sharing_ocm_v1beta1_resources_proto_rawDescData
}

var file_cs3_sharing_ocm_v1beta1_resources_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes = make([]protoimpl.MessageInfo, 15)
var file_cs3_sharing_ocm_v1beta1_resources_proto_goTypes = []interface{}{
	(ShareState)(0),                     // 0: cs3.sharing.ocm.v1beta1.ShareState
	(ShareType)(0),                      // 1: cs3.sharing.ocm.v1beta1.ShareType
	(*Share)(nil),                       // 2: cs3.sharing.ocm.v1beta1.Share
	(*SharePermissions)(nil),            // 3: cs3.sharing.ocm.v1beta1.SharePermissions
	(*ReceivedShare)(nil),               // 4: cs3.sharing.ocm.v1beta1.ReceivedShare
	(*ShareKey)(nil),                    // 5: cs3.sharing.ocm.v1beta1.ShareKey
	(*ShareId)(nil),                     // 6: cs3.sharing.ocm.v1beta1.ShareId
	(*ShareReference)(nil),              // 7: cs3.sharing.ocm.v1beta1.ShareReference
	(*ShareGrant)(nil),                  // 8: cs3.sharing.ocm.v1beta1.ShareGrant
	(*Protocol)(nil),                    // 9: cs3.sharing.ocm.v1beta1.Protocol
	(*WebDAVProtocol)(nil),              // 10: cs3.sharing.ocm.v1beta1.WebDAVProtocol
	(*WebappProtocol)(nil),              // 11: cs3.sharing.ocm.v1beta1.WebappProtocol
	(*TransferProtocol)(nil),            // 12: cs3.sharing.ocm.v1beta1.TransferProtocol
	(*AccessMethod)(nil),                // 13: cs3.sharing.ocm.v1beta1.AccessMethod
	(*WebDAVAccessMethod)(nil),          // 14: cs3.sharing.ocm.v1beta1.WebDAVAccessMethod
	(*WebappAccessMethod)(nil),          // 15: cs3.sharing.ocm.v1beta1.WebappAccessMethod
	(*TransferAccessMethod)(nil),        // 16: cs3.sharing.ocm.v1beta1.TransferAccessMethod
	(*v1beta1.ResourceId)(nil),          // 17: cs3.storage.provider.v1beta1.ResourceId
	(*v1beta1.Grantee)(nil),             // 18: cs3.storage.provider.v1beta1.Grantee
	(*v1beta11.UserId)(nil),             // 19: cs3.identity.user.v1beta1.UserId
	(*v1beta12.Timestamp)(nil),          // 20: cs3.types.v1beta1.Timestamp
	(*v1beta12.Opaque)(nil),             // 21: cs3.types.v1beta1.Opaque
	(*v1beta1.ResourcePermissions)(nil), // 22: cs3.storage.provider.v1beta1.ResourcePermissions
	(v1beta1.ResourceType)(0),           // 23: cs3.storage.provider.v1beta1.ResourceType
	(v1beta13.ViewMode)(0),              // 24: cs3.app.provider.v1beta1.ViewMode
	(*v1beta1.Reference)(nil),           // 25: cs3.storage.provider.v1beta1.Reference
}
var file_cs3_sharing_ocm_v1beta1_resources_proto_depIdxs = []int32{
	6,  // 0: cs3.sharing.ocm.v1beta1.Share.id:type_name -> cs3.sharing.ocm.v1beta1.ShareId
	17, // 1: cs3.sharing.ocm.v1beta1.Share.resource_id:type_name -> cs3.storage.provider.v1beta1.ResourceId
	18, // 2: cs3.sharing.ocm.v1beta1.Share.grantee:type_name -> cs3.storage.provider.v1beta1.Grantee
	19, // 3: cs3.sharing.ocm.v1beta1.Share.owner:type_name -> cs3.identity.user.v1beta1.UserId
	19, // 4: cs3.sharing.ocm.v1beta1.Share.creator:type_name -> cs3.identity.user.v1beta1.UserId
	20, // 5: cs3.sharing.ocm.v1beta1.Share.ctime:type_name -> cs3.types.v1beta1.Timestamp
	20, // 6: cs3.sharing.ocm.v1beta1.Share.mtime:type_name -> cs3.types.v1beta1.Timestamp
	20, // 7: cs3.sharing.ocm.v1beta1.Share.expiration:type_name -> cs3.types.v1beta1.Timestamp
	1,  // 8: cs3.sharing.ocm.v1beta1.Share.share_type:type_name -> cs3.sharing.ocm.v1beta1.ShareType
	13, // 9: cs3.sharing.ocm.v1beta1.Share.access_methods:type_name -> cs3.sharing.ocm.v1beta1.AccessMethod
	21, // 10: cs3.sharing.ocm.v1beta1.Share.opaque:type_name -> cs3.types.v1beta1.Opaque
	22, // 11: cs3.sharing.ocm.v1beta1.SharePermissions.permissions:type_name -> cs3.storage.provider.v1beta1.ResourcePermissions
	6,  // 12: cs3.sharing.ocm.v1beta1.ReceivedShare.id:type_name -> cs3.sharing.ocm.v1beta1.ShareId
	18, // 13: cs3.sharing.ocm.v1beta1.ReceivedShare.grantee:type_name -> cs3.storage.provider.v1beta1.Grantee
	19, // 14: cs3.sharing.ocm.v1beta1.ReceivedShare.owner:type_name -> cs3.identity.user.v1beta1.UserId
	19, // 15: cs3.sharing.ocm.v1beta1.ReceivedShare.creator:type_name -> cs3.identity.user.v1beta1.UserId
	20, // 16: cs3.sharing.ocm.v1beta1.ReceivedShare.ctime:type_name -> cs3.types.v1beta1.Timestamp
	20, // 17: cs3.sharing.ocm.v1beta1.ReceivedShare.mtime:type_name -> cs3.types.v1beta1.Timestamp
	20, // 18: cs3.sharing.ocm.v1beta1.ReceivedShare.expiration:type_name -> cs3.types.v1beta1.Timestamp
	1,  // 19: cs3.sharing.ocm.v1beta1.ReceivedShare.share_type:type_name -> cs3.sharing.ocm.v1beta1.ShareType
	9,  // 20: cs3.sharing.ocm.v1beta1.ReceivedShare.protocols:type_name -> cs3.sharing.ocm.v1beta1.Protocol
	0,  // 21: cs3.sharing.ocm.v1beta1.ReceivedShare.state:type_name -> cs3.sharing.ocm.v1beta1.ShareState
	21, // 22: cs3.sharing.ocm.v1beta1.ReceivedShare.opaque:type_name -> cs3.types.v1beta1.Opaque
	23, // 23: cs3.sharing.ocm.v1beta1.ReceivedShare.resource_type:type_name -> cs3.storage.provider.v1beta1.ResourceType
	19, // 24: cs3.sharing.ocm.v1beta1.ShareKey.owner:type_name -> cs3.identity.user.v1beta1.UserId
	17, // 25: cs3.sharing.ocm.v1beta1.ShareKey.resource_id:type_name -> cs3.storage.provider.v1beta1.ResourceId
	18, // 26: cs3.sharing.ocm.v1beta1.ShareKey.grantee:type_name -> cs3.storage.provider.v1beta1.Grantee
	6,  // 27: cs3.sharing.ocm.v1beta1.ShareReference.id:type_name -> cs3.sharing.ocm.v1beta1.ShareId
	5,  // 28: cs3.sharing.ocm.v1beta1.ShareReference.key:type_name -> cs3.sharing.ocm.v1beta1.ShareKey
	18, // 29: cs3.sharing.ocm.v1beta1.ShareGrant.grantee:type_name -> cs3.storage.provider.v1beta1.Grantee
	3,  // 30: cs3.sharing.ocm.v1beta1.ShareGrant.permissions:type_name -> cs3.sharing.ocm.v1beta1.SharePermissions
	10, // 31: cs3.sharing.ocm.v1beta1.Protocol.webdav_options:type_name -> cs3.sharing.ocm.v1beta1.WebDAVProtocol
	11, // 32: cs3.sharing.ocm.v1beta1.Protocol.webapp_options:type_name -> cs3.sharing.ocm.v1beta1.WebappProtocol
	12, // 33: cs3.sharing.ocm.v1beta1.Protocol.transfer_options:type_name -> cs3.sharing.ocm.v1beta1.TransferProtocol
	21, // 34: cs3.sharing.ocm.v1beta1.Protocol.generic_options:type_name -> cs3.types.v1beta1.Opaque
	3,  // 35: cs3.sharing.ocm.v1beta1.WebDAVProtocol.permissions:type_name -> cs3.sharing.ocm.v1beta1.SharePermissions
	24, // 36: cs3.sharing.ocm.v1beta1.WebappProtocol.view_mode:type_name -> cs3.app.provider.v1beta1.ViewMode
	14, // 37: cs3.sharing.ocm.v1beta1.AccessMethod.webdav_options:type_name -> cs3.sharing.ocm.v1beta1.WebDAVAccessMethod
	15, // 38: cs3.sharing.ocm.v1beta1.AccessMethod.webapp_options:type_name -> cs3.sharing.ocm.v1beta1.WebappAccessMethod
	16, // 39: cs3.sharing.ocm.v1beta1.AccessMethod.transfer_options:type_name -> cs3.sharing.ocm.v1beta1.TransferAccessMethod
	21, // 40: cs3.sharing.ocm.v1beta1.AccessMethod.generic_options:type_name -> cs3.types.v1beta1.Opaque
	22, // 41: cs3.sharing.ocm.v1beta1.WebDAVAccessMethod.permissions:type_name -> cs3.storage.provider.v1beta1.ResourcePermissions
	24, // 42: cs3.sharing.ocm.v1beta1.WebappAccessMethod.view_mode:type_name -> cs3.app.provider.v1beta1.ViewMode
	25, // 43: cs3.sharing.ocm.v1beta1.TransferAccessMethod.destination:type_name -> cs3.storage.provider.v1beta1.Reference
	44, // [44:44] is the sub-list for method output_type
	44, // [44:44] is the sub-list for method input_type
	44, // [44:44] is the sub-list for extension type_name
	44, // [44:44] is the sub-list for extension extendee
	0,  // [0:44] is the sub-list for field type_name
}

func init() { file_cs3_sharing_ocm_v1beta1_resources_proto_init() }
func file_cs3_sharing_ocm_v1beta1_resources_proto_init() {
	if File_cs3_sharing_ocm_v1beta1_resources_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Share); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SharePermissions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReceivedShare); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShareKey); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShareId); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShareReference); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShareGrant); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Protocol); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WebDAVProtocol); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WebappProtocol); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransferProtocol); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AccessMethod); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WebDAVAccessMethod); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WebappAccessMethod); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransferAccessMethod); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[5].OneofWrappers = []interface{}{
		(*ShareReference_Id)(nil),
		(*ShareReference_Key)(nil),
		(*ShareReference_Token)(nil),
	}
	file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[7].OneofWrappers = []interface{}{
		(*Protocol_WebdavOptions)(nil),
		(*Protocol_WebappOptions)(nil),
		(*Protocol_TransferOptions)(nil),
		(*Protocol_GenericOptions)(nil),
	}
	file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes[11].OneofWrappers = []interface{}{
		(*AccessMethod_WebdavOptions)(nil),
		(*AccessMethod_WebappOptions)(nil),
		(*AccessMethod_TransferOptions)(nil),
		(*AccessMethod_GenericOptions)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_cs3_sharing_ocm_v1beta1_resources_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   15,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_cs3_sharing_ocm_v1beta1_resources_proto_goTypes,
		DependencyIndexes: file_cs3_sharing_ocm_v1beta1_resources_proto_depIdxs,
		EnumInfos:         file_cs3_sharing_ocm_v1beta1_resources_proto_enumTypes,
		MessageInfos:      file_cs3_sharing_ocm_v1beta1_resources_proto_msgTypes,
	}.Build()
	File_cs3_sharing_ocm_v1beta1_resources_proto = out.File
	file_cs3_sharing_ocm_v1beta1_resources_proto_rawDesc = nil
	file_cs3_sharing_ocm_v1beta1_resources_proto_goTypes = nil
	file_cs3_sharing_ocm_v1beta1_resources_proto_depIdxs = nil
}
