// Copyright 2018-2019 CERN
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// In applying this license, CERN does not waive the privileges and immunities
// granted to it by virtue of its status as an Intergovernmental Organization
// or submit itself to any jurisdiction.

// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.3.0
// - protoc             (unknown)
// source: cs3/storage/provider/v1beta1/provider_api.proto

package providerv1beta1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

const (
	ProviderAPI_AddGrant_FullMethodName               = "/cs3.storage.provider.v1beta1.ProviderAPI/AddGrant"
	ProviderAPI_CreateContainer_FullMethodName        = "/cs3.storage.provider.v1beta1.ProviderAPI/CreateContainer"
	ProviderAPI_TouchFile_FullMethodName              = "/cs3.storage.provider.v1beta1.ProviderAPI/TouchFile"
	ProviderAPI_Delete_FullMethodName                 = "/cs3.storage.provider.v1beta1.ProviderAPI/Delete"
	ProviderAPI_DenyGrant_FullMethodName              = "/cs3.storage.provider.v1beta1.ProviderAPI/DenyGrant"
	ProviderAPI_GetPath_FullMethodName                = "/cs3.storage.provider.v1beta1.ProviderAPI/GetPath"
	ProviderAPI_GetQuota_FullMethodName               = "/cs3.storage.provider.v1beta1.ProviderAPI/GetQuota"
	ProviderAPI_InitiateFileDownload_FullMethodName   = "/cs3.storage.provider.v1beta1.ProviderAPI/InitiateFileDownload"
	ProviderAPI_InitiateFileUpload_FullMethodName     = "/cs3.storage.provider.v1beta1.ProviderAPI/InitiateFileUpload"
	ProviderAPI_ListGrants_FullMethodName             = "/cs3.storage.provider.v1beta1.ProviderAPI/ListGrants"
	ProviderAPI_ListContainerStream_FullMethodName    = "/cs3.storage.provider.v1beta1.ProviderAPI/ListContainerStream"
	ProviderAPI_ListContainer_FullMethodName          = "/cs3.storage.provider.v1beta1.ProviderAPI/ListContainer"
	ProviderAPI_ListFileVersions_FullMethodName       = "/cs3.storage.provider.v1beta1.ProviderAPI/ListFileVersions"
	ProviderAPI_ListRecycleStream_FullMethodName      = "/cs3.storage.provider.v1beta1.ProviderAPI/ListRecycleStream"
	ProviderAPI_ListRecycle_FullMethodName            = "/cs3.storage.provider.v1beta1.ProviderAPI/ListRecycle"
	ProviderAPI_Move_FullMethodName                   = "/cs3.storage.provider.v1beta1.ProviderAPI/Move"
	ProviderAPI_RemoveGrant_FullMethodName            = "/cs3.storage.provider.v1beta1.ProviderAPI/RemoveGrant"
	ProviderAPI_PurgeRecycle_FullMethodName           = "/cs3.storage.provider.v1beta1.ProviderAPI/PurgeRecycle"
	ProviderAPI_RestoreFileVersion_FullMethodName     = "/cs3.storage.provider.v1beta1.ProviderAPI/RestoreFileVersion"
	ProviderAPI_RestoreRecycleItem_FullMethodName     = "/cs3.storage.provider.v1beta1.ProviderAPI/RestoreRecycleItem"
	ProviderAPI_Stat_FullMethodName                   = "/cs3.storage.provider.v1beta1.ProviderAPI/Stat"
	ProviderAPI_UpdateGrant_FullMethodName            = "/cs3.storage.provider.v1beta1.ProviderAPI/UpdateGrant"
	ProviderAPI_CreateSymlink_FullMethodName          = "/cs3.storage.provider.v1beta1.ProviderAPI/CreateSymlink"
	ProviderAPI_CreateReference_FullMethodName        = "/cs3.storage.provider.v1beta1.ProviderAPI/CreateReference"
	ProviderAPI_SetArbitraryMetadata_FullMethodName   = "/cs3.storage.provider.v1beta1.ProviderAPI/SetArbitraryMetadata"
	ProviderAPI_UnsetArbitraryMetadata_FullMethodName = "/cs3.storage.provider.v1beta1.ProviderAPI/UnsetArbitraryMetadata"
	ProviderAPI_SetLock_FullMethodName                = "/cs3.storage.provider.v1beta1.ProviderAPI/SetLock"
	ProviderAPI_GetLock_FullMethodName                = "/cs3.storage.provider.v1beta1.ProviderAPI/GetLock"
	ProviderAPI_RefreshLock_FullMethodName            = "/cs3.storage.provider.v1beta1.ProviderAPI/RefreshLock"
	ProviderAPI_Unlock_FullMethodName                 = "/cs3.storage.provider.v1beta1.ProviderAPI/Unlock"
	ProviderAPI_CreateHome_FullMethodName             = "/cs3.storage.provider.v1beta1.ProviderAPI/CreateHome"
	ProviderAPI_GetHome_FullMethodName                = "/cs3.storage.provider.v1beta1.ProviderAPI/GetHome"
)

// ProviderAPIClient is the client API for ProviderAPI service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type ProviderAPIClient interface {
	// Adds a new grant for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist
	AddGrant(ctx context.Context, in *AddGrantRequest, opts ...grpc.CallOption) (*AddGrantResponse, error)
	// Creates a new resource of type container.
	// MUST return CODE_FAILED_PRECONDITION if the container
	// cannot be created at the specified reference.
	CreateContainer(ctx context.Context, in *CreateContainerRequest, opts ...grpc.CallOption) (*CreateContainerResponse, error)
	// Creates a new resource of type file.
	// MUST return CODE_FAILED_PRECONDITION if the file
	// cannot be created at the specified reference.
	TouchFile(ctx context.Context, in *TouchFileRequest, opts ...grpc.CallOption) (*TouchFileResponse, error)
	// Deletes a resource.
	// If a resource specifies the non-empty container (directory, ...),
	// then the entire directory is deleted recursively.
	// If a resource specifies a reference or symlink type, only the reference is removed (not the target).
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	Delete(ctx context.Context, in *DeleteRequest, opts ...grpc.CallOption) (*DeleteResponse, error)
	// Denies access to the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist
	DenyGrant(ctx context.Context, in *DenyGrantRequest, opts ...grpc.CallOption) (*DenyGrantResponse, error)
	// Returns the path reference for
	// the provided resource id reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist
	GetPath(ctx context.Context, in *GetPathRequest, opts ...grpc.CallOption) (*GetPathResponse, error)
	// Returns the quota available under the provided
	// reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist
	// MUST return CODE_RESOURCE_EXHAUSTED on exceeded quota limits.
	GetQuota(ctx context.Context, in *GetQuotaRequest, opts ...grpc.CallOption) (*GetQuotaResponse, error)
	// Initiates the download of a file using an
	// out-of-band data transfer mechanism.
	InitiateFileDownload(ctx context.Context, in *InitiateFileDownloadRequest, opts ...grpc.CallOption) (*InitiateFileDownloadResponse, error)
	// Initiates the upload of a file using an out-of-band data
	// transfer mechanism. SHOULD return CODE_FAILED_PRECONDITION
	// if the reference is already locked with a mismatched lock.
	// Additionally, the lock check MUST be enforced by the data
	// transfer protocol returned in response.
	InitiateFileUpload(ctx context.Context, in *InitiateFileUploadRequest, opts ...grpc.CallOption) (*InitiateFileUploadResponse, error)
	// Returns the list of grants for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exists.
	ListGrants(ctx context.Context, in *ListGrantsRequest, opts ...grpc.CallOption) (*ListGrantsResponse, error)
	// Returns a stream of resource informations
	// for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exists.
	ListContainerStream(ctx context.Context, in *ListContainerStreamRequest, opts ...grpc.CallOption) (ProviderAPI_ListContainerStreamClient, error)
	// Returns a list of resource information
	// for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exists.
	ListContainer(ctx context.Context, in *ListContainerRequest, opts ...grpc.CallOption) (*ListContainerResponse, error)
	// Returns a list of the versions for a resource of
	// type file at the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_OK and MUST return an empty list if no versions are available.
	// TODO: What code if resource not of type file?
	ListFileVersions(ctx context.Context, in *ListFileVersionsRequest, opts ...grpc.CallOption) (*ListFileVersionsResponse, error)
	// Returns a stream of recycle items for this storage provider.
	ListRecycleStream(ctx context.Context, in *ListRecycleStreamRequest, opts ...grpc.CallOption) (ProviderAPI_ListRecycleStreamClient, error)
	// Returns a list of recycle items for this storage provider.
	// MUST return CODE_OK and MUST return an empty list if no recycle items are available.
	ListRecycle(ctx context.Context, in *ListRecycleRequest, opts ...grpc.CallOption) (*ListRecycleResponse, error)
	// Moves a resource from one reference to another.
	// MUST return CODE_NOT_FOUND if any of the references do not exist.
	// MUST return CODE_FAILED_PRECONDITION if the source reference
	// cannot be moved to the destination reference.
	Move(ctx context.Context, in *MoveRequest, opts ...grpc.CallOption) (*MoveResponse, error)
	// Removes a grant for the provided reference.
	// This is recursive and atomic for directories. Does not follow references.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_NOT_FOUND if grant does not exist.
	RemoveGrant(ctx context.Context, in *RemoveGrantRequest, opts ...grpc.CallOption) (*RemoveGrantResponse, error)
	// Permanently removes a recycle item from the recycle.
	// This operation is irrevocable.
	// MUST return CODE_NOT_FOUND if the recycle item id does not exist.
	PurgeRecycle(ctx context.Context, in *PurgeRecycleRequest, opts ...grpc.CallOption) (*PurgeRecycleResponse, error)
	// Restores a file version for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_NOT_FOUND if the version does not exist.
	RestoreFileVersion(ctx context.Context, in *RestoreFileVersionRequest, opts ...grpc.CallOption) (*RestoreFileVersionResponse, error)
	// Restores a recycle item from the recycle.
	// MUST return CODE_NOT_FOUND if the recycle item id does not exist.
	// MUST return CODE_FAILED_PRECONDITION if the restore_path is non-empty
	// and the recycle item cannot be restored to the restore_path.
	RestoreRecycleItem(ctx context.Context, in *RestoreRecycleItemRequest, opts ...grpc.CallOption) (*RestoreRecycleItemResponse, error)
	// Returns the resource information at the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	Stat(ctx context.Context, in *StatRequest, opts ...grpc.CallOption) (*StatResponse, error)
	// Updates an ACL for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_FAILED_PRECONDITION if the acl does not exist.
	UpdateGrant(ctx context.Context, in *UpdateGrantRequest, opts ...grpc.CallOption) (*UpdateGrantResponse, error)
	// Creates a symlink to another resource.
	CreateSymlink(ctx context.Context, in *CreateSymlinkRequest, opts ...grpc.CallOption) (*CreateSymlinkResponse, error)
	// Creates a reference to another resource in the same cluster or another domain (OCM shares).
	// The references resource can be accessed by the protocol specificied in the request message.
	CreateReference(ctx context.Context, in *CreateReferenceRequest, opts ...grpc.CallOption) (*CreateReferenceResponse, error)
	// Sets arbitrary metadata into a storage resource.
	// Arbitrary metadata is returned in a cs3.storageprovider.v1beta1.ResourceInfo.
	SetArbitraryMetadata(ctx context.Context, in *SetArbitraryMetadataRequest, opts ...grpc.CallOption) (*SetArbitraryMetadataResponse, error)
	// Unsets arbitrary metdata into a storage resource.
	// Arbitrary metadata is returned in a cs3.storageprovider.v1beta1.ResourceInfo.
	UnsetArbitraryMetadata(ctx context.Context, in *UnsetArbitraryMetadataRequest, opts ...grpc.CallOption) (*UnsetArbitraryMetadataResponse, error)
	// Locks a storage resource. Note that if the resource is a container,
	// MAY return CODE_NOT_IMPLEMENTED as the behavior is yet to be defined at this stage.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_FAILED_PRECONDITION if the reference is already locked.
	// In addition, the implementation MUST ensure atomicity when multiple users
	// concurrently attempt to set a lock.
	// The caller MUST have write permissions on the resource.
	SetLock(ctx context.Context, in *SetLockRequest, opts ...grpc.CallOption) (*SetLockResponse, error)
	// Gets the lock metadata of a storage resource.
	// MUST return CODE_NOT_FOUND if the reference does not exist or is not locked.
	// The caller MUST have read permissions on the resource.
	GetLock(ctx context.Context, in *GetLockRequest, opts ...grpc.CallOption) (*GetLockResponse, error)
	// Refreshes the lock metadata of a storage resource.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_PRECONDITION_FALIED if the reference is not locked
	// or if the caller does not hold the lock.
	// The caller MUST have write permissions on the resource.
	RefreshLock(ctx context.Context, in *RefreshLockRequest, opts ...grpc.CallOption) (*RefreshLockResponse, error)
	// Unlocks a storage resource.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_FAILED_PRECONDITION if the reference is not locked
	// or if the caller does not hold the lock.
	// The caller MUST have write permissions on the resource.
	Unlock(ctx context.Context, in *UnlockRequest, opts ...grpc.CallOption) (*UnlockResponse, error)
	// Creates the home directory for a user.
	CreateHome(ctx context.Context, in *CreateHomeRequest, opts ...grpc.CallOption) (*CreateHomeResponse, error)
	// Gets the home path for the user.
	GetHome(ctx context.Context, in *GetHomeRequest, opts ...grpc.CallOption) (*GetHomeResponse, error)
}

type providerAPIClient struct {
	cc grpc.ClientConnInterface
}

func NewProviderAPIClient(cc grpc.ClientConnInterface) ProviderAPIClient {
	return &providerAPIClient{cc}
}

func (c *providerAPIClient) AddGrant(ctx context.Context, in *AddGrantRequest, opts ...grpc.CallOption) (*AddGrantResponse, error) {
	out := new(AddGrantResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_AddGrant_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) CreateContainer(ctx context.Context, in *CreateContainerRequest, opts ...grpc.CallOption) (*CreateContainerResponse, error) {
	out := new(CreateContainerResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_CreateContainer_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) TouchFile(ctx context.Context, in *TouchFileRequest, opts ...grpc.CallOption) (*TouchFileResponse, error) {
	out := new(TouchFileResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_TouchFile_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) Delete(ctx context.Context, in *DeleteRequest, opts ...grpc.CallOption) (*DeleteResponse, error) {
	out := new(DeleteResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_Delete_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) DenyGrant(ctx context.Context, in *DenyGrantRequest, opts ...grpc.CallOption) (*DenyGrantResponse, error) {
	out := new(DenyGrantResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_DenyGrant_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) GetPath(ctx context.Context, in *GetPathRequest, opts ...grpc.CallOption) (*GetPathResponse, error) {
	out := new(GetPathResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_GetPath_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) GetQuota(ctx context.Context, in *GetQuotaRequest, opts ...grpc.CallOption) (*GetQuotaResponse, error) {
	out := new(GetQuotaResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_GetQuota_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) InitiateFileDownload(ctx context.Context, in *InitiateFileDownloadRequest, opts ...grpc.CallOption) (*InitiateFileDownloadResponse, error) {
	out := new(InitiateFileDownloadResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_InitiateFileDownload_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) InitiateFileUpload(ctx context.Context, in *InitiateFileUploadRequest, opts ...grpc.CallOption) (*InitiateFileUploadResponse, error) {
	out := new(InitiateFileUploadResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_InitiateFileUpload_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) ListGrants(ctx context.Context, in *ListGrantsRequest, opts ...grpc.CallOption) (*ListGrantsResponse, error) {
	out := new(ListGrantsResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_ListGrants_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) ListContainerStream(ctx context.Context, in *ListContainerStreamRequest, opts ...grpc.CallOption) (ProviderAPI_ListContainerStreamClient, error) {
	stream, err := c.cc.NewStream(ctx, &ProviderAPI_ServiceDesc.Streams[0], ProviderAPI_ListContainerStream_FullMethodName, opts...)
	if err != nil {
		return nil, err
	}
	x := &providerAPIListContainerStreamClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type ProviderAPI_ListContainerStreamClient interface {
	Recv() (*ListContainerStreamResponse, error)
	grpc.ClientStream
}

type providerAPIListContainerStreamClient struct {
	grpc.ClientStream
}

func (x *providerAPIListContainerStreamClient) Recv() (*ListContainerStreamResponse, error) {
	m := new(ListContainerStreamResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *providerAPIClient) ListContainer(ctx context.Context, in *ListContainerRequest, opts ...grpc.CallOption) (*ListContainerResponse, error) {
	out := new(ListContainerResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_ListContainer_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) ListFileVersions(ctx context.Context, in *ListFileVersionsRequest, opts ...grpc.CallOption) (*ListFileVersionsResponse, error) {
	out := new(ListFileVersionsResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_ListFileVersions_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) ListRecycleStream(ctx context.Context, in *ListRecycleStreamRequest, opts ...grpc.CallOption) (ProviderAPI_ListRecycleStreamClient, error) {
	stream, err := c.cc.NewStream(ctx, &ProviderAPI_ServiceDesc.Streams[1], ProviderAPI_ListRecycleStream_FullMethodName, opts...)
	if err != nil {
		return nil, err
	}
	x := &providerAPIListRecycleStreamClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type ProviderAPI_ListRecycleStreamClient interface {
	Recv() (*ListRecycleStreamResponse, error)
	grpc.ClientStream
}

type providerAPIListRecycleStreamClient struct {
	grpc.ClientStream
}

func (x *providerAPIListRecycleStreamClient) Recv() (*ListRecycleStreamResponse, error) {
	m := new(ListRecycleStreamResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *providerAPIClient) ListRecycle(ctx context.Context, in *ListRecycleRequest, opts ...grpc.CallOption) (*ListRecycleResponse, error) {
	out := new(ListRecycleResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_ListRecycle_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) Move(ctx context.Context, in *MoveRequest, opts ...grpc.CallOption) (*MoveResponse, error) {
	out := new(MoveResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_Move_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) RemoveGrant(ctx context.Context, in *RemoveGrantRequest, opts ...grpc.CallOption) (*RemoveGrantResponse, error) {
	out := new(RemoveGrantResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_RemoveGrant_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) PurgeRecycle(ctx context.Context, in *PurgeRecycleRequest, opts ...grpc.CallOption) (*PurgeRecycleResponse, error) {
	out := new(PurgeRecycleResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_PurgeRecycle_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) RestoreFileVersion(ctx context.Context, in *RestoreFileVersionRequest, opts ...grpc.CallOption) (*RestoreFileVersionResponse, error) {
	out := new(RestoreFileVersionResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_RestoreFileVersion_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) RestoreRecycleItem(ctx context.Context, in *RestoreRecycleItemRequest, opts ...grpc.CallOption) (*RestoreRecycleItemResponse, error) {
	out := new(RestoreRecycleItemResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_RestoreRecycleItem_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) Stat(ctx context.Context, in *StatRequest, opts ...grpc.CallOption) (*StatResponse, error) {
	out := new(StatResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_Stat_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) UpdateGrant(ctx context.Context, in *UpdateGrantRequest, opts ...grpc.CallOption) (*UpdateGrantResponse, error) {
	out := new(UpdateGrantResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_UpdateGrant_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) CreateSymlink(ctx context.Context, in *CreateSymlinkRequest, opts ...grpc.CallOption) (*CreateSymlinkResponse, error) {
	out := new(CreateSymlinkResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_CreateSymlink_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) CreateReference(ctx context.Context, in *CreateReferenceRequest, opts ...grpc.CallOption) (*CreateReferenceResponse, error) {
	out := new(CreateReferenceResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_CreateReference_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) SetArbitraryMetadata(ctx context.Context, in *SetArbitraryMetadataRequest, opts ...grpc.CallOption) (*SetArbitraryMetadataResponse, error) {
	out := new(SetArbitraryMetadataResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_SetArbitraryMetadata_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) UnsetArbitraryMetadata(ctx context.Context, in *UnsetArbitraryMetadataRequest, opts ...grpc.CallOption) (*UnsetArbitraryMetadataResponse, error) {
	out := new(UnsetArbitraryMetadataResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_UnsetArbitraryMetadata_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) SetLock(ctx context.Context, in *SetLockRequest, opts ...grpc.CallOption) (*SetLockResponse, error) {
	out := new(SetLockResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_SetLock_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) GetLock(ctx context.Context, in *GetLockRequest, opts ...grpc.CallOption) (*GetLockResponse, error) {
	out := new(GetLockResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_GetLock_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) RefreshLock(ctx context.Context, in *RefreshLockRequest, opts ...grpc.CallOption) (*RefreshLockResponse, error) {
	out := new(RefreshLockResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_RefreshLock_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) Unlock(ctx context.Context, in *UnlockRequest, opts ...grpc.CallOption) (*UnlockResponse, error) {
	out := new(UnlockResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_Unlock_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) CreateHome(ctx context.Context, in *CreateHomeRequest, opts ...grpc.CallOption) (*CreateHomeResponse, error) {
	out := new(CreateHomeResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_CreateHome_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *providerAPIClient) GetHome(ctx context.Context, in *GetHomeRequest, opts ...grpc.CallOption) (*GetHomeResponse, error) {
	out := new(GetHomeResponse)
	err := c.cc.Invoke(ctx, ProviderAPI_GetHome_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ProviderAPIServer is the server API for ProviderAPI service.
// All implementations should embed UnimplementedProviderAPIServer
// for forward compatibility
type ProviderAPIServer interface {
	// Adds a new grant for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist
	AddGrant(context.Context, *AddGrantRequest) (*AddGrantResponse, error)
	// Creates a new resource of type container.
	// MUST return CODE_FAILED_PRECONDITION if the container
	// cannot be created at the specified reference.
	CreateContainer(context.Context, *CreateContainerRequest) (*CreateContainerResponse, error)
	// Creates a new resource of type file.
	// MUST return CODE_FAILED_PRECONDITION if the file
	// cannot be created at the specified reference.
	TouchFile(context.Context, *TouchFileRequest) (*TouchFileResponse, error)
	// Deletes a resource.
	// If a resource specifies the non-empty container (directory, ...),
	// then the entire directory is deleted recursively.
	// If a resource specifies a reference or symlink type, only the reference is removed (not the target).
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	Delete(context.Context, *DeleteRequest) (*DeleteResponse, error)
	// Denies access to the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist
	DenyGrant(context.Context, *DenyGrantRequest) (*DenyGrantResponse, error)
	// Returns the path reference for
	// the provided resource id reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist
	GetPath(context.Context, *GetPathRequest) (*GetPathResponse, error)
	// Returns the quota available under the provided
	// reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist
	// MUST return CODE_RESOURCE_EXHAUSTED on exceeded quota limits.
	GetQuota(context.Context, *GetQuotaRequest) (*GetQuotaResponse, error)
	// Initiates the download of a file using an
	// out-of-band data transfer mechanism.
	InitiateFileDownload(context.Context, *InitiateFileDownloadRequest) (*InitiateFileDownloadResponse, error)
	// Initiates the upload of a file using an out-of-band data
	// transfer mechanism. SHOULD return CODE_FAILED_PRECONDITION
	// if the reference is already locked with a mismatched lock.
	// Additionally, the lock check MUST be enforced by the data
	// transfer protocol returned in response.
	InitiateFileUpload(context.Context, *InitiateFileUploadRequest) (*InitiateFileUploadResponse, error)
	// Returns the list of grants for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exists.
	ListGrants(context.Context, *ListGrantsRequest) (*ListGrantsResponse, error)
	// Returns a stream of resource informations
	// for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exists.
	ListContainerStream(*ListContainerStreamRequest, ProviderAPI_ListContainerStreamServer) error
	// Returns a list of resource information
	// for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exists.
	ListContainer(context.Context, *ListContainerRequest) (*ListContainerResponse, error)
	// Returns a list of the versions for a resource of
	// type file at the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_OK and MUST return an empty list if no versions are available.
	// TODO: What code if resource not of type file?
	ListFileVersions(context.Context, *ListFileVersionsRequest) (*ListFileVersionsResponse, error)
	// Returns a stream of recycle items for this storage provider.
	ListRecycleStream(*ListRecycleStreamRequest, ProviderAPI_ListRecycleStreamServer) error
	// Returns a list of recycle items for this storage provider.
	// MUST return CODE_OK and MUST return an empty list if no recycle items are available.
	ListRecycle(context.Context, *ListRecycleRequest) (*ListRecycleResponse, error)
	// Moves a resource from one reference to another.
	// MUST return CODE_NOT_FOUND if any of the references do not exist.
	// MUST return CODE_FAILED_PRECONDITION if the source reference
	// cannot be moved to the destination reference.
	Move(context.Context, *MoveRequest) (*MoveResponse, error)
	// Removes a grant for the provided reference.
	// This is recursive and atomic for directories. Does not follow references.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_NOT_FOUND if grant does not exist.
	RemoveGrant(context.Context, *RemoveGrantRequest) (*RemoveGrantResponse, error)
	// Permanently removes a recycle item from the recycle.
	// This operation is irrevocable.
	// MUST return CODE_NOT_FOUND if the recycle item id does not exist.
	PurgeRecycle(context.Context, *PurgeRecycleRequest) (*PurgeRecycleResponse, error)
	// Restores a file version for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_NOT_FOUND if the version does not exist.
	RestoreFileVersion(context.Context, *RestoreFileVersionRequest) (*RestoreFileVersionResponse, error)
	// Restores a recycle item from the recycle.
	// MUST return CODE_NOT_FOUND if the recycle item id does not exist.
	// MUST return CODE_FAILED_PRECONDITION if the restore_path is non-empty
	// and the recycle item cannot be restored to the restore_path.
	RestoreRecycleItem(context.Context, *RestoreRecycleItemRequest) (*RestoreRecycleItemResponse, error)
	// Returns the resource information at the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	Stat(context.Context, *StatRequest) (*StatResponse, error)
	// Updates an ACL for the provided reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_FAILED_PRECONDITION if the acl does not exist.
	UpdateGrant(context.Context, *UpdateGrantRequest) (*UpdateGrantResponse, error)
	// Creates a symlink to another resource.
	CreateSymlink(context.Context, *CreateSymlinkRequest) (*CreateSymlinkResponse, error)
	// Creates a reference to another resource in the same cluster or another domain (OCM shares).
	// The references resource can be accessed by the protocol specificied in the request message.
	CreateReference(context.Context, *CreateReferenceRequest) (*CreateReferenceResponse, error)
	// Sets arbitrary metadata into a storage resource.
	// Arbitrary metadata is returned in a cs3.storageprovider.v1beta1.ResourceInfo.
	SetArbitraryMetadata(context.Context, *SetArbitraryMetadataRequest) (*SetArbitraryMetadataResponse, error)
	// Unsets arbitrary metdata into a storage resource.
	// Arbitrary metadata is returned in a cs3.storageprovider.v1beta1.ResourceInfo.
	UnsetArbitraryMetadata(context.Context, *UnsetArbitraryMetadataRequest) (*UnsetArbitraryMetadataResponse, error)
	// Locks a storage resource. Note that if the resource is a container,
	// MAY return CODE_NOT_IMPLEMENTED as the behavior is yet to be defined at this stage.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_FAILED_PRECONDITION if the reference is already locked.
	// In addition, the implementation MUST ensure atomicity when multiple users
	// concurrently attempt to set a lock.
	// The caller MUST have write permissions on the resource.
	SetLock(context.Context, *SetLockRequest) (*SetLockResponse, error)
	// Gets the lock metadata of a storage resource.
	// MUST return CODE_NOT_FOUND if the reference does not exist or is not locked.
	// The caller MUST have read permissions on the resource.
	GetLock(context.Context, *GetLockRequest) (*GetLockResponse, error)
	// Refreshes the lock metadata of a storage resource.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_PRECONDITION_FALIED if the reference is not locked
	// or if the caller does not hold the lock.
	// The caller MUST have write permissions on the resource.
	RefreshLock(context.Context, *RefreshLockRequest) (*RefreshLockResponse, error)
	// Unlocks a storage resource.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	// MUST return CODE_FAILED_PRECONDITION if the reference is not locked
	// or if the caller does not hold the lock.
	// The caller MUST have write permissions on the resource.
	Unlock(context.Context, *UnlockRequest) (*UnlockResponse, error)
	// Creates the home directory for a user.
	CreateHome(context.Context, *CreateHomeRequest) (*CreateHomeResponse, error)
	// Gets the home path for the user.
	GetHome(context.Context, *GetHomeRequest) (*GetHomeResponse, error)
}

// UnimplementedProviderAPIServer should be embedded to have forward compatible implementations.
type UnimplementedProviderAPIServer struct {
}

func (UnimplementedProviderAPIServer) AddGrant(context.Context, *AddGrantRequest) (*AddGrantResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddGrant not implemented")
}
func (UnimplementedProviderAPIServer) CreateContainer(context.Context, *CreateContainerRequest) (*CreateContainerResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateContainer not implemented")
}
func (UnimplementedProviderAPIServer) TouchFile(context.Context, *TouchFileRequest) (*TouchFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method TouchFile not implemented")
}
func (UnimplementedProviderAPIServer) Delete(context.Context, *DeleteRequest) (*DeleteResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Delete not implemented")
}
func (UnimplementedProviderAPIServer) DenyGrant(context.Context, *DenyGrantRequest) (*DenyGrantResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DenyGrant not implemented")
}
func (UnimplementedProviderAPIServer) GetPath(context.Context, *GetPathRequest) (*GetPathResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPath not implemented")
}
func (UnimplementedProviderAPIServer) GetQuota(context.Context, *GetQuotaRequest) (*GetQuotaResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetQuota not implemented")
}
func (UnimplementedProviderAPIServer) InitiateFileDownload(context.Context, *InitiateFileDownloadRequest) (*InitiateFileDownloadResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InitiateFileDownload not implemented")
}
func (UnimplementedProviderAPIServer) InitiateFileUpload(context.Context, *InitiateFileUploadRequest) (*InitiateFileUploadResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InitiateFileUpload not implemented")
}
func (UnimplementedProviderAPIServer) ListGrants(context.Context, *ListGrantsRequest) (*ListGrantsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListGrants not implemented")
}
func (UnimplementedProviderAPIServer) ListContainerStream(*ListContainerStreamRequest, ProviderAPI_ListContainerStreamServer) error {
	return status.Errorf(codes.Unimplemented, "method ListContainerStream not implemented")
}
func (UnimplementedProviderAPIServer) ListContainer(context.Context, *ListContainerRequest) (*ListContainerResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListContainer not implemented")
}
func (UnimplementedProviderAPIServer) ListFileVersions(context.Context, *ListFileVersionsRequest) (*ListFileVersionsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFileVersions not implemented")
}
func (UnimplementedProviderAPIServer) ListRecycleStream(*ListRecycleStreamRequest, ProviderAPI_ListRecycleStreamServer) error {
	return status.Errorf(codes.Unimplemented, "method ListRecycleStream not implemented")
}
func (UnimplementedProviderAPIServer) ListRecycle(context.Context, *ListRecycleRequest) (*ListRecycleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListRecycle not implemented")
}
func (UnimplementedProviderAPIServer) Move(context.Context, *MoveRequest) (*MoveResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Move not implemented")
}
func (UnimplementedProviderAPIServer) RemoveGrant(context.Context, *RemoveGrantRequest) (*RemoveGrantResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveGrant not implemented")
}
func (UnimplementedProviderAPIServer) PurgeRecycle(context.Context, *PurgeRecycleRequest) (*PurgeRecycleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PurgeRecycle not implemented")
}
func (UnimplementedProviderAPIServer) RestoreFileVersion(context.Context, *RestoreFileVersionRequest) (*RestoreFileVersionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RestoreFileVersion not implemented")
}
func (UnimplementedProviderAPIServer) RestoreRecycleItem(context.Context, *RestoreRecycleItemRequest) (*RestoreRecycleItemResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RestoreRecycleItem not implemented")
}
func (UnimplementedProviderAPIServer) Stat(context.Context, *StatRequest) (*StatResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Stat not implemented")
}
func (UnimplementedProviderAPIServer) UpdateGrant(context.Context, *UpdateGrantRequest) (*UpdateGrantResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateGrant not implemented")
}
func (UnimplementedProviderAPIServer) CreateSymlink(context.Context, *CreateSymlinkRequest) (*CreateSymlinkResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateSymlink not implemented")
}
func (UnimplementedProviderAPIServer) CreateReference(context.Context, *CreateReferenceRequest) (*CreateReferenceResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateReference not implemented")
}
func (UnimplementedProviderAPIServer) SetArbitraryMetadata(context.Context, *SetArbitraryMetadataRequest) (*SetArbitraryMetadataResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetArbitraryMetadata not implemented")
}
func (UnimplementedProviderAPIServer) UnsetArbitraryMetadata(context.Context, *UnsetArbitraryMetadataRequest) (*UnsetArbitraryMetadataResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UnsetArbitraryMetadata not implemented")
}
func (UnimplementedProviderAPIServer) SetLock(context.Context, *SetLockRequest) (*SetLockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetLock not implemented")
}
func (UnimplementedProviderAPIServer) GetLock(context.Context, *GetLockRequest) (*GetLockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetLock not implemented")
}
func (UnimplementedProviderAPIServer) RefreshLock(context.Context, *RefreshLockRequest) (*RefreshLockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RefreshLock not implemented")
}
func (UnimplementedProviderAPIServer) Unlock(context.Context, *UnlockRequest) (*UnlockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Unlock not implemented")
}
func (UnimplementedProviderAPIServer) CreateHome(context.Context, *CreateHomeRequest) (*CreateHomeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateHome not implemented")
}
func (UnimplementedProviderAPIServer) GetHome(context.Context, *GetHomeRequest) (*GetHomeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetHome not implemented")
}

// UnsafeProviderAPIServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to ProviderAPIServer will
// result in compilation errors.
type UnsafeProviderAPIServer interface {
	mustEmbedUnimplementedProviderAPIServer()
}

func RegisterProviderAPIServer(s grpc.ServiceRegistrar, srv ProviderAPIServer) {
	s.RegisterService(&ProviderAPI_ServiceDesc, srv)
}

func _ProviderAPI_AddGrant_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddGrantRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).AddGrant(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_AddGrant_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).AddGrant(ctx, req.(*AddGrantRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_CreateContainer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateContainerRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).CreateContainer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_CreateContainer_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).CreateContainer(ctx, req.(*CreateContainerRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_TouchFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TouchFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).TouchFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_TouchFile_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).TouchFile(ctx, req.(*TouchFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_Delete_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).Delete(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_Delete_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).Delete(ctx, req.(*DeleteRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_DenyGrant_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DenyGrantRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).DenyGrant(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_DenyGrant_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).DenyGrant(ctx, req.(*DenyGrantRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_GetPath_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPathRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).GetPath(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_GetPath_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).GetPath(ctx, req.(*GetPathRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_GetQuota_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetQuotaRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).GetQuota(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_GetQuota_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).GetQuota(ctx, req.(*GetQuotaRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_InitiateFileDownload_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitiateFileDownloadRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).InitiateFileDownload(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_InitiateFileDownload_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).InitiateFileDownload(ctx, req.(*InitiateFileDownloadRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_InitiateFileUpload_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitiateFileUploadRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).InitiateFileUpload(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_InitiateFileUpload_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).InitiateFileUpload(ctx, req.(*InitiateFileUploadRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_ListGrants_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListGrantsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).ListGrants(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_ListGrants_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).ListGrants(ctx, req.(*ListGrantsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_ListContainerStream_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(ListContainerStreamRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(ProviderAPIServer).ListContainerStream(m, &providerAPIListContainerStreamServer{stream})
}

type ProviderAPI_ListContainerStreamServer interface {
	Send(*ListContainerStreamResponse) error
	grpc.ServerStream
}

type providerAPIListContainerStreamServer struct {
	grpc.ServerStream
}

func (x *providerAPIListContainerStreamServer) Send(m *ListContainerStreamResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _ProviderAPI_ListContainer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListContainerRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).ListContainer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_ListContainer_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).ListContainer(ctx, req.(*ListContainerRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_ListFileVersions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListFileVersionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).ListFileVersions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_ListFileVersions_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).ListFileVersions(ctx, req.(*ListFileVersionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_ListRecycleStream_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(ListRecycleStreamRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(ProviderAPIServer).ListRecycleStream(m, &providerAPIListRecycleStreamServer{stream})
}

type ProviderAPI_ListRecycleStreamServer interface {
	Send(*ListRecycleStreamResponse) error
	grpc.ServerStream
}

type providerAPIListRecycleStreamServer struct {
	grpc.ServerStream
}

func (x *providerAPIListRecycleStreamServer) Send(m *ListRecycleStreamResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _ProviderAPI_ListRecycle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRecycleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).ListRecycle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_ListRecycle_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).ListRecycle(ctx, req.(*ListRecycleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_Move_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MoveRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).Move(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_Move_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).Move(ctx, req.(*MoveRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_RemoveGrant_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveGrantRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).RemoveGrant(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_RemoveGrant_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).RemoveGrant(ctx, req.(*RemoveGrantRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_PurgeRecycle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PurgeRecycleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).PurgeRecycle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_PurgeRecycle_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).PurgeRecycle(ctx, req.(*PurgeRecycleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_RestoreFileVersion_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RestoreFileVersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).RestoreFileVersion(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_RestoreFileVersion_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).RestoreFileVersion(ctx, req.(*RestoreFileVersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_RestoreRecycleItem_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RestoreRecycleItemRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).RestoreRecycleItem(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_RestoreRecycleItem_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).RestoreRecycleItem(ctx, req.(*RestoreRecycleItemRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_Stat_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StatRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).Stat(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_Stat_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).Stat(ctx, req.(*StatRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_UpdateGrant_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateGrantRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).UpdateGrant(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_UpdateGrant_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).UpdateGrant(ctx, req.(*UpdateGrantRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_CreateSymlink_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateSymlinkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).CreateSymlink(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_CreateSymlink_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).CreateSymlink(ctx, req.(*CreateSymlinkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_CreateReference_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateReferenceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).CreateReference(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_CreateReference_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).CreateReference(ctx, req.(*CreateReferenceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_SetArbitraryMetadata_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetArbitraryMetadataRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).SetArbitraryMetadata(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_SetArbitraryMetadata_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).SetArbitraryMetadata(ctx, req.(*SetArbitraryMetadataRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_UnsetArbitraryMetadata_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnsetArbitraryMetadataRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).UnsetArbitraryMetadata(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_UnsetArbitraryMetadata_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).UnsetArbitraryMetadata(ctx, req.(*UnsetArbitraryMetadataRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_SetLock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetLockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).SetLock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_SetLock_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).SetLock(ctx, req.(*SetLockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_GetLock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetLockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).GetLock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_GetLock_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).GetLock(ctx, req.(*GetLockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_RefreshLock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RefreshLockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).RefreshLock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_RefreshLock_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).RefreshLock(ctx, req.(*RefreshLockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_Unlock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnlockRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).Unlock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_Unlock_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).Unlock(ctx, req.(*UnlockRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_CreateHome_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateHomeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).CreateHome(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_CreateHome_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).CreateHome(ctx, req.(*CreateHomeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ProviderAPI_GetHome_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetHomeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ProviderAPIServer).GetHome(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: ProviderAPI_GetHome_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ProviderAPIServer).GetHome(ctx, req.(*GetHomeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// ProviderAPI_ServiceDesc is the grpc.ServiceDesc for ProviderAPI service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var ProviderAPI_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "cs3.storage.provider.v1beta1.ProviderAPI",
	HandlerType: (*ProviderAPIServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "AddGrant",
			Handler:    _ProviderAPI_AddGrant_Handler,
		},
		{
			MethodName: "CreateContainer",
			Handler:    _ProviderAPI_CreateContainer_Handler,
		},
		{
			MethodName: "TouchFile",
			Handler:    _ProviderAPI_TouchFile_Handler,
		},
		{
			MethodName: "Delete",
			Handler:    _ProviderAPI_Delete_Handler,
		},
		{
			MethodName: "DenyGrant",
			Handler:    _ProviderAPI_DenyGrant_Handler,
		},
		{
			MethodName: "GetPath",
			Handler:    _ProviderAPI_GetPath_Handler,
		},
		{
			MethodName: "GetQuota",
			Handler:    _ProviderAPI_GetQuota_Handler,
		},
		{
			MethodName: "InitiateFileDownload",
			Handler:    _ProviderAPI_InitiateFileDownload_Handler,
		},
		{
			MethodName: "InitiateFileUpload",
			Handler:    _ProviderAPI_InitiateFileUpload_Handler,
		},
		{
			MethodName: "ListGrants",
			Handler:    _ProviderAPI_ListGrants_Handler,
		},
		{
			MethodName: "ListContainer",
			Handler:    _ProviderAPI_ListContainer_Handler,
		},
		{
			MethodName: "ListFileVersions",
			Handler:    _ProviderAPI_ListFileVersions_Handler,
		},
		{
			MethodName: "ListRecycle",
			Handler:    _ProviderAPI_ListRecycle_Handler,
		},
		{
			MethodName: "Move",
			Handler:    _ProviderAPI_Move_Handler,
		},
		{
			MethodName: "RemoveGrant",
			Handler:    _ProviderAPI_RemoveGrant_Handler,
		},
		{
			MethodName: "PurgeRecycle",
			Handler:    _ProviderAPI_PurgeRecycle_Handler,
		},
		{
			MethodName: "RestoreFileVersion",
			Handler:    _ProviderAPI_RestoreFileVersion_Handler,
		},
		{
			MethodName: "RestoreRecycleItem",
			Handler:    _ProviderAPI_RestoreRecycleItem_Handler,
		},
		{
			MethodName: "Stat",
			Handler:    _ProviderAPI_Stat_Handler,
		},
		{
			MethodName: "UpdateGrant",
			Handler:    _ProviderAPI_UpdateGrant_Handler,
		},
		{
			MethodName: "CreateSymlink",
			Handler:    _ProviderAPI_CreateSymlink_Handler,
		},
		{
			MethodName: "CreateReference",
			Handler:    _ProviderAPI_CreateReference_Handler,
		},
		{
			MethodName: "SetArbitraryMetadata",
			Handler:    _ProviderAPI_SetArbitraryMetadata_Handler,
		},
		{
			MethodName: "UnsetArbitraryMetadata",
			Handler:    _ProviderAPI_UnsetArbitraryMetadata_Handler,
		},
		{
			MethodName: "SetLock",
			Handler:    _ProviderAPI_SetLock_Handler,
		},
		{
			MethodName: "GetLock",
			Handler:    _ProviderAPI_GetLock_Handler,
		},
		{
			MethodName: "RefreshLock",
			Handler:    _ProviderAPI_RefreshLock_Handler,
		},
		{
			MethodName: "Unlock",
			Handler:    _ProviderAPI_Unlock_Handler,
		},
		{
			MethodName: "CreateHome",
			Handler:    _ProviderAPI_CreateHome_Handler,
		},
		{
			MethodName: "GetHome",
			Handler:    _ProviderAPI_GetHome_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "ListContainerStream",
			Handler:       _ProviderAPI_ListContainerStream_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "ListRecycleStream",
			Handler:       _ProviderAPI_ListRecycleStream_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "cs3/storage/provider/v1beta1/provider_api.proto",
}
