// Copyright 2018-2019 CERN
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// In applying this license, CERN does not waive the privileges and immunities
// granted to it by virtue of its status as an Intergovernmental Organization
// or submit itself to any jurisdiction.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.31.0
// 	protoc        (unknown)
// source: cs3/storage/provider/v1beta1/resources.proto

package providerv1beta1

import (
	v1beta12 "github.com/cs3org/go-cs3apis/cs3/identity/group/v1beta1"
	v1beta11 "github.com/cs3org/go-cs3apis/cs3/identity/user/v1beta1"
	v1beta1 "github.com/cs3org/go-cs3apis/cs3/types/v1beta1"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// The available type of locks for a resource.
type LockType int32

const (
	LockType_LOCK_TYPE_INVALID LockType = 0
	// Shared (advisory) lock: the resource can be read,
	// written/overwritten or unlocked by everyone who has access.
	LockType_LOCK_TYPE_SHARED LockType = 1
	// Write lock: the resource can be read by everyone who has
	// access, but write, refreshlock and unlock operations
	// are restricted to the lock holder.
	LockType_LOCK_TYPE_WRITE LockType = 2
	// Exclusive lock: only the lock holder can operate on the
	// resource, anyone else is denied to access it.
	LockType_LOCK_TYPE_EXCL LockType = 3
)

// Enum value maps for LockType.
var (
	LockType_name = map[int32]string{
		0: "LOCK_TYPE_INVALID",
		1: "LOCK_TYPE_SHARED",
		2: "LOCK_TYPE_WRITE",
		3: "LOCK_TYPE_EXCL",
	}
	LockType_value = map[string]int32{
		"LOCK_TYPE_INVALID": 0,
		"LOCK_TYPE_SHARED":  1,
		"LOCK_TYPE_WRITE":   2,
		"LOCK_TYPE_EXCL":    3,
	}
)

func (x LockType) Enum() *LockType {
	p := new(LockType)
	*p = x
	return p
}

func (x LockType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (LockType) Descriptor() protoreflect.EnumDescriptor {
	return file_cs3_storage_provider_v1beta1_resources_proto_enumTypes[0].Descriptor()
}

func (LockType) Type() protoreflect.EnumType {
	return &file_cs3_storage_provider_v1beta1_resources_proto_enumTypes[0]
}

func (x LockType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use LockType.Descriptor instead.
func (LockType) EnumDescriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{0}
}

// The available types of resources.
type ResourceType int32

const (
	ResourceType_RESOURCE_TYPE_INVALID ResourceType = 0
	// The file type represents a type
	// that holds arbitrary data.
	// Service implementors usually map this type
	// to files (local filesystem) or objects
	// (Amazon S3).
	ResourceType_RESOURCE_TYPE_FILE ResourceType = 1
	// The container type represents a type
	// that can contain another types.
	// Service implementors usually map this type
	// to folders (local filesystem) or buckets
	// (Amazon S3).
	ResourceType_RESOURCE_TYPE_CONTAINER ResourceType = 2
	// This represents a reference type which points
	// to another resource where client MAY be redirected.
	// Client SHOULD use the ResourceInfo.target
	// reference for a subsequent call.
	ResourceType_RESOURCE_TYPE_REFERENCE ResourceType = 3
	// This represents a symbolic link type if the underlying
	// storage system supports it.
	// Symlink target SHOULD NOT be interpreted by the clients.
	ResourceType_RESOURCE_TYPE_SYMLINK ResourceType = 4
	// Internal resource type for some specific resources inside
	// a storage implementation.
	// For example, this type could be used to represent
	// a device file on a Linux filesystem.
	// Another example could be to represent an ongoing upload,
	// where an hypothetically user interface could show a loading icon
	// on this type of resources until the upload operation is completed.
	// Internal resources SHOULD NOT be moved to a different storage
	// provider.
	ResourceType_RESOURCE_TYPE_INTERNAL ResourceType = 5
)

// Enum value maps for ResourceType.
var (
	ResourceType_name = map[int32]string{
		0: "RESOURCE_TYPE_INVALID",
		1: "RESOURCE_TYPE_FILE",
		2: "RESOURCE_TYPE_CONTAINER",
		3: "RESOURCE_TYPE_REFERENCE",
		4: "RESOURCE_TYPE_SYMLINK",
		5: "RESOURCE_TYPE_INTERNAL",
	}
	ResourceType_value = map[string]int32{
		"RESOURCE_TYPE_INVALID":   0,
		"RESOURCE_TYPE_FILE":      1,
		"RESOURCE_TYPE_CONTAINER": 2,
		"RESOURCE_TYPE_REFERENCE": 3,
		"RESOURCE_TYPE_SYMLINK":   4,
		"RESOURCE_TYPE_INTERNAL":  5,
	}
)

func (x ResourceType) Enum() *ResourceType {
	p := new(ResourceType)
	*p = x
	return p
}

func (x ResourceType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ResourceType) Descriptor() protoreflect.EnumDescriptor {
	return file_cs3_storage_provider_v1beta1_resources_proto_enumTypes[1].Descriptor()
}

func (ResourceType) Type() protoreflect.EnumType {
	return &file_cs3_storage_provider_v1beta1_resources_proto_enumTypes[1]
}

func (x ResourceType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ResourceType.Descriptor instead.
func (ResourceType) EnumDescriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{1}
}

// The type of checksum to use.
type ResourceChecksumType int32

const (
	ResourceChecksumType_RESOURCE_CHECKSUM_TYPE_INVALID ResourceChecksumType = 0
	// unset means no checksum is set.
	ResourceChecksumType_RESOURCE_CHECKSUM_TYPE_UNSET ResourceChecksumType = 1
	// Use Adler32 checksum.
	ResourceChecksumType_RESOURCE_CHECKSUM_TYPE_ADLER32 ResourceChecksumType = 2
	// Use MD5 checksum.
	ResourceChecksumType_RESOURCE_CHECKSUM_TYPE_MD5 ResourceChecksumType = 3
	// Use SHA-1 checksum.
	ResourceChecksumType_RESOURCE_CHECKSUM_TYPE_SHA1 ResourceChecksumType = 4
)

// Enum value maps for ResourceChecksumType.
var (
	ResourceChecksumType_name = map[int32]string{
		0: "RESOURCE_CHECKSUM_TYPE_INVALID",
		1: "RESOURCE_CHECKSUM_TYPE_UNSET",
		2: "RESOURCE_CHECKSUM_TYPE_ADLER32",
		3: "RESOURCE_CHECKSUM_TYPE_MD5",
		4: "RESOURCE_CHECKSUM_TYPE_SHA1",
	}
	ResourceChecksumType_value = map[string]int32{
		"RESOURCE_CHECKSUM_TYPE_INVALID": 0,
		"RESOURCE_CHECKSUM_TYPE_UNSET":   1,
		"RESOURCE_CHECKSUM_TYPE_ADLER32": 2,
		"RESOURCE_CHECKSUM_TYPE_MD5":     3,
		"RESOURCE_CHECKSUM_TYPE_SHA1":    4,
	}
)

func (x ResourceChecksumType) Enum() *ResourceChecksumType {
	p := new(ResourceChecksumType)
	*p = x
	return p
}

func (x ResourceChecksumType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ResourceChecksumType) Descriptor() protoreflect.EnumDescriptor {
	return file_cs3_storage_provider_v1beta1_resources_proto_enumTypes[2].Descriptor()
}

func (ResourceChecksumType) Type() protoreflect.EnumType {
	return &file_cs3_storage_provider_v1beta1_resources_proto_enumTypes[2]
}

func (x ResourceChecksumType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ResourceChecksumType.Descriptor instead.
func (ResourceChecksumType) EnumDescriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{2}
}

// The type of the grantee.
type GranteeType int32

const (
	GranteeType_GRANTEE_TYPE_INVALID GranteeType = 0
	// This type represents an individual.
	GranteeType_GRANTEE_TYPE_USER GranteeType = 1
	// This type represents a group of individuals.
	GranteeType_GRANTEE_TYPE_GROUP GranteeType = 2
)

// Enum value maps for GranteeType.
var (
	GranteeType_name = map[int32]string{
		0: "GRANTEE_TYPE_INVALID",
		1: "GRANTEE_TYPE_USER",
		2: "GRANTEE_TYPE_GROUP",
	}
	GranteeType_value = map[string]int32{
		"GRANTEE_TYPE_INVALID": 0,
		"GRANTEE_TYPE_USER":    1,
		"GRANTEE_TYPE_GROUP":   2,
	}
)

func (x GranteeType) Enum() *GranteeType {
	p := new(GranteeType)
	*p = x
	return p
}

func (x GranteeType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (GranteeType) Descriptor() protoreflect.EnumDescriptor {
	return file_cs3_storage_provider_v1beta1_resources_proto_enumTypes[3].Descriptor()
}

func (GranteeType) Type() protoreflect.EnumType {
	return &file_cs3_storage_provider_v1beta1_resources_proto_enumTypes[3]
}

func (x GranteeType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use GranteeType.Descriptor instead.
func (GranteeType) EnumDescriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{3}
}

// Represents the information (metadata) about
// a storage resource organized in a hierarchical namespace (file, directory/container, reference, symlink, ...).
type ResourceInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL.
	// Opaque information.
	Opaque *v1beta1.Opaque `protobuf:"bytes,1,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// REQUIRED.
	// The type of the resource (container, file, ...)
	// See the enum ResourceType for all possible types.
	Type ResourceType `protobuf:"varint,2,opt,name=type,proto3,enum=cs3.storage.provider.v1beta1.ResourceType" json:"type,omitempty"`
	// REQUIRED.
	// Opaque unique identifier of the resource.
	Id *ResourceId `protobuf:"bytes,3,opt,name=id,proto3" json:"id,omitempty"`
	// REQUIRED.
	// The data checksum for the file resource.
	// For all other resources, the checksum is unset.
	Checksum *ResourceChecksum `protobuf:"bytes,4,opt,name=checksum,proto3" json:"checksum,omitempty"`
	// REQUIRED.
	// As decribed in https://tools.ietf.org/html/rfc7232#section-2.3
	// For file resources, the etag must change if data or metadata changes.
	// For container types, the etag must change if etag of any of the (indirectly) contained resources change.
	// For reference types, the etag must change if etag of the target changes and the target is on the same storage provider.
	// In all other cases the etag does not change.
	Etag string `protobuf:"bytes,5,opt,name=etag,proto3" json:"etag,omitempty"`
	// REQUIRED.
	// As described in [RFC 2015](https://tools.ietf.org/html/rfc2045#page-7)
	MimeType string `protobuf:"bytes,6,opt,name=mime_type,json=mimeType,proto3" json:"mime_type,omitempty"`
	// REQUIRED.
	// Last modification time (mtime) of file or directory contents.
	// For reference types this is NOT the mtime of the target.
	Mtime *v1beta1.Timestamp `protobuf:"bytes,7,opt,name=mtime,proto3" json:"mtime,omitempty"`
	// REQUIRED.
	// The path for the resource:
	// MUST start with `/` when the reference had no resource_id, indicating an absolute path.
	// MUST start with `.` when the reference had a resource_id, indicating a relative path.
	Path string `protobuf:"bytes,8,opt,name=path,proto3" json:"path,omitempty"`
	// REQUIRED.
	// The set of permissions for the resource effective for the authenticated user.
	PermissionSet *ResourcePermissions `protobuf:"bytes,9,opt,name=permission_set,json=permissionSet,proto3" json:"permission_set,omitempty"`
	// REQUIRED.
	// The size of the resource in bytes (file size)
	// TODO(moscicki): This is undefined for container type.
	// Is the accounting recursive?, could it be set to 0 for directories if recursive not supported? use another field?
	// TODO(moscicki): This needs to be defined also for other types (such as a symlink to a directory or file)
	Size uint64 `protobuf:"varint,10,opt,name=size,proto3" json:"size,omitempty"`
	// REQUIRED.
	// Identifier of the owner of the resource.
	Owner *v1beta11.UserId `protobuf:"bytes,11,opt,name=owner,proto3" json:"owner,omitempty"`
	// OPTIONAL.
	// if ResourceType is either RESOURCE_TYPE_SYMLINK or RESOURCE_TYPE_REFERENCE
	// it MUST be specified.
	Target string `protobuf:"bytes,12,opt,name=target,proto3" json:"target,omitempty"`
	// OPTIONAL.
	// Additional metadata attached to the resource.
	// If ResourceType is RESOURCE_TYPE_REFERENCE it MUST
	// be specified.
	CanonicalMetadata *CanonicalMetadata `protobuf:"bytes,13,opt,name=canonical_metadata,json=canonicalMetadata,proto3" json:"canonical_metadata,omitempty"`
	// OPTIONAL.
	// Arbitrary metadata attached to a resource.
	ArbitraryMetadata *ArbitraryMetadata `protobuf:"bytes,14,opt,name=arbitrary_metadata,json=arbitraryMetadata,proto3" json:"arbitrary_metadata,omitempty"`
	// OPTIONAL.
	// Exclusive or write lock on this resource that will limit modification of the resource to holders of the lock.
	// Can be used by WOPI or other apps requiring write or exclusive locks.
	Lock *Lock `protobuf:"bytes,15,opt,name=lock,proto3" json:"lock,omitempty"`
	// OPTIONAL.
	// Advisory locks on this resource. Can be used for shared locks or other forms of collaborative locks.
	AdvisoryLocks []*Lock `protobuf:"bytes,16,rep,name=advisory_locks,json=advisoryLocks,proto3" json:"advisory_locks,omitempty"`
	// OPTIONAL.
	// Reference to the container of this resource. If path is relative it MUST be specified, regardless the
	// access restrictions to the resource: a subsequent Stat() on it MAY return access denied if appropriate.
	ParentId *ResourceId `protobuf:"bytes,17,opt,name=parent_id,json=parentId,proto3" json:"parent_id,omitempty"`
	// OPTIONAL
	// The name of the resource.
	Name string `protobuf:"bytes,18,opt,name=name,proto3" json:"name,omitempty"`
	// OPTIONAL.
	// StorageSpace where this resource is located.
	Space *StorageSpace `protobuf:"bytes,19,opt,name=space,proto3" json:"space,omitempty"`
}

func (x *ResourceInfo) Reset() {
	*x = ResourceInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourceInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourceInfo) ProtoMessage() {}

func (x *ResourceInfo) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourceInfo.ProtoReflect.Descriptor instead.
func (*ResourceInfo) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{0}
}

func (x *ResourceInfo) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *ResourceInfo) GetType() ResourceType {
	if x != nil {
		return x.Type
	}
	return ResourceType_RESOURCE_TYPE_INVALID
}

func (x *ResourceInfo) GetId() *ResourceId {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *ResourceInfo) GetChecksum() *ResourceChecksum {
	if x != nil {
		return x.Checksum
	}
	return nil
}

func (x *ResourceInfo) GetEtag() string {
	if x != nil {
		return x.Etag
	}
	return ""
}

func (x *ResourceInfo) GetMimeType() string {
	if x != nil {
		return x.MimeType
	}
	return ""
}

func (x *ResourceInfo) GetMtime() *v1beta1.Timestamp {
	if x != nil {
		return x.Mtime
	}
	return nil
}

func (x *ResourceInfo) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

func (x *ResourceInfo) GetPermissionSet() *ResourcePermissions {
	if x != nil {
		return x.PermissionSet
	}
	return nil
}

func (x *ResourceInfo) GetSize() uint64 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *ResourceInfo) GetOwner() *v1beta11.UserId {
	if x != nil {
		return x.Owner
	}
	return nil
}

func (x *ResourceInfo) GetTarget() string {
	if x != nil {
		return x.Target
	}
	return ""
}

func (x *ResourceInfo) GetCanonicalMetadata() *CanonicalMetadata {
	if x != nil {
		return x.CanonicalMetadata
	}
	return nil
}

func (x *ResourceInfo) GetArbitraryMetadata() *ArbitraryMetadata {
	if x != nil {
		return x.ArbitraryMetadata
	}
	return nil
}

func (x *ResourceInfo) GetLock() *Lock {
	if x != nil {
		return x.Lock
	}
	return nil
}

func (x *ResourceInfo) GetAdvisoryLocks() []*Lock {
	if x != nil {
		return x.AdvisoryLocks
	}
	return nil
}

func (x *ResourceInfo) GetParentId() *ResourceId {
	if x != nil {
		return x.ParentId
	}
	return nil
}

func (x *ResourceInfo) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ResourceInfo) GetSpace() *StorageSpace {
	if x != nil {
		return x.Space
	}
	return nil
}

// CanonicalMetadata contains extra metadata
// attached to a resource. This message and the Opaque
// message differ in that Opaque allows service implementors
// to include any extra metadata in any format and most clients
// will ignore it. However, the CanonicalMetadata message
// contains well defined fileds that clients MUST understand if
// they are specified.
type CanonicalMetadata struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED if resource type is RESOURCE_TYPE_REFERENCE.
	// The target reference the resource points to.
	Target *Reference `protobuf:"bytes,1,opt,name=target,proto3" json:"target,omitempty"`
}

func (x *CanonicalMetadata) Reset() {
	*x = CanonicalMetadata{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CanonicalMetadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CanonicalMetadata) ProtoMessage() {}

func (x *CanonicalMetadata) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CanonicalMetadata.ProtoReflect.Descriptor instead.
func (*CanonicalMetadata) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{1}
}

func (x *CanonicalMetadata) GetTarget() *Reference {
	if x != nil {
		return x.Target
	}
	return nil
}

// Arbitrary metadata than can be set to the resource.
type ArbitraryMetadata struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Metadata map[string]string `protobuf:"bytes,1,rep,name=metadata,proto3" json:"metadata,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *ArbitraryMetadata) Reset() {
	*x = ArbitraryMetadata{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ArbitraryMetadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ArbitraryMetadata) ProtoMessage() {}

func (x *ArbitraryMetadata) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ArbitraryMetadata.ProtoReflect.Descriptor instead.
func (*ArbitraryMetadata) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{2}
}

func (x *ArbitraryMetadata) GetMetadata() map[string]string {
	if x != nil {
		return x.Metadata
	}
	return nil
}

// The metadata associated with a lock on a resource.
// Provided that storage drivers are free to implement the storage
// of this metadata according to their constraints, a reference
// implementation is given here. The lock SHOULD be stored
// as an extended attribute on the referenced filesystem entry.
// Such extended attribute MUST NOT be exposed via the `Stat` and `SetArbitraryMetadata` APIs.
// Instead, the `ResourceInfo.Lock` attribute MUST be populated if a lock exists for the given reference.
type Lock struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL.
	// Opaque information.
	Opaque *v1beta1.Opaque `protobuf:"bytes,1,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// REQUIRED.
	// The id of the lock, eg. the X-WOPI-Lock id or the WebDAV opaquelocktoken.
	LockId string `protobuf:"bytes,2,opt,name=lock_id,json=lockId,proto3" json:"lock_id,omitempty"`
	// REQUIRED.
	// The type of lock.
	Type LockType `protobuf:"varint,3,opt,name=type,proto3,enum=cs3.storage.provider.v1beta1.LockType" json:"type,omitempty"`
	// OPTIONAL.
	// The userid of a user, which represents either the lock holder, or the user that last created/modified the lock.
	// When non empty, `RefreshLock` and `Unlock` operations MUST check their request's content against it.
	User *v1beta11.UserId `protobuf:"bytes,4,opt,name=user,proto3" json:"user,omitempty"`
	// OPTIONAL.
	// An application name if the lock is held by an app.
	// When non empty, `RefreshLock` and `Unlock` operations MUST check their request's content against it.
	AppName string `protobuf:"bytes,5,opt,name=app_name,json=appName,proto3" json:"app_name,omitempty"`
	// OPTIONAL.
	// The time when the lock will expire.
	Expiration *v1beta1.Timestamp `protobuf:"bytes,6,opt,name=expiration,proto3" json:"expiration,omitempty"`
}

func (x *Lock) Reset() {
	*x = Lock{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Lock) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Lock) ProtoMessage() {}

func (x *Lock) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Lock.ProtoReflect.Descriptor instead.
func (*Lock) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{3}
}

func (x *Lock) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *Lock) GetLockId() string {
	if x != nil {
		return x.LockId
	}
	return ""
}

func (x *Lock) GetType() LockType {
	if x != nil {
		return x.Type
	}
	return LockType_LOCK_TYPE_INVALID
}

func (x *Lock) GetUser() *v1beta11.UserId {
	if x != nil {
		return x.User
	}
	return nil
}

func (x *Lock) GetAppName() string {
	if x != nil {
		return x.AppName
	}
	return ""
}

func (x *Lock) GetExpiration() *v1beta1.Timestamp {
	if x != nil {
		return x.Expiration
	}
	return nil
}

// The checksum to verify
// the integrity of a resource.
type ResourceChecksum struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The type of checksum to use.
	// If no checksum is provided,
	// type MUST be RESOURCE_CHECKSUM_TYPE_UNSET.
	Type ResourceChecksumType `protobuf:"varint,1,opt,name=type,proto3,enum=cs3.storage.provider.v1beta1.ResourceChecksumType" json:"type,omitempty"`
	// MUST be specified if type is not
	// RESOURCE_CHECKSUM_TYPE_UNSET or type is not
	// RESOURCE_CHECKSUM_TYPE_INVALID.
	// MUST be the hexadecimal representation of the cheksum.
	// The value is case-insensitive, so
	// "1E603A8", "1e603a8" or "1e603A8" are the same.
	Sum string `protobuf:"bytes,2,opt,name=sum,proto3" json:"sum,omitempty"`
}

func (x *ResourceChecksum) Reset() {
	*x = ResourceChecksum{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourceChecksum) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourceChecksum) ProtoMessage() {}

func (x *ResourceChecksum) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourceChecksum.ProtoReflect.Descriptor instead.
func (*ResourceChecksum) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{4}
}

func (x *ResourceChecksum) GetType() ResourceChecksumType {
	if x != nil {
		return x.Type
	}
	return ResourceChecksumType_RESOURCE_CHECKSUM_TYPE_INVALID
}

func (x *ResourceChecksum) GetSum() string {
	if x != nil {
		return x.Sum
	}
	return ""
}

// When negotiating the user of checksum types
// between client and server, this structure
// defines the priority of the checksum.
// Priority 0 means highest priority.
type ResourceChecksumPriority struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type     ResourceChecksumType `protobuf:"varint,1,opt,name=type,proto3,enum=cs3.storage.provider.v1beta1.ResourceChecksumType" json:"type,omitempty"`
	Priority uint32               `protobuf:"varint,2,opt,name=priority,proto3" json:"priority,omitempty"`
}

func (x *ResourceChecksumPriority) Reset() {
	*x = ResourceChecksumPriority{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourceChecksumPriority) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourceChecksumPriority) ProtoMessage() {}

func (x *ResourceChecksumPriority) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourceChecksumPriority.ProtoReflect.Descriptor instead.
func (*ResourceChecksumPriority) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{5}
}

func (x *ResourceChecksumPriority) GetType() ResourceChecksumType {
	if x != nil {
		return x.Type
	}
	return ResourceChecksumType_RESOURCE_CHECKSUM_TYPE_INVALID
}

func (x *ResourceChecksumPriority) GetPriority() uint32 {
	if x != nil {
		return x.Priority
	}
	return 0
}

// The mechanism to identify a resource in the CS3 namespace.
// It can represent path based, id based and combined references:
// The storage registry uses the storage_id to determine the responsible storage provider.
// When the storage_id is not available it will use the path.
// In a URL the different components can be represented in a string using the following layout:
// <storage_id>!<node_id>:<path>
type Reference struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL
	ResourceId *ResourceId `protobuf:"bytes,1,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	// OPTIONAL.
	// When starting with `/` represents an absolute path. In this case the resource_id MUST be empty.
	// When starting with `.` represents a path relative to the resource_id. The resource_id MUST be given.
	// When path is empty the resource_id must be set. Used to look up the path for a resource_id.
	Path string `protobuf:"bytes,2,opt,name=path,proto3" json:"path,omitempty"`
}

func (x *Reference) Reset() {
	*x = Reference{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Reference) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Reference) ProtoMessage() {}

func (x *Reference) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Reference.ProtoReflect.Descriptor instead.
func (*Reference) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{6}
}

func (x *Reference) GetResourceId() *ResourceId {
	if x != nil {
		return x.ResourceId
	}
	return nil
}

func (x *Reference) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

// A resource id uniquely identifies a
// resource in the storage provider namespace.
// A ResourceId MUST be unique in the storage provider.
type ResourceId struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The logical id of a storage. Used by the storage
	// registry to determine the responsible storage provider.
	StorageId string `protobuf:"bytes,1,opt,name=storage_id,json=storageId,proto3" json:"storage_id,omitempty"`
	// REQUIRED.
	// The internal id used by service implementor to
	// uniquely identity the resource in the internal
	// implementation of the service.
	OpaqueId string `protobuf:"bytes,2,opt,name=opaque_id,json=opaqueId,proto3" json:"opaque_id,omitempty"`
	// OPTIONAL.
	// The internal id used by service implementor to
	// uniquely identify the storage space.
	// Used by the storageprovider to locate the correct storage space.
	SpaceId string `protobuf:"bytes,3,opt,name=space_id,json=spaceId,proto3" json:"space_id,omitempty"`
}

func (x *ResourceId) Reset() {
	*x = ResourceId{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourceId) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourceId) ProtoMessage() {}

func (x *ResourceId) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourceId.ProtoReflect.Descriptor instead.
func (*ResourceId) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{7}
}

func (x *ResourceId) GetStorageId() string {
	if x != nil {
		return x.StorageId
	}
	return ""
}

func (x *ResourceId) GetOpaqueId() string {
	if x != nil {
		return x.OpaqueId
	}
	return ""
}

func (x *ResourceId) GetSpaceId() string {
	if x != nil {
		return x.SpaceId
	}
	return ""
}

// The representation of permissions attached to a resource.
type ResourcePermissions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	AddGrant             bool `protobuf:"varint,1,opt,name=add_grant,json=addGrant,proto3" json:"add_grant,omitempty"`
	CreateContainer      bool `protobuf:"varint,2,opt,name=create_container,json=createContainer,proto3" json:"create_container,omitempty"`
	Delete               bool `protobuf:"varint,3,opt,name=delete,proto3" json:"delete,omitempty"`
	GetPath              bool `protobuf:"varint,5,opt,name=get_path,json=getPath,proto3" json:"get_path,omitempty"`
	GetQuota             bool `protobuf:"varint,6,opt,name=get_quota,json=getQuota,proto3" json:"get_quota,omitempty"`
	InitiateFileDownload bool `protobuf:"varint,7,opt,name=initiate_file_download,json=initiateFileDownload,proto3" json:"initiate_file_download,omitempty"`
	InitiateFileUpload   bool `protobuf:"varint,8,opt,name=initiate_file_upload,json=initiateFileUpload,proto3" json:"initiate_file_upload,omitempty"`
	ListGrants           bool `protobuf:"varint,9,opt,name=list_grants,json=listGrants,proto3" json:"list_grants,omitempty"`
	ListContainer        bool `protobuf:"varint,10,opt,name=list_container,json=listContainer,proto3" json:"list_container,omitempty"`
	ListFileVersions     bool `protobuf:"varint,11,opt,name=list_file_versions,json=listFileVersions,proto3" json:"list_file_versions,omitempty"`
	ListRecycle          bool `protobuf:"varint,12,opt,name=list_recycle,json=listRecycle,proto3" json:"list_recycle,omitempty"`
	Move                 bool `protobuf:"varint,13,opt,name=move,proto3" json:"move,omitempty"`
	RemoveGrant          bool `protobuf:"varint,14,opt,name=remove_grant,json=removeGrant,proto3" json:"remove_grant,omitempty"`
	PurgeRecycle         bool `protobuf:"varint,15,opt,name=purge_recycle,json=purgeRecycle,proto3" json:"purge_recycle,omitempty"`
	RestoreFileVersion   bool `protobuf:"varint,16,opt,name=restore_file_version,json=restoreFileVersion,proto3" json:"restore_file_version,omitempty"`
	RestoreRecycleItem   bool `protobuf:"varint,17,opt,name=restore_recycle_item,json=restoreRecycleItem,proto3" json:"restore_recycle_item,omitempty"`
	Stat                 bool `protobuf:"varint,18,opt,name=stat,proto3" json:"stat,omitempty"`
	UpdateGrant          bool `protobuf:"varint,19,opt,name=update_grant,json=updateGrant,proto3" json:"update_grant,omitempty"`
	DenyGrant            bool `protobuf:"varint,20,opt,name=deny_grant,json=denyGrant,proto3" json:"deny_grant,omitempty"`
}

func (x *ResourcePermissions) Reset() {
	*x = ResourcePermissions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResourcePermissions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResourcePermissions) ProtoMessage() {}

func (x *ResourcePermissions) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResourcePermissions.ProtoReflect.Descriptor instead.
func (*ResourcePermissions) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{8}
}

func (x *ResourcePermissions) GetAddGrant() bool {
	if x != nil {
		return x.AddGrant
	}
	return false
}

func (x *ResourcePermissions) GetCreateContainer() bool {
	if x != nil {
		return x.CreateContainer
	}
	return false
}

func (x *ResourcePermissions) GetDelete() bool {
	if x != nil {
		return x.Delete
	}
	return false
}

func (x *ResourcePermissions) GetGetPath() bool {
	if x != nil {
		return x.GetPath
	}
	return false
}

func (x *ResourcePermissions) GetGetQuota() bool {
	if x != nil {
		return x.GetQuota
	}
	return false
}

func (x *ResourcePermissions) GetInitiateFileDownload() bool {
	if x != nil {
		return x.InitiateFileDownload
	}
	return false
}

func (x *ResourcePermissions) GetInitiateFileUpload() bool {
	if x != nil {
		return x.InitiateFileUpload
	}
	return false
}

func (x *ResourcePermissions) GetListGrants() bool {
	if x != nil {
		return x.ListGrants
	}
	return false
}

func (x *ResourcePermissions) GetListContainer() bool {
	if x != nil {
		return x.ListContainer
	}
	return false
}

func (x *ResourcePermissions) GetListFileVersions() bool {
	if x != nil {
		return x.ListFileVersions
	}
	return false
}

func (x *ResourcePermissions) GetListRecycle() bool {
	if x != nil {
		return x.ListRecycle
	}
	return false
}

func (x *ResourcePermissions) GetMove() bool {
	if x != nil {
		return x.Move
	}
	return false
}

func (x *ResourcePermissions) GetRemoveGrant() bool {
	if x != nil {
		return x.RemoveGrant
	}
	return false
}

func (x *ResourcePermissions) GetPurgeRecycle() bool {
	if x != nil {
		return x.PurgeRecycle
	}
	return false
}

func (x *ResourcePermissions) GetRestoreFileVersion() bool {
	if x != nil {
		return x.RestoreFileVersion
	}
	return false
}

func (x *ResourcePermissions) GetRestoreRecycleItem() bool {
	if x != nil {
		return x.RestoreRecycleItem
	}
	return false
}

func (x *ResourcePermissions) GetStat() bool {
	if x != nil {
		return x.Stat
	}
	return false
}

func (x *ResourcePermissions) GetUpdateGrant() bool {
	if x != nil {
		return x.UpdateGrant
	}
	return false
}

func (x *ResourcePermissions) GetDenyGrant() bool {
	if x != nil {
		return x.DenyGrant
	}
	return false
}

// A grant grants permissions
// to a resource to a grantee.
type Grant struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The grantee of the grant.
	Grantee *Grantee `protobuf:"bytes,1,opt,name=grantee,proto3" json:"grantee,omitempty"`
	// REQUIRED.
	// The permissions for the grant.
	Permissions *ResourcePermissions `protobuf:"bytes,2,opt,name=permissions,proto3" json:"permissions,omitempty"`
	// OPTIONAL
	// The Creator of the grant
	Creator *v1beta11.UserId `protobuf:"bytes,3,opt,name=creator,proto3" json:"creator,omitempty"`
	// OPTIONAL
	// Expiration of the grant.
	Expiration *v1beta1.Timestamp `protobuf:"bytes,4,opt,name=expiration,proto3" json:"expiration,omitempty"`
}

func (x *Grant) Reset() {
	*x = Grant{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Grant) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Grant) ProtoMessage() {}

func (x *Grant) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Grant.ProtoReflect.Descriptor instead.
func (*Grant) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{9}
}

func (x *Grant) GetGrantee() *Grantee {
	if x != nil {
		return x.Grantee
	}
	return nil
}

func (x *Grant) GetPermissions() *ResourcePermissions {
	if x != nil {
		return x.Permissions
	}
	return nil
}

func (x *Grant) GetCreator() *v1beta11.UserId {
	if x != nil {
		return x.Creator
	}
	return nil
}

func (x *Grant) GetExpiration() *v1beta1.Timestamp {
	if x != nil {
		return x.Expiration
	}
	return nil
}

// A grantee is the receiver of a grant.
type Grantee struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The type of the grantee.
	Type GranteeType `protobuf:"varint,1,opt,name=type,proto3,enum=cs3.storage.provider.v1beta1.GranteeType" json:"type,omitempty"`
	// REQUIRED.
	// The unique id for the grantee.
	// One of the ids MUST be specified.
	//
	// Types that are assignable to Id:
	//
	//	*Grantee_UserId
	//	*Grantee_GroupId
	Id isGrantee_Id `protobuf_oneof:"id"`
	// OPTIONAL.
	// Opaque information such as UID or GID.
	Opaque *v1beta1.Opaque `protobuf:"bytes,5,opt,name=opaque,proto3" json:"opaque,omitempty"`
}

func (x *Grantee) Reset() {
	*x = Grantee{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Grantee) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Grantee) ProtoMessage() {}

func (x *Grantee) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Grantee.ProtoReflect.Descriptor instead.
func (*Grantee) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{10}
}

func (x *Grantee) GetType() GranteeType {
	if x != nil {
		return x.Type
	}
	return GranteeType_GRANTEE_TYPE_INVALID
}

func (m *Grantee) GetId() isGrantee_Id {
	if m != nil {
		return m.Id
	}
	return nil
}

func (x *Grantee) GetUserId() *v1beta11.UserId {
	if x, ok := x.GetId().(*Grantee_UserId); ok {
		return x.UserId
	}
	return nil
}

func (x *Grantee) GetGroupId() *v1beta12.GroupId {
	if x, ok := x.GetId().(*Grantee_GroupId); ok {
		return x.GroupId
	}
	return nil
}

func (x *Grantee) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

type isGrantee_Id interface {
	isGrantee_Id()
}

type Grantee_UserId struct {
	// The user id.
	UserId *v1beta11.UserId `protobuf:"bytes,3,opt,name=user_id,json=userId,proto3,oneof"`
}

type Grantee_GroupId struct {
	// The group id.
	GroupId *v1beta12.GroupId `protobuf:"bytes,4,opt,name=group_id,json=groupId,proto3,oneof"`
}

func (*Grantee_UserId) isGrantee_Id() {}

func (*Grantee_GroupId) isGrantee_Id() {}

// The information for a file version.
// TODO(labkode): make size and mtime OPTIONAL?
type FileVersion struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL.
	// Opaque information.
	Opaque *v1beta1.Opaque `protobuf:"bytes,1,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// MUST the specified.
	// The key to identify the version.
	Key string `protobuf:"bytes,3,opt,name=key,proto3" json:"key,omitempty"`
	// REQUIRED.
	// The size in bytes of the file version.
	Size uint64 `protobuf:"varint,4,opt,name=size,proto3" json:"size,omitempty"`
	// REQUIRED.
	// The Unix Epoch timestamp in seconds.
	Mtime uint64 `protobuf:"varint,5,opt,name=mtime,proto3" json:"mtime,omitempty"`
	// REQUIRED.
	// As decribed in https://tools.ietf.org/html/rfc7232#section-2.3
	// For a file version, the etag does not change because a version is immutable.
	Etag string `protobuf:"bytes,6,opt,name=etag,proto3" json:"etag,omitempty"`
}

func (x *FileVersion) Reset() {
	*x = FileVersion{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FileVersion) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FileVersion) ProtoMessage() {}

func (x *FileVersion) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FileVersion.ProtoReflect.Descriptor instead.
func (*FileVersion) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{11}
}

func (x *FileVersion) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *FileVersion) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *FileVersion) GetSize() uint64 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *FileVersion) GetMtime() uint64 {
	if x != nil {
		return x.Mtime
	}
	return 0
}

func (x *FileVersion) GetEtag() string {
	if x != nil {
		return x.Etag
	}
	return ""
}

// A recycle item represents the information
// of a deleted resource.
type RecycleItem struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL.
	// Opaque information.
	Opaque *v1beta1.Opaque `protobuf:"bytes,1,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// REQUIRED.
	// The type of the resource.
	Type ResourceType `protobuf:"varint,2,opt,name=type,proto3,enum=cs3.storage.provider.v1beta1.ResourceType" json:"type,omitempty"`
	// REQUIRED.
	// The key to identify the deleted resource.
	Key string `protobuf:"bytes,3,opt,name=key,proto3" json:"key,omitempty"`
	// REQUIRED.
	// The original reference of the deleted resource.
	Ref *Reference `protobuf:"bytes,4,opt,name=ref,proto3" json:"ref,omitempty"`
	// OPTIONAL.
	// The size of the deleted resource.
	Size uint64 `protobuf:"varint,5,opt,name=size,proto3" json:"size,omitempty"`
	// REQUIRED.
	// The deletion time of the resource
	// in Unix Epoch timestamp in seconds.
	DeletionTime *v1beta1.Timestamp `protobuf:"bytes,6,opt,name=deletion_time,json=deletionTime,proto3" json:"deletion_time,omitempty"`
}

func (x *RecycleItem) Reset() {
	*x = RecycleItem{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RecycleItem) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RecycleItem) ProtoMessage() {}

func (x *RecycleItem) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RecycleItem.ProtoReflect.Descriptor instead.
func (*RecycleItem) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{12}
}

func (x *RecycleItem) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *RecycleItem) GetType() ResourceType {
	if x != nil {
		return x.Type
	}
	return ResourceType_RESOURCE_TYPE_INVALID
}

func (x *RecycleItem) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *RecycleItem) GetRef() *Reference {
	if x != nil {
		return x.Ref
	}
	return nil
}

func (x *RecycleItem) GetSize() uint64 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *RecycleItem) GetDeletionTime() *v1beta1.Timestamp {
	if x != nil {
		return x.DeletionTime
	}
	return nil
}

// A file upload protocol object stores information about
// uploading resources using a specific protocol.
type FileUploadProtocol struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL.
	// Opaque information.
	Opaque *v1beta1.Opaque `protobuf:"bytes,1,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// REQUIRED.
	// The protocol to be followed.
	Protocol string `protobuf:"bytes,2,opt,name=protocol,proto3" json:"protocol,omitempty"`
	// REQUIRED.
	// The endpoint where to upload the data.
	// The value MUST be a Uniform Resource Identifier (URI)
	// as specified in RFC 3986.
	UploadEndpoint string `protobuf:"bytes,3,opt,name=upload_endpoint,json=uploadEndpoint,proto3" json:"upload_endpoint,omitempty"`
	// REQUIRED.
	// List of available checksums
	// the client can use when sending
	// the file.
	AvailableChecksums []*ResourceChecksumPriority `protobuf:"bytes,4,rep,name=available_checksums,json=availableChecksums,proto3" json:"available_checksums,omitempty"`
	// REQUIRED.
	// Tells to the gateway if the client should be exposed directly to the upload_endpoint.
	Expose bool `protobuf:"varint,5,opt,name=expose,proto3" json:"expose,omitempty"`
	// OPTIONAL.
	// The time at which the upload will expire.
	Expiration *v1beta1.Timestamp `protobuf:"bytes,6,opt,name=expiration,proto3" json:"expiration,omitempty"`
}

func (x *FileUploadProtocol) Reset() {
	*x = FileUploadProtocol{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FileUploadProtocol) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FileUploadProtocol) ProtoMessage() {}

func (x *FileUploadProtocol) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FileUploadProtocol.ProtoReflect.Descriptor instead.
func (*FileUploadProtocol) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{13}
}

func (x *FileUploadProtocol) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *FileUploadProtocol) GetProtocol() string {
	if x != nil {
		return x.Protocol
	}
	return ""
}

func (x *FileUploadProtocol) GetUploadEndpoint() string {
	if x != nil {
		return x.UploadEndpoint
	}
	return ""
}

func (x *FileUploadProtocol) GetAvailableChecksums() []*ResourceChecksumPriority {
	if x != nil {
		return x.AvailableChecksums
	}
	return nil
}

func (x *FileUploadProtocol) GetExpose() bool {
	if x != nil {
		return x.Expose
	}
	return false
}

func (x *FileUploadProtocol) GetExpiration() *v1beta1.Timestamp {
	if x != nil {
		return x.Expiration
	}
	return nil
}

// A file download protocol object stores information about
// downloading resources using a specific protocol.
type FileDownloadProtocol struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL.
	// Opaque information.
	Opaque *v1beta1.Opaque `protobuf:"bytes,1,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// REQUIRED.
	// The protocol to be followed.
	Protocol string `protobuf:"bytes,2,opt,name=protocol,proto3" json:"protocol,omitempty"`
	// REQUIRED.
	// The endpoint where to download the data.
	// The value MUST be a Uniform Resource Identifier (URI)
	// as specified in RFC 3986.
	DownloadEndpoint string `protobuf:"bytes,3,opt,name=download_endpoint,json=downloadEndpoint,proto3" json:"download_endpoint,omitempty"`
	// REQUIRED.
	// Tells to the gateway if the client should be exposed directly to the download_endpoint.
	Expose bool `protobuf:"varint,4,opt,name=expose,proto3" json:"expose,omitempty"`
}

func (x *FileDownloadProtocol) Reset() {
	*x = FileDownloadProtocol{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FileDownloadProtocol) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FileDownloadProtocol) ProtoMessage() {}

func (x *FileDownloadProtocol) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FileDownloadProtocol.ProtoReflect.Descriptor instead.
func (*FileDownloadProtocol) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{14}
}

func (x *FileDownloadProtocol) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *FileDownloadProtocol) GetProtocol() string {
	if x != nil {
		return x.Protocol
	}
	return ""
}

func (x *FileDownloadProtocol) GetDownloadEndpoint() string {
	if x != nil {
		return x.DownloadEndpoint
	}
	return ""
}

func (x *FileDownloadProtocol) GetExpose() bool {
	if x != nil {
		return x.Expose
	}
	return false
}

// Represents a storage space which could be a 'home', 'share' etc...
type StorageSpace struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL.
	// Opaque information.
	Opaque *v1beta1.Opaque `protobuf:"bytes,1,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// REQUIRED.
	Id *StorageSpaceId `protobuf:"bytes,2,opt,name=id,proto3" json:"id,omitempty"`
	// OPTIONAL.
	Owner *v1beta11.User `protobuf:"bytes,3,opt,name=owner,proto3" json:"owner,omitempty"`
	// OPTIONAL.
	// The root resource id of the storage space.
	Root *ResourceId `protobuf:"bytes,4,opt,name=root,proto3" json:"root,omitempty"`
	// OPTIONAL.
	Name string `protobuf:"bytes,5,opt,name=name,proto3" json:"name,omitempty"`
	// OPTIONAL.
	Quota *Quota `protobuf:"bytes,6,opt,name=quota,proto3" json:"quota,omitempty"`
	// OPTIONAL.
	// Could be 'home', 'share', 'project', 'space'...
	SpaceType string `protobuf:"bytes,7,opt,name=space_type,json=spaceType,proto3" json:"space_type,omitempty"`
	// OPTIONAL.
	// Last modification time (mtime) of the root resource of this storage space.
	Mtime *v1beta1.Timestamp `protobuf:"bytes,8,opt,name=mtime,proto3" json:"mtime,omitempty"`
	// OPTIONAL.
	// Resource info for the storage space root.
	RootInfo *ResourceInfo `protobuf:"bytes,9,opt,name=root_info,json=rootInfo,proto3" json:"root_info,omitempty"`
}

func (x *StorageSpace) Reset() {
	*x = StorageSpace{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StorageSpace) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StorageSpace) ProtoMessage() {}

func (x *StorageSpace) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StorageSpace.ProtoReflect.Descriptor instead.
func (*StorageSpace) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{15}
}

func (x *StorageSpace) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *StorageSpace) GetId() *StorageSpaceId {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *StorageSpace) GetOwner() *v1beta11.User {
	if x != nil {
		return x.Owner
	}
	return nil
}

func (x *StorageSpace) GetRoot() *ResourceId {
	if x != nil {
		return x.Root
	}
	return nil
}

func (x *StorageSpace) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *StorageSpace) GetQuota() *Quota {
	if x != nil {
		return x.Quota
	}
	return nil
}

func (x *StorageSpace) GetSpaceType() string {
	if x != nil {
		return x.SpaceType
	}
	return ""
}

func (x *StorageSpace) GetMtime() *v1beta1.Timestamp {
	if x != nil {
		return x.Mtime
	}
	return nil
}

func (x *StorageSpace) GetRootInfo() *ResourceInfo {
	if x != nil {
		return x.RootInfo
	}
	return nil
}

// The id of a storage space.
type StorageSpaceId struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// REQUIRED.
	// The internal storage space id.
	OpaqueId string `protobuf:"bytes,1,opt,name=opaque_id,json=opaqueId,proto3" json:"opaque_id,omitempty"`
}

func (x *StorageSpaceId) Reset() {
	*x = StorageSpaceId{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StorageSpaceId) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StorageSpaceId) ProtoMessage() {}

func (x *StorageSpaceId) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StorageSpaceId.ProtoReflect.Descriptor instead.
func (*StorageSpaceId) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{16}
}

func (x *StorageSpaceId) GetOpaqueId() string {
	if x != nil {
		return x.OpaqueId
	}
	return ""
}

// Represents a quota for a storage space.
type Quota struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// OPTIONAL.
	// Opaque information.
	Opaque *v1beta1.Opaque `protobuf:"bytes,1,opt,name=opaque,proto3" json:"opaque,omitempty"`
	// OPTIONAL.
	// The bytes quota for the space.
	QuotaMaxBytes uint64 `protobuf:"varint,2,opt,name=quota_max_bytes,json=quotaMaxBytes,proto3" json:"quota_max_bytes,omitempty"`
	// OPTIONAL.
	// The files quota for the space.
	QuotaMaxFiles uint64 `protobuf:"varint,3,opt,name=quota_max_files,json=quotaMaxFiles,proto3" json:"quota_max_files,omitempty"`
	// OPTIONAL.
	// The remaining bytes for the space.
	RemainingBytes uint64 `protobuf:"varint,4,opt,name=remaining_bytes,json=remainingBytes,proto3" json:"remaining_bytes,omitempty"`
	// OPTIONAL.
	// The remaining files for the space.
	RemainingFiles uint64 `protobuf:"varint,5,opt,name=remaining_files,json=remainingFiles,proto3" json:"remaining_files,omitempty"`
}

func (x *Quota) Reset() {
	*x = Quota{}
	if protoimpl.UnsafeEnabled {
		mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Quota) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Quota) ProtoMessage() {}

func (x *Quota) ProtoReflect() protoreflect.Message {
	mi := &file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Quota.ProtoReflect.Descriptor instead.
func (*Quota) Descriptor() ([]byte, []int) {
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP(), []int{17}
}

func (x *Quota) GetOpaque() *v1beta1.Opaque {
	if x != nil {
		return x.Opaque
	}
	return nil
}

func (x *Quota) GetQuotaMaxBytes() uint64 {
	if x != nil {
		return x.QuotaMaxBytes
	}
	return 0
}

func (x *Quota) GetQuotaMaxFiles() uint64 {
	if x != nil {
		return x.QuotaMaxFiles
	}
	return 0
}

func (x *Quota) GetRemainingBytes() uint64 {
	if x != nil {
		return x.RemainingBytes
	}
	return 0
}

func (x *Quota) GetRemainingFiles() uint64 {
	if x != nil {
		return x.RemainingFiles
	}
	return 0
}

var File_cs3_storage_provider_v1beta1_resources_proto protoreflect.FileDescriptor

var file_cs3_storage_provider_v1beta1_resources_proto_rawDesc = []byte{
	0x0a, 0x2c, 0x63, 0x73, 0x33, 0x2f, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x70, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x72,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1c,
	0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x1a, 0x2a, 0x63, 0x73,
	0x33, 0x2f, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2f, 0x67, 0x72, 0x6f, 0x75, 0x70,
	0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x29, 0x63, 0x73, 0x33, 0x2f, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2f, 0x75, 0x73, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2f, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1d, 0x63, 0x73, 0x33, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f, 0x76,
	0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0x9f, 0x08, 0x0a, 0x0c, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49,
	0x6e, 0x66, 0x6f, 0x12, 0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e,
	0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52, 0x06,
	0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x12, 0x3e, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x2a, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61,
	0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x54, 0x79, 0x70, 0x65,
	0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x38, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x28, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x4a, 0x0a, 0x08, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75, 0x6d, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x73,
	0x75, 0x6d, 0x52, 0x08, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75, 0x6d, 0x12, 0x12, 0x0a, 0x04,
	0x65, 0x74, 0x61, 0x67, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x65, 0x74, 0x61, 0x67,
	0x12, 0x1b, 0x0a, 0x09, 0x6d, 0x69, 0x6d, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x6d, 0x69, 0x6d, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x32, 0x0a,
	0x05, 0x6d, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63,
	0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x05, 0x6d, 0x74, 0x69, 0x6d,
	0x65, 0x12, 0x12, 0x0a, 0x04, 0x70, 0x61, 0x74, 0x68, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x70, 0x61, 0x74, 0x68, 0x12, 0x58, 0x0a, 0x0e, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73,
	0x69, 0x6f, 0x6e, 0x5f, 0x73, 0x65, 0x74, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x31, 0x2e,
	0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73,
	0x52, 0x0d, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x12,
	0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x04, 0x52, 0x04, 0x73,
	0x69, 0x7a, 0x65, 0x12, 0x37, 0x0a, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x18, 0x0b, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x74,
	0x79, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x55,
	0x73, 0x65, 0x72, 0x49, 0x64, 0x52, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x12, 0x16, 0x0a, 0x06,
	0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x74, 0x61,
	0x72, 0x67, 0x65, 0x74, 0x12, 0x5e, 0x0a, 0x12, 0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61,
	0x6c, 0x5f, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x2f, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e,
	0x43, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61, 0x6c, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x52, 0x11, 0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61, 0x6c, 0x4d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x12, 0x5e, 0x0a, 0x12, 0x61, 0x72, 0x62, 0x69, 0x74, 0x72, 0x61, 0x72,
	0x79, 0x5f, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x2f, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e,
	0x41, 0x72, 0x62, 0x69, 0x74, 0x72, 0x61, 0x72, 0x79, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x52, 0x11, 0x61, 0x72, 0x62, 0x69, 0x74, 0x72, 0x61, 0x72, 0x79, 0x4d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x12, 0x36, 0x0a, 0x04, 0x6c, 0x6f, 0x63, 0x6b, 0x18, 0x0f, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x22, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x4c, 0x6f, 0x63, 0x6b, 0x52, 0x04, 0x6c, 0x6f, 0x63, 0x6b, 0x12, 0x49, 0x0a, 0x0e,
	0x61, 0x64, 0x76, 0x69, 0x73, 0x6f, 0x72, 0x79, 0x5f, 0x6c, 0x6f, 0x63, 0x6b, 0x73, 0x18, 0x10,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61,
	0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x4c, 0x6f, 0x63, 0x6b, 0x52, 0x0d, 0x61, 0x64, 0x76, 0x69, 0x73, 0x6f,
	0x72, 0x79, 0x4c, 0x6f, 0x63, 0x6b, 0x73, 0x12, 0x45, 0x0a, 0x09, 0x70, 0x61, 0x72, 0x65, 0x6e,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x11, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x49, 0x64, 0x52, 0x08, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x12,
	0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x12, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x12, 0x40, 0x0a, 0x05, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x13, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2a, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x53, 0x70, 0x61, 0x63, 0x65, 0x52, 0x05, 0x73,
	0x70, 0x61, 0x63, 0x65, 0x22, 0x54, 0x0a, 0x11, 0x43, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61,
	0x6c, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x3f, 0x0a, 0x06, 0x74, 0x61, 0x72,
	0x67, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x63, 0x73, 0x33, 0x2e,
	0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e,
	0x63, 0x65, 0x52, 0x06, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x22, 0xab, 0x01, 0x0a, 0x11, 0x41,
	0x72, 0x62, 0x69, 0x74, 0x72, 0x61, 0x72, 0x79, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61,
	0x12, 0x59, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x3d, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x41, 0x72, 0x62, 0x69, 0x74, 0x72, 0x61, 0x72, 0x79, 0x4d, 0x65, 0x74, 0x61, 0x64,
	0x61, 0x74, 0x61, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x45, 0x6e, 0x74, 0x72,
	0x79, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x1a, 0x3b, 0x0a, 0x0d, 0x4d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03,
	0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14,
	0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x9e, 0x02, 0x0a, 0x04, 0x4c, 0x6f, 0x63,
	0x6b, 0x12, 0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52, 0x06, 0x6f, 0x70,
	0x61, 0x71, 0x75, 0x65, 0x12, 0x17, 0x0a, 0x07, 0x6c, 0x6f, 0x63, 0x6b, 0x5f, 0x69, 0x64, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6c, 0x6f, 0x63, 0x6b, 0x49, 0x64, 0x12, 0x3a, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x26, 0x2e, 0x63, 0x73,
	0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4c, 0x6f, 0x63, 0x6b, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x35, 0x0a, 0x04, 0x75, 0x73, 0x65,
	0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72,
	0x12, 0x19, 0x0a, 0x08, 0x61, 0x70, 0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x61, 0x70, 0x70, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x3c, 0x0a, 0x0a, 0x65,
	0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1c, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x65,
	0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x6c, 0x0a, 0x10, 0x52, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75, 0x6d, 0x12, 0x46, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x32, 0x2e, 0x63, 0x73,
	0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75, 0x6d, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x73, 0x75, 0x6d, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x73, 0x75, 0x6d, 0x22, 0x7e, 0x0a, 0x18, 0x52, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75, 0x6d, 0x50, 0x72, 0x69, 0x6f, 0x72,
	0x69, 0x74, 0x79, 0x12, 0x46, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x32, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75,
	0x6d, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70,
	0x72, 0x69, 0x6f, 0x72, 0x69, 0x74, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x08, 0x70,
	0x72, 0x69, 0x6f, 0x72, 0x69, 0x74, 0x79, 0x22, 0x6a, 0x0a, 0x09, 0x52, 0x65, 0x66, 0x65, 0x72,
	0x65, 0x6e, 0x63, 0x65, 0x12, 0x49, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x63, 0x73, 0x33, 0x2e,
	0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x49, 0x64, 0x52, 0x0a, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x12,
	0x12, 0x0a, 0x04, 0x70, 0x61, 0x74, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x70,
	0x61, 0x74, 0x68, 0x22, 0x63, 0x0a, 0x0a, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49,
	0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x49, 0x64,
	0x12, 0x1b, 0x0a, 0x09, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x49, 0x64, 0x12, 0x19, 0x0a,
	0x08, 0x73, 0x70, 0x61, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x73, 0x70, 0x61, 0x63, 0x65, 0x49, 0x64, 0x22, 0xc4, 0x05, 0x0a, 0x13, 0x52, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73,
	0x12, 0x1b, 0x0a, 0x09, 0x61, 0x64, 0x64, 0x5f, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x08, 0x61, 0x64, 0x64, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x12, 0x29, 0x0a,
	0x10, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x5f, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65,
	0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0f, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x43,
	0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65, 0x72, 0x12, 0x16, 0x0a, 0x06, 0x64, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x12, 0x19, 0x0a, 0x08, 0x67, 0x65, 0x74, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x08, 0x52, 0x07, 0x67, 0x65, 0x74, 0x50, 0x61, 0x74, 0x68, 0x12, 0x1b, 0x0a, 0x09, 0x67,
	0x65, 0x74, 0x5f, 0x71, 0x75, 0x6f, 0x74, 0x61, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52, 0x08,
	0x67, 0x65, 0x74, 0x51, 0x75, 0x6f, 0x74, 0x61, 0x12, 0x34, 0x0a, 0x16, 0x69, 0x6e, 0x69, 0x74,
	0x69, 0x61, 0x74, 0x65, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f,
	0x61, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x14, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61,
	0x74, 0x65, 0x46, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x12, 0x30,
	0x0a, 0x14, 0x69, 0x6e, 0x69, 0x74, 0x69, 0x61, 0x74, 0x65, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x5f,
	0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x69, 0x6e,
	0x69, 0x74, 0x69, 0x61, 0x74, 0x65, 0x46, 0x69, 0x6c, 0x65, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64,
	0x12, 0x1f, 0x0a, 0x0b, 0x6c, 0x69, 0x73, 0x74, 0x5f, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x73, 0x18,
	0x09, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x6c, 0x69, 0x73, 0x74, 0x47, 0x72, 0x61, 0x6e, 0x74,
	0x73, 0x12, 0x25, 0x0a, 0x0e, 0x6c, 0x69, 0x73, 0x74, 0x5f, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69,
	0x6e, 0x65, 0x72, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0d, 0x6c, 0x69, 0x73, 0x74, 0x43,
	0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x65, 0x72, 0x12, 0x2c, 0x0a, 0x12, 0x6c, 0x69, 0x73, 0x74,
	0x5f, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x0b,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x10, 0x6c, 0x69, 0x73, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x56, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x21, 0x0a, 0x0c, 0x6c, 0x69, 0x73, 0x74, 0x5f, 0x72,
	0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x6c, 0x69,
	0x73, 0x74, 0x52, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x6f, 0x76,
	0x65, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x6d, 0x6f, 0x76, 0x65, 0x12, 0x21, 0x0a,
	0x0c, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x5f, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x18, 0x0e, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x0b, 0x72, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x47, 0x72, 0x61, 0x6e, 0x74,
	0x12, 0x23, 0x0a, 0x0d, 0x70, 0x75, 0x72, 0x67, 0x65, 0x5f, 0x72, 0x65, 0x63, 0x79, 0x63, 0x6c,
	0x65, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0c, 0x70, 0x75, 0x72, 0x67, 0x65, 0x52, 0x65,
	0x63, 0x79, 0x63, 0x6c, 0x65, 0x12, 0x30, 0x0a, 0x14, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65,
	0x5f, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x10, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x12, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x46, 0x69, 0x6c, 0x65,
	0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x30, 0x0a, 0x14, 0x72, 0x65, 0x73, 0x74, 0x6f,
	0x72, 0x65, 0x5f, 0x72, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x5f, 0x69, 0x74, 0x65, 0x6d, 0x18,
	0x11, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65,
	0x63, 0x79, 0x63, 0x6c, 0x65, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x74, 0x61,
	0x74, 0x18, 0x12, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x73, 0x74, 0x61, 0x74, 0x12, 0x21, 0x0a,
	0x0c, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x5f, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x18, 0x13, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x0b, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x47, 0x72, 0x61, 0x6e, 0x74,
	0x12, 0x1d, 0x0a, 0x0a, 0x64, 0x65, 0x6e, 0x79, 0x5f, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x18, 0x14,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x64, 0x65, 0x6e, 0x79, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x22,
	0x98, 0x02, 0x0a, 0x05, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x12, 0x3f, 0x0a, 0x07, 0x67, 0x72, 0x61,
	0x6e, 0x74, 0x65, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x65,
	0x65, 0x52, 0x07, 0x67, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x12, 0x53, 0x0a, 0x0b, 0x70, 0x65,
	0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x31, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x52,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f,
	0x6e, 0x73, 0x52, 0x0b, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x12,
	0x3b, 0x0a, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e,
	0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x55, 0x73, 0x65,
	0x72, 0x49, 0x64, 0x52, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x6f, 0x72, 0x12, 0x3c, 0x0a, 0x0a,
	0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62,
	0x65, 0x74, 0x61, 0x31, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a,
	0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x81, 0x02, 0x0a, 0x07, 0x47,
	0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x12, 0x3d, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x29, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61,
	0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x3c, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65,
	0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x48, 0x00, 0x52, 0x06, 0x75, 0x73, 0x65,
	0x72, 0x49, 0x64, 0x12, 0x40, 0x0a, 0x08, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65, 0x6e,
	0x74, 0x69, 0x74, 0x79, 0x2e, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x49, 0x64, 0x48, 0x00, 0x52, 0x07, 0x67, 0x72,
	0x6f, 0x75, 0x70, 0x49, 0x64, 0x12, 0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65,
	0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65,
	0x52, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x42, 0x04, 0x0a, 0x02, 0x69, 0x64, 0x22, 0x90,
	0x01, 0x0a, 0x0b, 0x46, 0x69, 0x6c, 0x65, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x31,
	0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19,
	0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75,
	0x65, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03,
	0x6b, 0x65, 0x79, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x04, 0x52, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x6d, 0x74, 0x69, 0x6d, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x04, 0x52, 0x05, 0x6d, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x12, 0x0a,
	0x04, 0x65, 0x74, 0x61, 0x67, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x65, 0x74, 0x61,
	0x67, 0x22, 0xa4, 0x02, 0x0a, 0x0b, 0x52, 0x65, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x49, 0x74, 0x65,
	0x6d, 0x12, 0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31,
	0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52, 0x06, 0x6f, 0x70,
	0x61, 0x71, 0x75, 0x65, 0x12, 0x3e, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x2a, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61,
	0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x39, 0x0a, 0x03, 0x72, 0x65, 0x66, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x03, 0x72, 0x65,
	0x66, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x04, 0x52,
	0x04, 0x73, 0x69, 0x7a, 0x65, 0x12, 0x41, 0x0a, 0x0d, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63,
	0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0c, 0x64, 0x65, 0x6c, 0x65,
	0x74, 0x69, 0x6f, 0x6e, 0x54, 0x69, 0x6d, 0x65, 0x22, 0xcb, 0x02, 0x0a, 0x12, 0x46, 0x69, 0x6c,
	0x65, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12,
	0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52, 0x06, 0x6f, 0x70, 0x61, 0x71,
	0x75, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12, 0x27,
	0x0a, 0x0f, 0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x5f, 0x65, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e,
	0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x45,
	0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x67, 0x0a, 0x13, 0x61, 0x76, 0x61, 0x69, 0x6c,
	0x61, 0x62, 0x6c, 0x65, 0x5f, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75, 0x6d, 0x73, 0x18, 0x04,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61,
	0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x68, 0x65, 0x63,
	0x6b, 0x73, 0x75, 0x6d, 0x50, 0x72, 0x69, 0x6f, 0x72, 0x69, 0x74, 0x79, 0x52, 0x12, 0x61, 0x76,
	0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75, 0x6d, 0x73,
	0x12, 0x16, 0x0a, 0x06, 0x65, 0x78, 0x70, 0x6f, 0x73, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x06, 0x65, 0x78, 0x70, 0x6f, 0x73, 0x65, 0x12, 0x3c, 0x0a, 0x0a, 0x65, 0x78, 0x70, 0x69,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63,
	0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x65, 0x78, 0x70, 0x69,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xaa, 0x01, 0x0a, 0x14, 0x46, 0x69, 0x6c, 0x65, 0x44,
	0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12,
	0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65,
	0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52, 0x06, 0x6f, 0x70, 0x61, 0x71,
	0x75, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6c, 0x12, 0x2b,
	0x0a, 0x11, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x5f, 0x65, 0x6e, 0x64, 0x70, 0x6f,
	0x69, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x64, 0x6f, 0x77, 0x6e, 0x6c,
	0x6f, 0x61, 0x64, 0x45, 0x6e, 0x64, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x65,
	0x78, 0x70, 0x6f, 0x73, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x65, 0x78, 0x70,
	0x6f, 0x73, 0x65, 0x22, 0xdf, 0x03, 0x0a, 0x0c, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x53,
	0x70, 0x61, 0x63, 0x65, 0x12, 0x31, 0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73,
	0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52,
	0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x12, 0x3c, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x53, 0x70, 0x61, 0x63, 0x65, 0x49,
	0x64, 0x52, 0x02, 0x69, 0x64, 0x12, 0x35, 0x0a, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x69, 0x64, 0x65, 0x6e, 0x74,
	0x69, 0x74, 0x79, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31,
	0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x12, 0x3c, 0x0a, 0x04,
	0x72, 0x6f, 0x6f, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x63, 0x73, 0x33,
	0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x49, 0x64, 0x52, 0x04, 0x72, 0x6f, 0x6f, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x39,
	0x0a, 0x05, 0x71, 0x75, 0x6f, 0x74, 0x61, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e,
	0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x51, 0x75, 0x6f,
	0x74, 0x61, 0x52, 0x05, 0x71, 0x75, 0x6f, 0x74, 0x61, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x70, 0x61,
	0x63, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73,
	0x70, 0x61, 0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x32, 0x0a, 0x05, 0x6d, 0x74, 0x69, 0x6d,
	0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79,
	0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x54, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x05, 0x6d, 0x74, 0x69, 0x6d, 0x65, 0x12, 0x47, 0x0a, 0x09,
	0x72, 0x6f, 0x6f, 0x74, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x2a, 0x2e, 0x63, 0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2e, 0x52,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x08, 0x72, 0x6f, 0x6f,
	0x74, 0x49, 0x6e, 0x66, 0x6f, 0x22, 0x2d, 0x0a, 0x0e, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65,
	0x53, 0x70, 0x61, 0x63, 0x65, 0x49, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x6f, 0x70, 0x61, 0x71, 0x75,
	0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6f, 0x70, 0x61, 0x71,
	0x75, 0x65, 0x49, 0x64, 0x22, 0xdc, 0x01, 0x0a, 0x05, 0x51, 0x75, 0x6f, 0x74, 0x61, 0x12, 0x31,
	0x0a, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19,
	0x2e, 0x63, 0x73, 0x33, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74,
	0x61, 0x31, 0x2e, 0x4f, 0x70, 0x61, 0x71, 0x75, 0x65, 0x52, 0x06, 0x6f, 0x70, 0x61, 0x71, 0x75,
	0x65, 0x12, 0x26, 0x0a, 0x0f, 0x71, 0x75, 0x6f, 0x74, 0x61, 0x5f, 0x6d, 0x61, 0x78, 0x5f, 0x62,
	0x79, 0x74, 0x65, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0d, 0x71, 0x75, 0x6f, 0x74,
	0x61, 0x4d, 0x61, 0x78, 0x42, 0x79, 0x74, 0x65, 0x73, 0x12, 0x26, 0x0a, 0x0f, 0x71, 0x75, 0x6f,
	0x74, 0x61, 0x5f, 0x6d, 0x61, 0x78, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x04, 0x52, 0x0d, 0x71, 0x75, 0x6f, 0x74, 0x61, 0x4d, 0x61, 0x78, 0x46, 0x69, 0x6c, 0x65,
	0x73, 0x12, 0x27, 0x0a, 0x0f, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x62,
	0x79, 0x74, 0x65, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0e, 0x72, 0x65, 0x6d, 0x61,
	0x69, 0x6e, 0x69, 0x6e, 0x67, 0x42, 0x79, 0x74, 0x65, 0x73, 0x12, 0x27, 0x0a, 0x0f, 0x72, 0x65,
	0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x04, 0x52, 0x0e, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x46, 0x69,
	0x6c, 0x65, 0x73, 0x2a, 0x60, 0x0a, 0x08, 0x4c, 0x6f, 0x63, 0x6b, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x15, 0x0a, 0x11, 0x4c, 0x4f, 0x43, 0x4b, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x49, 0x4e, 0x56,
	0x41, 0x4c, 0x49, 0x44, 0x10, 0x00, 0x12, 0x14, 0x0a, 0x10, 0x4c, 0x4f, 0x43, 0x4b, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x53, 0x48, 0x41, 0x52, 0x45, 0x44, 0x10, 0x01, 0x12, 0x13, 0x0a, 0x0f,
	0x4c, 0x4f, 0x43, 0x4b, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x57, 0x52, 0x49, 0x54, 0x45, 0x10,
	0x02, 0x12, 0x12, 0x0a, 0x0e, 0x4c, 0x4f, 0x43, 0x4b, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x45,
	0x58, 0x43, 0x4c, 0x10, 0x03, 0x2a, 0xb2, 0x01, 0x0a, 0x0c, 0x52, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x19, 0x0a, 0x15, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52,
	0x43, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x49, 0x4e, 0x56, 0x41, 0x4c, 0x49, 0x44, 0x10,
	0x00, 0x12, 0x16, 0x0a, 0x12, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x54, 0x59,
	0x50, 0x45, 0x5f, 0x46, 0x49, 0x4c, 0x45, 0x10, 0x01, 0x12, 0x1b, 0x0a, 0x17, 0x52, 0x45, 0x53,
	0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x43, 0x4f, 0x4e, 0x54, 0x41,
	0x49, 0x4e, 0x45, 0x52, 0x10, 0x02, 0x12, 0x1b, 0x0a, 0x17, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52,
	0x43, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x45, 0x46, 0x45, 0x52, 0x45, 0x4e, 0x43,
	0x45, 0x10, 0x03, 0x12, 0x19, 0x0a, 0x15, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x53, 0x59, 0x4d, 0x4c, 0x49, 0x4e, 0x4b, 0x10, 0x04, 0x12, 0x1a,
	0x0a, 0x16, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x49, 0x4e, 0x54, 0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10, 0x05, 0x2a, 0xc1, 0x01, 0x0a, 0x14, 0x52,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x73, 0x75, 0x6d, 0x54,
	0x79, 0x70, 0x65, 0x12, 0x22, 0x0a, 0x1e, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f,
	0x43, 0x48, 0x45, 0x43, 0x4b, 0x53, 0x55, 0x4d, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x49, 0x4e,
	0x56, 0x41, 0x4c, 0x49, 0x44, 0x10, 0x00, 0x12, 0x20, 0x0a, 0x1c, 0x52, 0x45, 0x53, 0x4f, 0x55,
	0x52, 0x43, 0x45, 0x5f, 0x43, 0x48, 0x45, 0x43, 0x4b, 0x53, 0x55, 0x4d, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x55, 0x4e, 0x53, 0x45, 0x54, 0x10, 0x01, 0x12, 0x22, 0x0a, 0x1e, 0x52, 0x45, 0x53,
	0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x43, 0x48, 0x45, 0x43, 0x4b, 0x53, 0x55, 0x4d, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x41, 0x44, 0x4c, 0x45, 0x52, 0x33, 0x32, 0x10, 0x02, 0x12, 0x1e, 0x0a,
	0x1a, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x43, 0x48, 0x45, 0x43, 0x4b, 0x53,
	0x55, 0x4d, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4d, 0x44, 0x35, 0x10, 0x03, 0x12, 0x1f, 0x0a,
	0x1b, 0x52, 0x45, 0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x43, 0x48, 0x45, 0x43, 0x4b, 0x53,
	0x55, 0x4d, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x53, 0x48, 0x41, 0x31, 0x10, 0x04, 0x2a, 0x56,
	0x0a, 0x0b, 0x47, 0x72, 0x61, 0x6e, 0x74, 0x65, 0x65, 0x54, 0x79, 0x70, 0x65, 0x12, 0x18, 0x0a,
	0x14, 0x47, 0x52, 0x41, 0x4e, 0x54, 0x45, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x49, 0x4e,
	0x56, 0x41, 0x4c, 0x49, 0x44, 0x10, 0x00, 0x12, 0x15, 0x0a, 0x11, 0x47, 0x52, 0x41, 0x4e, 0x54,
	0x45, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x10, 0x01, 0x12, 0x16,
	0x0a, 0x12, 0x47, 0x52, 0x41, 0x4e, 0x54, 0x45, 0x45, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x47,
	0x52, 0x4f, 0x55, 0x50, 0x10, 0x02, 0x42, 0x90, 0x02, 0x0a, 0x20, 0x63, 0x6f, 0x6d, 0x2e, 0x63,
	0x73, 0x33, 0x2e, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x42, 0x0e, 0x52, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x49, 0x67,
	0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x73, 0x33, 0x6f, 0x72, 0x67,
	0x2f, 0x67, 0x6f, 0x2d, 0x63, 0x73, 0x33, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x63, 0x73, 0x33, 0x2f,
	0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x3b, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65,
	0x72, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xa2, 0x02, 0x03, 0x43, 0x53, 0x50, 0xaa, 0x02,
	0x1c, 0x43, 0x73, 0x33, 0x2e, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x50, 0x72, 0x6f,
	0x76, 0x69, 0x64, 0x65, 0x72, 0x2e, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xca, 0x02, 0x1c,
	0x43, 0x73, 0x33, 0x5c, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x5c, 0x50, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x5c, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0xe2, 0x02, 0x28, 0x43,
	0x73, 0x33, 0x5c, 0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x5c, 0x50, 0x72, 0x6f, 0x76, 0x69,
	0x64, 0x65, 0x72, 0x5c, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x5c, 0x47, 0x50, 0x42, 0x4d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x1f, 0x43, 0x73, 0x33, 0x3a, 0x3a, 0x53,
	0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x3a, 0x3a, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x3a, 0x3a, 0x56, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_cs3_storage_provider_v1beta1_resources_proto_rawDescOnce sync.Once
	file_cs3_storage_provider_v1beta1_resources_proto_rawDescData = file_cs3_storage_provider_v1beta1_resources_proto_rawDesc
)

func file_cs3_storage_provider_v1beta1_resources_proto_rawDescGZIP() []byte {
	file_cs3_storage_provider_v1beta1_resources_proto_rawDescOnce.Do(func() {
		file_cs3_storage_provider_v1beta1_resources_proto_rawDescData = protoimpl.X.CompressGZIP(file_cs3_storage_provider_v1beta1_resources_proto_rawDescData)
	})
	return file_cs3_storage_provider_v1beta1_resources_proto_rawDescData
}

var file_cs3_storage_provider_v1beta1_resources_proto_enumTypes = make([]protoimpl.EnumInfo, 4)
var file_cs3_storage_provider_v1beta1_resources_proto_msgTypes = make([]protoimpl.MessageInfo, 19)
var file_cs3_storage_provider_v1beta1_resources_proto_goTypes = []interface{}{
	(LockType)(0),                    // 0: cs3.storage.provider.v1beta1.LockType
	(ResourceType)(0),                // 1: cs3.storage.provider.v1beta1.ResourceType
	(ResourceChecksumType)(0),        // 2: cs3.storage.provider.v1beta1.ResourceChecksumType
	(GranteeType)(0),                 // 3: cs3.storage.provider.v1beta1.GranteeType
	(*ResourceInfo)(nil),             // 4: cs3.storage.provider.v1beta1.ResourceInfo
	(*CanonicalMetadata)(nil),        // 5: cs3.storage.provider.v1beta1.CanonicalMetadata
	(*ArbitraryMetadata)(nil),        // 6: cs3.storage.provider.v1beta1.ArbitraryMetadata
	(*Lock)(nil),                     // 7: cs3.storage.provider.v1beta1.Lock
	(*ResourceChecksum)(nil),         // 8: cs3.storage.provider.v1beta1.ResourceChecksum
	(*ResourceChecksumPriority)(nil), // 9: cs3.storage.provider.v1beta1.ResourceChecksumPriority
	(*Reference)(nil),                // 10: cs3.storage.provider.v1beta1.Reference
	(*ResourceId)(nil),               // 11: cs3.storage.provider.v1beta1.ResourceId
	(*ResourcePermissions)(nil),      // 12: cs3.storage.provider.v1beta1.ResourcePermissions
	(*Grant)(nil),                    // 13: cs3.storage.provider.v1beta1.Grant
	(*Grantee)(nil),                  // 14: cs3.storage.provider.v1beta1.Grantee
	(*FileVersion)(nil),              // 15: cs3.storage.provider.v1beta1.FileVersion
	(*RecycleItem)(nil),              // 16: cs3.storage.provider.v1beta1.RecycleItem
	(*FileUploadProtocol)(nil),       // 17: cs3.storage.provider.v1beta1.FileUploadProtocol
	(*FileDownloadProtocol)(nil),     // 18: cs3.storage.provider.v1beta1.FileDownloadProtocol
	(*StorageSpace)(nil),             // 19: cs3.storage.provider.v1beta1.StorageSpace
	(*StorageSpaceId)(nil),           // 20: cs3.storage.provider.v1beta1.StorageSpaceId
	(*Quota)(nil),                    // 21: cs3.storage.provider.v1beta1.Quota
	nil,                              // 22: cs3.storage.provider.v1beta1.ArbitraryMetadata.MetadataEntry
	(*v1beta1.Opaque)(nil),           // 23: cs3.types.v1beta1.Opaque
	(*v1beta1.Timestamp)(nil),        // 24: cs3.types.v1beta1.Timestamp
	(*v1beta11.UserId)(nil),          // 25: cs3.identity.user.v1beta1.UserId
	(*v1beta12.GroupId)(nil),         // 26: cs3.identity.group.v1beta1.GroupId
	(*v1beta11.User)(nil),            // 27: cs3.identity.user.v1beta1.User
}
var file_cs3_storage_provider_v1beta1_resources_proto_depIdxs = []int32{
	23, // 0: cs3.storage.provider.v1beta1.ResourceInfo.opaque:type_name -> cs3.types.v1beta1.Opaque
	1,  // 1: cs3.storage.provider.v1beta1.ResourceInfo.type:type_name -> cs3.storage.provider.v1beta1.ResourceType
	11, // 2: cs3.storage.provider.v1beta1.ResourceInfo.id:type_name -> cs3.storage.provider.v1beta1.ResourceId
	8,  // 3: cs3.storage.provider.v1beta1.ResourceInfo.checksum:type_name -> cs3.storage.provider.v1beta1.ResourceChecksum
	24, // 4: cs3.storage.provider.v1beta1.ResourceInfo.mtime:type_name -> cs3.types.v1beta1.Timestamp
	12, // 5: cs3.storage.provider.v1beta1.ResourceInfo.permission_set:type_name -> cs3.storage.provider.v1beta1.ResourcePermissions
	25, // 6: cs3.storage.provider.v1beta1.ResourceInfo.owner:type_name -> cs3.identity.user.v1beta1.UserId
	5,  // 7: cs3.storage.provider.v1beta1.ResourceInfo.canonical_metadata:type_name -> cs3.storage.provider.v1beta1.CanonicalMetadata
	6,  // 8: cs3.storage.provider.v1beta1.ResourceInfo.arbitrary_metadata:type_name -> cs3.storage.provider.v1beta1.ArbitraryMetadata
	7,  // 9: cs3.storage.provider.v1beta1.ResourceInfo.lock:type_name -> cs3.storage.provider.v1beta1.Lock
	7,  // 10: cs3.storage.provider.v1beta1.ResourceInfo.advisory_locks:type_name -> cs3.storage.provider.v1beta1.Lock
	11, // 11: cs3.storage.provider.v1beta1.ResourceInfo.parent_id:type_name -> cs3.storage.provider.v1beta1.ResourceId
	19, // 12: cs3.storage.provider.v1beta1.ResourceInfo.space:type_name -> cs3.storage.provider.v1beta1.StorageSpace
	10, // 13: cs3.storage.provider.v1beta1.CanonicalMetadata.target:type_name -> cs3.storage.provider.v1beta1.Reference
	22, // 14: cs3.storage.provider.v1beta1.ArbitraryMetadata.metadata:type_name -> cs3.storage.provider.v1beta1.ArbitraryMetadata.MetadataEntry
	23, // 15: cs3.storage.provider.v1beta1.Lock.opaque:type_name -> cs3.types.v1beta1.Opaque
	0,  // 16: cs3.storage.provider.v1beta1.Lock.type:type_name -> cs3.storage.provider.v1beta1.LockType
	25, // 17: cs3.storage.provider.v1beta1.Lock.user:type_name -> cs3.identity.user.v1beta1.UserId
	24, // 18: cs3.storage.provider.v1beta1.Lock.expiration:type_name -> cs3.types.v1beta1.Timestamp
	2,  // 19: cs3.storage.provider.v1beta1.ResourceChecksum.type:type_name -> cs3.storage.provider.v1beta1.ResourceChecksumType
	2,  // 20: cs3.storage.provider.v1beta1.ResourceChecksumPriority.type:type_name -> cs3.storage.provider.v1beta1.ResourceChecksumType
	11, // 21: cs3.storage.provider.v1beta1.Reference.resource_id:type_name -> cs3.storage.provider.v1beta1.ResourceId
	14, // 22: cs3.storage.provider.v1beta1.Grant.grantee:type_name -> cs3.storage.provider.v1beta1.Grantee
	12, // 23: cs3.storage.provider.v1beta1.Grant.permissions:type_name -> cs3.storage.provider.v1beta1.ResourcePermissions
	25, // 24: cs3.storage.provider.v1beta1.Grant.creator:type_name -> cs3.identity.user.v1beta1.UserId
	24, // 25: cs3.storage.provider.v1beta1.Grant.expiration:type_name -> cs3.types.v1beta1.Timestamp
	3,  // 26: cs3.storage.provider.v1beta1.Grantee.type:type_name -> cs3.storage.provider.v1beta1.GranteeType
	25, // 27: cs3.storage.provider.v1beta1.Grantee.user_id:type_name -> cs3.identity.user.v1beta1.UserId
	26, // 28: cs3.storage.provider.v1beta1.Grantee.group_id:type_name -> cs3.identity.group.v1beta1.GroupId
	23, // 29: cs3.storage.provider.v1beta1.Grantee.opaque:type_name -> cs3.types.v1beta1.Opaque
	23, // 30: cs3.storage.provider.v1beta1.FileVersion.opaque:type_name -> cs3.types.v1beta1.Opaque
	23, // 31: cs3.storage.provider.v1beta1.RecycleItem.opaque:type_name -> cs3.types.v1beta1.Opaque
	1,  // 32: cs3.storage.provider.v1beta1.RecycleItem.type:type_name -> cs3.storage.provider.v1beta1.ResourceType
	10, // 33: cs3.storage.provider.v1beta1.RecycleItem.ref:type_name -> cs3.storage.provider.v1beta1.Reference
	24, // 34: cs3.storage.provider.v1beta1.RecycleItem.deletion_time:type_name -> cs3.types.v1beta1.Timestamp
	23, // 35: cs3.storage.provider.v1beta1.FileUploadProtocol.opaque:type_name -> cs3.types.v1beta1.Opaque
	9,  // 36: cs3.storage.provider.v1beta1.FileUploadProtocol.available_checksums:type_name -> cs3.storage.provider.v1beta1.ResourceChecksumPriority
	24, // 37: cs3.storage.provider.v1beta1.FileUploadProtocol.expiration:type_name -> cs3.types.v1beta1.Timestamp
	23, // 38: cs3.storage.provider.v1beta1.FileDownloadProtocol.opaque:type_name -> cs3.types.v1beta1.Opaque
	23, // 39: cs3.storage.provider.v1beta1.StorageSpace.opaque:type_name -> cs3.types.v1beta1.Opaque
	20, // 40: cs3.storage.provider.v1beta1.StorageSpace.id:type_name -> cs3.storage.provider.v1beta1.StorageSpaceId
	27, // 41: cs3.storage.provider.v1beta1.StorageSpace.owner:type_name -> cs3.identity.user.v1beta1.User
	11, // 42: cs3.storage.provider.v1beta1.StorageSpace.root:type_name -> cs3.storage.provider.v1beta1.ResourceId
	21, // 43: cs3.storage.provider.v1beta1.StorageSpace.quota:type_name -> cs3.storage.provider.v1beta1.Quota
	24, // 44: cs3.storage.provider.v1beta1.StorageSpace.mtime:type_name -> cs3.types.v1beta1.Timestamp
	4,  // 45: cs3.storage.provider.v1beta1.StorageSpace.root_info:type_name -> cs3.storage.provider.v1beta1.ResourceInfo
	23, // 46: cs3.storage.provider.v1beta1.Quota.opaque:type_name -> cs3.types.v1beta1.Opaque
	47, // [47:47] is the sub-list for method output_type
	47, // [47:47] is the sub-list for method input_type
	47, // [47:47] is the sub-list for extension type_name
	47, // [47:47] is the sub-list for extension extendee
	0,  // [0:47] is the sub-list for field type_name
}

func init() { file_cs3_storage_provider_v1beta1_resources_proto_init() }
func file_cs3_storage_provider_v1beta1_resources_proto_init() {
	if File_cs3_storage_provider_v1beta1_resources_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourceInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CanonicalMetadata); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ArbitraryMetadata); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Lock); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourceChecksum); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourceChecksumPriority); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Reference); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourceId); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResourcePermissions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Grant); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Grantee); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FileVersion); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RecycleItem); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FileUploadProtocol); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FileDownloadProtocol); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StorageSpace); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StorageSpaceId); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Quota); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_cs3_storage_provider_v1beta1_resources_proto_msgTypes[10].OneofWrappers = []interface{}{
		(*Grantee_UserId)(nil),
		(*Grantee_GroupId)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_cs3_storage_provider_v1beta1_resources_proto_rawDesc,
			NumEnums:      4,
			NumMessages:   19,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_cs3_storage_provider_v1beta1_resources_proto_goTypes,
		DependencyIndexes: file_cs3_storage_provider_v1beta1_resources_proto_depIdxs,
		EnumInfos:         file_cs3_storage_provider_v1beta1_resources_proto_enumTypes,
		MessageInfos:      file_cs3_storage_provider_v1beta1_resources_proto_msgTypes,
	}.Build()
	File_cs3_storage_provider_v1beta1_resources_proto = out.File
	file_cs3_storage_provider_v1beta1_resources_proto_rawDesc = nil
	file_cs3_storage_provider_v1beta1_resources_proto_goTypes = nil
	file_cs3_storage_provider_v1beta1_resources_proto_depIdxs = nil
}
