// Copyright 2018-2019 CERN
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// In applying this license, CERN does not waive the privileges and immunities
// granted to it by virtue of its status as an Intergovernmental Organization
// or submit itself to any jurisdiction.

// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.3.0
// - protoc             (unknown)
// source: cs3/storage/registry/v1beta1/registry_api.proto

package registryv1beta1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

const (
	RegistryAPI_GetStorageProviders_FullMethodName  = "/cs3.storage.registry.v1beta1.RegistryAPI/GetStorageProviders"
	RegistryAPI_ListStorageProviders_FullMethodName = "/cs3.storage.registry.v1beta1.RegistryAPI/ListStorageProviders"
	RegistryAPI_GetHome_FullMethodName              = "/cs3.storage.registry.v1beta1.RegistryAPI/GetHome"
)

// RegistryAPIClient is the client API for RegistryAPI service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type RegistryAPIClient interface {
	// Returns the storage provider that is reponsible for the given
	// resource reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	GetStorageProviders(ctx context.Context, in *GetStorageProvidersRequest, opts ...grpc.CallOption) (*GetStorageProvidersResponse, error)
	// Returns a list of the available storage providers known by this registry.
	ListStorageProviders(ctx context.Context, in *ListStorageProvidersRequest, opts ...grpc.CallOption) (*ListStorageProvidersResponse, error)
	// Gets the user home storage provider.
	GetHome(ctx context.Context, in *GetHomeRequest, opts ...grpc.CallOption) (*GetHomeResponse, error)
}

type registryAPIClient struct {
	cc grpc.ClientConnInterface
}

func NewRegistryAPIClient(cc grpc.ClientConnInterface) RegistryAPIClient {
	return &registryAPIClient{cc}
}

func (c *registryAPIClient) GetStorageProviders(ctx context.Context, in *GetStorageProvidersRequest, opts ...grpc.CallOption) (*GetStorageProvidersResponse, error) {
	out := new(GetStorageProvidersResponse)
	err := c.cc.Invoke(ctx, RegistryAPI_GetStorageProviders_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryAPIClient) ListStorageProviders(ctx context.Context, in *ListStorageProvidersRequest, opts ...grpc.CallOption) (*ListStorageProvidersResponse, error) {
	out := new(ListStorageProvidersResponse)
	err := c.cc.Invoke(ctx, RegistryAPI_ListStorageProviders_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *registryAPIClient) GetHome(ctx context.Context, in *GetHomeRequest, opts ...grpc.CallOption) (*GetHomeResponse, error) {
	out := new(GetHomeResponse)
	err := c.cc.Invoke(ctx, RegistryAPI_GetHome_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RegistryAPIServer is the server API for RegistryAPI service.
// All implementations should embed UnimplementedRegistryAPIServer
// for forward compatibility
type RegistryAPIServer interface {
	// Returns the storage provider that is reponsible for the given
	// resource reference.
	// MUST return CODE_NOT_FOUND if the reference does not exist.
	GetStorageProviders(context.Context, *GetStorageProvidersRequest) (*GetStorageProvidersResponse, error)
	// Returns a list of the available storage providers known by this registry.
	ListStorageProviders(context.Context, *ListStorageProvidersRequest) (*ListStorageProvidersResponse, error)
	// Gets the user home storage provider.
	GetHome(context.Context, *GetHomeRequest) (*GetHomeResponse, error)
}

// UnimplementedRegistryAPIServer should be embedded to have forward compatible implementations.
type UnimplementedRegistryAPIServer struct {
}

func (UnimplementedRegistryAPIServer) GetStorageProviders(context.Context, *GetStorageProvidersRequest) (*GetStorageProvidersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetStorageProviders not implemented")
}
func (UnimplementedRegistryAPIServer) ListStorageProviders(context.Context, *ListStorageProvidersRequest) (*ListStorageProvidersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListStorageProviders not implemented")
}
func (UnimplementedRegistryAPIServer) GetHome(context.Context, *GetHomeRequest) (*GetHomeResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetHome not implemented")
}

// UnsafeRegistryAPIServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to RegistryAPIServer will
// result in compilation errors.
type UnsafeRegistryAPIServer interface {
	mustEmbedUnimplementedRegistryAPIServer()
}

func RegisterRegistryAPIServer(s grpc.ServiceRegistrar, srv RegistryAPIServer) {
	s.RegisterService(&RegistryAPI_ServiceDesc, srv)
}

func _RegistryAPI_GetStorageProviders_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetStorageProvidersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryAPIServer).GetStorageProviders(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: RegistryAPI_GetStorageProviders_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryAPIServer).GetStorageProviders(ctx, req.(*GetStorageProvidersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RegistryAPI_ListStorageProviders_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListStorageProvidersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryAPIServer).ListStorageProviders(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: RegistryAPI_ListStorageProviders_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryAPIServer).ListStorageProviders(ctx, req.(*ListStorageProvidersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RegistryAPI_GetHome_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetHomeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistryAPIServer).GetHome(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: RegistryAPI_GetHome_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistryAPIServer).GetHome(ctx, req.(*GetHomeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// RegistryAPI_ServiceDesc is the grpc.ServiceDesc for RegistryAPI service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var RegistryAPI_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "cs3.storage.registry.v1beta1.RegistryAPI",
	HandlerType: (*RegistryAPIServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetStorageProviders",
			Handler:    _RegistryAPI_GetStorageProviders_Handler,
		},
		{
			MethodName: "ListStorageProviders",
			Handler:    _RegistryAPI_ListStorageProviders_Handler,
		},
		{
			MethodName: "GetHome",
			Handler:    _RegistryAPI_GetHome_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "cs3/storage/registry/v1beta1/registry_api.proto",
}
