/*
 * Copyright 2017-2019 Kopano
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package oidc

const (
	// ScopeOpenID is the string value of the base OIDC scope.
	ScopeOpenID = "openid"
	// ScopeProfile is the string value of the OIDC profile scope.
	ScopeProfile = "profile"
	// ScopeEmail is the string value of the OIDC email scope.
	ScopeEmail = "email"
	// ScopeOfflineAccess is the string value of the OIDC offline_access scope.
	ScopeOfflineAccess = "offline_access"
)
